/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
export declare class IgFunnelChartComponent extends IgControlBase<IgFunnelChart> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    ngOnInit(): void;
    /**
     * Gets array of selected slice items.
     *
     * @param selection     Array or selected slice items.
     * @return array|object If parameter is undefined, then array of selected items is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceItems(selection?: any[]): any[];
    /**
     * Gets sets array of indexes of selected slices.
     *
     * @param selection     Array or selected slice indexes.
     * @return array|object     If parameter is undefined, then array of selected indexes is returned.
     * Otherwise, it returns reference to igFunnelChart.
     */
    selectedSliceIndexes(selection?: any[]): any[];
    /**
     * Checks if slice is selected.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    isSelected(slice: object): boolean;
    /**
     * Toggles selected state of slice.
     *
     * @param slice     Index of slice or reference to slice-data-item.
     */
    toggleSelection(slice: object): object;
    exportVisualData(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
}
