/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
import { Column } from '../column.directive';
export declare class IgGridMultiColumnHeadersFeature extends Feature<IgGridMultiColumnHeaders> {
    constructor(el: ElementRef);
    /**
     * Destroys the widget
     */
    destroy(): void;
    /**
     * Collapses an expanded group. If the group is collapsed, the method does nothing.
     * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
     * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
     */
    collapseGroup(groupKey: string, callback?: () => void): void;
    /**
     * Expands a collapsed group. If the group is expanded, the method does nothing.
     * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
     * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
     */
    expandGroup(groupKey: string, callback?: () => void): void;
    /**
     * Returns multicolumn headers array. if there aren"t multicolumn headers returns undefined.
     */
    getMultiColumnHeaders(): Array<Column>;
    /**
     * Toggles a collapsible group.
     * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
     * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
     */
    toggleGroup(groupKey: string, callback?: () => void): void;
}
