/// <reference types="ignite-ui" />
import { ElementRef } from '@angular/core';
import { Feature } from '../feature';
export declare class IgGridPagingFeature extends Feature<IgGridPaging> {
    constructor(el: ElementRef);
    /**
     * Gets/Sets the current page index, delegates data binding and paging to [$.ig.DataSource](ig.datasource).
     *
     * @param index     The page index to go to.
     */
    pageIndex(index?: number): number;
    /**
     * Gets/Sets the page size. If no parameter is specified, just returns the current page size.
     *
     * @param size     The new page size.
     */
    pageSize(size?: number): number;
    /**
     * Destroys the igGridPaging feature by removing all elements in the pager area,
     * unbinding events, and resetting data to discard data filtering on paging.
     */
    destroy(): void;
}
