/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
export declare class IgNotifierComponent extends IgControlBase<IgNotifier> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    ngOnInit(): void;
    /**
     * Triggers a notification with a certain state and optional message.
     * The [notifyLevel](ui.ignotifier#options:notifyLevel) option determines if the notification will be displayed.
     *
     * @param state    The state to show notification for.
     * @param message    Optional message to show, overrides defaults.
     */
    notify(state: object, message?: string): void;
    /**
     * Returns true if the notification is currently visible
     */
    isVisible(): void;
    /**
     * Destroys the widget.
     */
    destroy(): void;
}
