/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
export declare class IgSchedulerComponent extends IgControlBase<IgScheduler> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Gets reference to appointment by id
     *
     * @param id id
     */
    getAppointmentById(id: object): object;
    /**
     * Creates a new appointment and renders it to the scheduler
     *
     * @param appointment appointment
     */
    createAppointment(appointment: object): object;
    /**
     * Deletes appointment from the appointment collection
     *
     * @param appointment	appointment
     */
    deleteAppointment(appointment: object): object;
    /**
     * Deletes appointment from the appointment collection
     *
     * @param appointment	appointment
     * @param updateAppoinment	updateAppoinment
     */
    editAppointment(appointment: object, updateAppoinment: object): object;
    /**
     * Destroys the widget
     */
    destroy(): void;
    /**
     * Gets reference to the today UI button.
     */
    todayButton(): string;
    /**
     * Gets reference to the previous UI button.
     */
    previousButton(): string;
    /**
     * Gets reference to the date range UI button.
     */
    dateRangeButton(): string;
    /**
     * Gets reference to the next UI button.
     */
    nextButton(): string;
    /**
     * Gets reference to the jQuery calendar UI control.
     */
    getCalendar(): string;
}
