/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgContentControlBase } from '../igcontrolbase/igcontentcontrolbase';
export declare class IgSplitterComponent extends IgContentControlBase<IgSplitter> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Returns the element that represents this widget.
     */
    widget(): object;
    /**
     * Expand the specified panel by index.
     *
     * @param index Specifies the index of the panel to expand.
     */
    expandAt(index: object): void;
    /**
     * Collapse the specified panel.
     *
     * @param index Specifies the index of the panel to collapse.
     */
    collapseAt(index: object): void;
    /**
     * Retrieves the jQuery element of the first panel.
     */
    firstPanel(): object;
    /**
     * Retrieves the jQuery element of the second panel.
     */
    secondPanel(): object;
    /**
     * Refresh splitter layout, use this method to re-render the splitter if some changes to the layout are applied.
     */
    refreshLayout(): void;
    /**
     * You can set new size of the first panel after the splitter is rendered.
     *
     * @param size Specifies the new size of the first panel.
     */
    setFirstPanelSize(size: object): void;
    /**
     * You can set new size of the second panel after the splitter is rendered.
     *
     * @param size Specifies the new size of the second panel.
     */
    setSecondPanelSize(size: object): void;
    /**
     * Destroys the igSplitter widget
     */
    destroy(): void;
}
