/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
export declare class IgZoombarComponent extends IgControlBase<IgZoombar> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    /**
     * Destroys the Zoombar widget
     */
    destroy(): void;
    /**
     * Returns the main zoombar element
     */
    widget(): void;
    /**
     * Returns the ID of the element the zoombar is initialized on
     */
    id(): string;
    /**
     * Returns the DIV that is the topmost container of the zoombar widget
     */
    container(): Element;
    /**
     * Returns the element the clone widget is initialized on
     */
    clone(): Element;
    /**
     * Gets or sets the current zoom window
     *
     * @param left     The left parameter of the new zoom window in percentages
     * @param width     The width parameter of the new zoom window in percentages
     */
    zoom(left?: number, width?: number): object;
}
