(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('igniteui-angular-wrappers', ['exports', '@angular/core', '@angular/forms'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['igniteui-angular-wrappers'] = {}, global.ng.core, global.ng.forms));
}(this, (function (exports, core, forms) { 'use strict';

    var Column = /** @class */ (function () {
        function Column(el) {
            this._settings = {};
            this._el = el;
            var self = this;
            var i;
            var settings = ['headerText', 'key', 'formatter', 'format', 'dataType', 'width', 'hidden', 'template', 'unbound', 'group', 'rowspan', 'formula', 'unboundValues', 'unboundValuesUpdateMode', 'headerCssClass', 'columnCssClass'];
            for (i = 0; i < settings.length; i++) {
                Object.defineProperty(self, settings[i], {
                    set: self.createColumnsSetter(settings[i]),
                    get: self.createColumnsGetter(settings[i]),
                    enumerable: true,
                    configurable: true
                });
            }
        }
        Column.prototype.createColumnsSetter = function (name) {
            return function (value) {
                var grid = jQuery(this._el.nativeElement.parentElement).find('table[role=\'grid\']');
                var columns = grid.igGrid('option', 'columns');
                this._settings[name] = value;
                if (jQuery.ui.igGrid &&
                    jQuery.ui.igGrid.prototype.options &&
                    jQuery.ui.igGrid.prototype.options.hasOwnProperty('columns') &&
                    grid.data('igGrid')) {
                    // reapply all column settings when a column setting is changed
                    grid.igGrid('option', 'columns', columns);
                }
            };
        };
        Column.prototype.createColumnsGetter = function (name) {
            var _this = this;
            return function () {
                return _this._settings[name];
            };
        };
        return Column;
    }());
    Column.decorators = [
        { type: core.Directive, args: [{
                    selector: 'column',
                    inputs: ['headerText', 'key', 'formatter', 'format', 'dataType', 'width', 'hidden', 'template', 'unbound', 'group', 'rowspan', 'formula', 'unboundValues', 'unboundValuesUpdateMode', 'headerCssClass', 'columnCssClass']
                },] }
    ];
    Column.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var Feature = /** @class */ (function () {
        function Feature(el) {
            this._settings = {};
            this._el = el;
            this.name = this.normalizeName(el.nativeElement.nodeName.toLowerCase());
            this.featureName = 'igGrid' + this.name;
            for (var propt in jQuery.ui['igGrid' + this.name].prototype.events) {
                if (jQuery.ui['igGrid' + this.name].prototype.events.hasOwnProperty(propt)) {
                    this[propt] = new core.EventEmitter();
                }
            }
        }
        Feature.prototype.cloneObject = function (obj) {
            var clone = {};
            for (var i in obj) {
                if (obj[i] != null) {
                    if (!i.startsWith('_') && typeof obj[i] === 'object') {
                        clone[i] = this.cloneObject(obj[i]);
                    }
                    else {
                        clone[i] = obj[i];
                    }
                }
            }
            return clone;
        };
        Feature.prototype.ngOnInit = function () {
            var _this = this;
            var self = this;
            this.initSettings = this.cloneObject(this);
            var evtName;
            this._events = new Map();
            var grid = jQuery(this._el.nativeElement).closest('ig-grid').find('table');
            // event binding for features
            for (var propt in jQuery.ui[this.featureName].prototype.events) {
                if (jQuery.ui[this.featureName].prototype.events.hasOwnProperty(propt)) {
                    evtName = this.featureName.toLowerCase() + propt.toLowerCase();
                    this._events[evtName] = propt;
                    jQuery(grid).on(evtName, function (evt, ui) {
                        _this[_this._events[evt.type]].emit({ event: evt, ui: ui });
                    });
                }
            }
            for (var setting in jQuery.ui[this.featureName].prototype.options) {
                if (jQuery.ui[this.featureName].prototype.options.hasOwnProperty(setting)) {
                    Object.defineProperty(this, setting, {
                        set: this.createFeatureSetter(setting),
                        get: this.createFeatureGetter(setting),
                        enumerable: true,
                        configurable: true
                    });
                }
            }
            var propNames = Object.getOwnPropertyNames(jQuery.ui[this.featureName].prototype);
            propNames.forEach(function (name) {
                if (name.indexOf('_') !== 0 && typeof jQuery.ui[_this.featureName].prototype[name] === 'function') {
                    Object.defineProperty(self, name, {
                        get: _this.createMethodGetter(name)
                    });
                }
            });
        };
        Feature.prototype.createFeatureSetter = function (name) {
            return function (value) {
                var grid = jQuery(this._el.nativeElement).closest('ig-grid').find('table[role=\'grid\']');
                this._settings[name] = value;
                if (jQuery.ui[this.featureName] &&
                    jQuery.ui[this.featureName].prototype.options &&
                    jQuery.ui[this.featureName].prototype.options.hasOwnProperty(name) &&
                    grid.data(this.featureName)) {
                    grid[this.featureName]('option', name, value);
                }
            };
        };
        Feature.prototype.createFeatureGetter = function (name) {
            var _this = this;
            return function () {
                return _this._settings[name];
            };
        };
        Feature.prototype.createMethodGetter = function (name) {
            var _this = this;
            return function () {
                var grid = jQuery(_this._el.nativeElement).closest('ig-grid').find('table[role=\'grid\']');
                if (grid.length === 0) {
                    grid = jQuery(_this._el.nativeElement).closest('ig-hierarchical-grid').find('table[role=\'grid\']');
                }
                var feature = grid.data(_this.featureName);
                return jQuery.proxy(feature[name], feature);
            };
        };
        Feature.prototype.normalizeName = function (str) {
            // convert hyphen to camelCase
            var name = str.replace(/-([a-z])/g, function (group) { return group[1].toUpperCase(); });
            return name.charAt(0).toUpperCase() + name.slice(1);
        };
        return Feature;
    }());
    Feature.decorators = [
        { type: core.Directive }
    ];
    Feature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridMultiColumnHeadersFeature = /** @class */ (function (_super) {
        __extends(IgGridMultiColumnHeadersFeature, _super);
        function IgGridMultiColumnHeadersFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the widget
         */
        /* istanbul ignore next */
        IgGridMultiColumnHeadersFeature.prototype.destroy = function () { return; };
        /**
         * Collapses an expanded group. If the group is collapsed, the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         */
        /* istanbul ignore next */
        IgGridMultiColumnHeadersFeature.prototype.collapseGroup = function (groupKey, callback) { return; };
        /**
         * Expands a collapsed group. If the group is expanded, the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         */
        /* istanbul ignore next */
        IgGridMultiColumnHeadersFeature.prototype.expandGroup = function (groupKey, callback) { return; };
        /**
         * Returns multicolumn headers array. if there aren"t multicolumn headers returns undefined.
         */
        /* istanbul ignore next */
        IgGridMultiColumnHeadersFeature.prototype.getMultiColumnHeaders = function () { return; };
        /**
         * Toggles a collapsible group.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         */
        /* istanbul ignore next */
        IgGridMultiColumnHeadersFeature.prototype.toggleGroup = function (groupKey, callback) { return; };
        return IgGridMultiColumnHeadersFeature;
    }(Feature));
    IgGridMultiColumnHeadersFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'multi-column-headers',
                    inputs: ['inherit'],
                    outputs: ['groupCollapsing', 'groupCollapsed', 'groupExpanding', 'groupExpanded']
                },] }
    ];
    IgGridMultiColumnHeadersFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridSortingFeature = /** @class */ (function (_super) {
        __extends(IgGridSortingFeature, _super);
        function IgGridSortingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Sorts the data in a grid column  and updates the UI.
         *
         * @param index     Column key (string) or index (number) - for multi-row grid only column key can be used.
         * Specifies the column which we want to sort. If the mode is multiple, previous sorting states are not cleared.
         * @param direction     Specifies sorting direction (ascending or descending)
         * @param header header
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.sortColumn = function (index, direction, header) { return; };
        /**
         * Sorts the data in grid columns and updates the UI.
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.sortMultiple = function () { return; };
        /**
         * Removes current sorting(for all sorted columns) and updates the UI.
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.clearSorting = function () { return; };
        /**
         * Removes sorting for the grid column with the specified columnKey/columnIndex and updates the UI.
         *
         * @param index     Column key (string) or index (number) - for multi-row grid only column key can be used.
         * Specifies the column for which we want to remove sorting. If the mode is multiple, previous sorting states are not cleared.
         * @param header    header
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.unsortColumn = function (index, header) { return; };
        /**
         * Destroys the sorting feature. Unbinds events, removes added sorting elements, etc.
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.destroy = function () { return; };
        /**
         * Opens the multiple sorting dialog.
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.openMultipleSortingDialog = function () { return; };
        /**
         * Closes the multiple sorting dialog.
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.closeMultipleSortingDialog = function () { return; };
        /**
         * Renders content of multiple sorting dialog - sorted and unsorted columns.
         *
         * @param isToCallEvents - if specified client events should be fired
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.renderMultipleSortingDialogContent = function (isToCallEvents) { return; };
        /**
         * Remove clear button for multiple sorting dialog
         */
        /* istanbul ignore next */
        IgGridSortingFeature.prototype.removeDialogClearButton = function () { return; };
        return IgGridSortingFeature;
    }(Feature));
    IgGridSortingFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'sorting',
                    inputs: ['disabled', 'create', 'type', 'caseSensitive', 'applySortedColumnCss', 'sortUrlKey', 'sortUrlKeyAscValue', 'sortUrlKeyDescValue', 'mode', 'customSortFunction', 'firstSortDirection', 'sortedColumnTooltip', 'modalDialogSortOnClick', 'modalDialogSortByButtonText', 'modalDialogResetButtonLabel', 'modalDialogCaptionButtonDesc', 'modalDialogCaptionButtonAsc', 'modalDialogCaptionButtonUnsort', 'modalDialogWidth', 'modalDialogHeight', 'modalDialogAnimationDuration', 'featureChooserText', 'unsortedColumnTooltip', 'columnSettings', 'modalDialogCaptionText', 'modalDialogButtonApplyText', 'modalDialogButtonCancelText', 'featureChooserSortAsc', 'featureChooserSortDesc', 'persist', 'sortingDialogContainment', 'dialogWidget', 'inherit'],
                    outputs: ['columnSorting', 'columnSorted', 'modalDialogOpening', 'modalDialogOpened', 'modalDialogMoving', 'modalDialogClosing', 'modalDialogClosed', 'modalDialogContentsRendering', 'modalDialogContentsRendered', 'modalDialogSortingChanged', 'modalDialogButtonUnsortClick', 'modalDialogSortClick', 'modalDialogButtonApplyClick', 'modalDialogButtonResetClick']
                },] }
    ];
    IgGridSortingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridFilteringFeature = /** @class */ (function (_super) {
        __extends(IgGridFilteringFeature, _super);
        function IgGridFilteringFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the filtering widget - remove fitler row, unbinds events, returns the grid to its previous state.
         */
        /* istanbul ignore next */
        IgGridFilteringFeature.prototype.destroy = function () { return; };
        /**
         * Returns the count of data records that match filtering conditions
         */
        /* istanbul ignore next */
        IgGridFilteringFeature.prototype.getFilteringMatchesCount = function () { return; };
        /**
         * Toggle filter row when mode is simple or
         * [advancedModeEditorsVisible](ui.iggridfiltering#options:advancedModeEditorsVisible) is true. Otherwise show/hide advanced dialog.
         *
         * @param event     Column key
         */
        /* istanbul ignore next */
        IgGridFilteringFeature.prototype.toggleFilterRowByFeatureChooser = function (event) { return; };
        /**
         * Applies filtering programmatically and updates the UI by default.
         *
         * @param expressions An array of filtering expressions, each one having the format {fieldName: , expr: , cond: , logic: }
         * where  fieldName is the key of the column, expr is the actual expression string with which we would like to filter,
         * logic is 'AND' or 'OR', and cond is one of the following strings: "equals", "doesNotEqual", "contains", "doesNotContain",
         * "greaterThan", "lessThan", "greaterThanOrEqualTo", "lessThanOrEqualTo", "true", "false", "null", "notNull", "empty", "notEmpty",
         * "startsWith", "endsWith", "today", "yesterday", "on", "notOn", "thisMonth", "lastMonth", "nextMonth", "before", "after", "thisYear",
         * "lastYear", "nextYear". The difference between the empty and null filtering conditions is that empty includes null, NaN, and
         * undefined, as well as the empty string.
         * @param updateUI     specifies whether the filter row should be also updated once the grid is filtered
         * @param addedFromAdvanced specifies whether the filter is added from advanced filtering
         */
        /* istanbul ignore next */
        IgGridFilteringFeature.prototype.filter = function (expressions, updateUI, addedFromAdvanced) { return; };
        /**
         * Check whether filterCondition requires or not filtering expression
         *  e.g. if filterCondition is "lastMonth", "thisMonth", "null", "notNull", "true", "false", etc.
         * then filtering expression is NOT required
         *
         * @param filterCondition    filtering condition - e.g. "true", "false",  "yesterday", "empty", "null", etc.
         */
        /* istanbul ignore next */
        IgGridFilteringFeature.prototype.requiresFilteringExpression = function (filterCondition) { return; };
        return IgGridFilteringFeature;
    }(Feature));
    IgGridFilteringFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'filtering',
                    inputs: ['disabled', 'create', 'caseSensitive', 'filterSummaryAlwaysVisible', 'renderFC', 'filterSummaryTemplate', 'filterDropDownAnimations', 'filterDropDownAnimationDuration', 'filterDropDownWidth', 'filterDropDownHeight', 'filterExprUrlKey', 'filterDropDownItemIcons', 'columnSettings', 'type', 'filterDelay', 'mode', 'advancedModeEditorsVisible', 'advancedModeHeaderButtonLocation', 'filterDialogWidth', 'filterDialogHeight', 'filterDialogFilterDropDownDefaultWidth', 'filterDialogExprInputDefaultWidth', 'filterDialogColumnDropDownDefaultWidth', 'renderFilterButton', 'filterButtonLocation', 'nullTexts', 'labels', 'tooltipTemplate', 'filterDialogAddConditionTemplate', 'filterDialogAddConditionDropDownTemplate', 'filterDialogFilterTemplate', 'filterDialogFilterConditionTemplate', 'filterDialogAddButtonWidth', 'filterDialogOkCancelButtonWidth', 'filterDialogMaxFilterCount', 'filterDialogContainment', 'showEmptyConditions', 'showNullConditions', 'featureChooserText', 'featureChooserTextHide', 'featureChooserTextAdvancedFilter', 'dialogWidget', 'persist', 'inherit'],
                    outputs: ['dataFiltering', 'dataFiltered', 'dropDownOpening', 'dropDownOpened', 'dropDownClosing', 'dropDownClosed', 'filterDialogOpening', 'filterDialogOpened', 'filterDialogMoving', 'filterDialogFilterAdding', 'filterDialogFilterAdded', 'filterDialogClosing', 'filterDialogClosed', 'filterDialogContentsRendering', 'filterDialogContentsRendered', 'filterDialogFiltering']
                },] }
    ];
    IgGridFilteringFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridPagingFeature = /** @class */ (function (_super) {
        __extends(IgGridPagingFeature, _super);
        function IgGridPagingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Gets/Sets the current page index, delegates data binding and paging to [$.ig.DataSource](ig.datasource).
         *
         * @param index     The page index to go to.
         */
        /* istanbul ignore next */
        IgGridPagingFeature.prototype.pageIndex = function (index) { return; };
        /**
         * Gets/Sets the page size. If no parameter is specified, just returns the current page size.
         *
         * @param size     The new page size.
         */
        /* istanbul ignore next */
        IgGridPagingFeature.prototype.pageSize = function (size) { return; };
        /**
         * Destroys the igGridPaging feature by removing all elements in the pager area,
         * unbinding events, and resetting data to discard data filtering on paging.
         */
        /* istanbul ignore next */
        IgGridPagingFeature.prototype.destroy = function () { return; };
        return IgGridPagingFeature;
    }(Feature));
    IgGridPagingFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'paging',
                    inputs: ['disabled', 'create', 'pageSize', 'recordCountKey', 'pageSizeUrlKey', 'pageIndexUrlKey', 'currentPageIndex', 'type', 'showPageSizeDropDown', 'pageSizeDropDownLabel', 'pageSizeDropDownTrailingLabel', 'pageSizeDropDownLocation', 'showPagerRecordsLabel', 'pagerRecordsLabelTemplate', 'nextPageLabelText', 'prevPageLabelText', 'firstPageLabelText', 'lastPageLabelText', 'showFirstLastPages', 'showPrevNextPages', 'currentPageDropDownLeadingLabel', 'currentPageDropDownTrailingLabel', 'currentPageDropDownTooltip', 'pageSizeDropDownTooltip', 'pagerRecordsLabelTooltip', 'prevPageTooltip', 'nextPageTooltip', 'firstPageTooltip', 'lastPageTooltip', 'pageTooltipFormat', 'pageSizeList', 'pageCountLimit', 'visiblePageCount', 'defaultDropDownWidth', 'delayOnPageChanged', 'persist', 'inherit'],
                    outputs: ['pageIndexChanging', 'pageIndexChanged', 'pageSizeChanging', 'pageSizeChanged', 'pagerRendering', 'pagerRendered']
                },] }
    ];
    IgGridPagingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridUpdatingFeature = /** @class */ (function (_super) {
        __extends(IgGridUpdatingFeature, _super);
        function IgGridUpdatingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Sets a cell value for the specified cell. It also creates a transaction and updates the UI.
         * 			If the specified cell is currently in edit mode, the function will set the desired value in the cell's editor instead.
         *
         * @param rowId    The primary key of the row the cell is a child of.
         * @param colKey    The column key of the cell.
         * @param value    The new value for the cell.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.setCellValue = function (rowId, colKey, value) { return; };
        /**
         * Sets values for specified cells in a row. It also creates a transaction and updates the UI.
         * 			If the specified row is currently in edit mode, the function will set the desired values in the row's editors instead.
         *
         * @param rowId    The primary key of the row to update.
         * @param values    Pairs of values in the format { column1Key: value1, column2Key: value2, ... } .
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.updateRow = function (rowId, values) { return; };
        /**
         * Adds a new row to the grid. It also creates a transaction and updates the UI.
         *
         * @param values    Pairs of values in the format { column1Key: value1, column2Key: value2, ... } .
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.addRow = function (values) { return; };
        /**
         * Deletes a row from the grid. It also creates a transaction and updates the UI.
         *
         * @param rowId    The primary key of the row to delete.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.deleteRow = function (rowId) { return; };
        /**
         * Starts editing for the row or cell specified (depending on the [editMode](ui.iggridupdating#options:editMode)).
         *
         * @param rowId    The row id.
         * @param column    The column key or index.
         * @param raiseEvents    Specifies whether or not updating events should be raised for this operation.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.startEdit = function (rowId, column, raiseEvents) { return; };
        /**
         * Starts editing for adding a new row.
         *
         * @param raiseEvents    Specifies whether or not updating events should be raised for this operation.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.startAddRowEdit = function (raiseEvents) { return; };
        /**
         * Ends the currently active edit mode.
         *
         * @param update    Specifies if the edit process should accept the current changes. Default is 'false'.
         * @param raiseEvents    Specifies whether or not updating events should be raised for this operation.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.endEdit = function (update, raiseEvents) { return; };
        /**
         * Finds and returns the key of the first column the editor for which has invalid value.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.findInvalid = function () { return; };
        /**
         * Checks if the grid is in edit mode.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.isEditing = function () { return; };
        /**
         * Gets the editor for a column by the column key. That method can be used only after the editor has been created.
         *
         * @param key    The key of the column.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.editorForKey = function (key) { return; };
        /**
         * Gets the editor for a column by the cell it resides in. If allowed the function can create the editor if it has not been created yet.
         *
         * @param cell    Reference to the jQuery-wrapped TD object of the grid that the editor belongs to.
         * @param create    Requests to create the editor if it has not been created yet.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.editorForCell = function (cell, create) { return; };
        /**
         * Destroys igGridUpdating.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.destroy = function () { return; };
        /**
         * Shows the delete button for specific row.
         *
         * @param row    A jQuery object of the targeted row.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.showDeleteButtonFor = function (row) { return; };
        /**
         * Hides the delete button.
         */
        /* istanbul ignore next */
        IgGridUpdatingFeature.prototype.hideDeleteButton = function () { return; };
        return IgGridUpdatingFeature;
    }(Feature));
    IgGridUpdatingFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'updating',
                    inputs: ['disabled', 'create', 'columnSettings', 'editMode', 'enableDeleteRow', 'enableAddRow', 'validation', 'doneLabel',
                        'doneTooltip', 'cancelLabel', 'cancelTooltip', 'addRowLabel', 'addRowTooltip', 'deleteRowLabel', 'deleteRowTooltip', 'showDoneCancelButtons', 'enableDataDirtyException', 'startEditTriggers', 'horizontalMoveOnEnter', 'excelNavigationMode', 'saveChangesSuccessHandler', 'saveChangesErrorHandler', 'swipeDistance', 'wrapAround', 'rowEditDialogOptions', 'dialogWidget', 'inherit'],
                    outputs: ['editRowStarting', 'editRowStarted', 'editRowEnding', 'editRowEnded', 'editCellStarting', 'editCellStarted', 'editCellEnding', 'editCellEnded', 'rowAdding', 'rowAdded', 'rowDeleting', 'rowDeleted', 'dataDirty', 'generatePrimaryKeyValue', 'rowEditDialogBeforeOpen', 'rowEditDialogAfterOpen', 'rowEditDialogBeforeClose', 'rowEditDialogAfterClose', 'rowEditDialogContentsRendered']
                },] }
    ];
    IgGridUpdatingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridGroupByFeature = /** @class */ (function (_super) {
        __extends(IgGridGroupByFeature, _super);
        function IgGridGroupByFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Open groupby modal dialog
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.openGroupByDialog = function () { return; };
        /**
         * Close groupby modal dialog
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.closeGroupByDialog = function () { return; };
        /**
         * Render groupby modal dialog and its content
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.renderGroupByModalDialog = function () { return; };
        /**
         * Open layouts dropdown
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.openDropDown = function () { return; };
        /**
         * Close layouts dropdown
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.closeDropDown = function () { return; };
        /**
         * Check whether column with specified key and layout is grouped
         *
         * @param key    key of the column
         * @param layout    layout name
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.checkColumnIsGrouped = function (key, layout) { return; };
        /**
         * Get grouped data by value for the specific column.
         * NOTE: Before calling this function the data(that is passed as an argument) should be sorted by colKey.
         *
         * @param data    data (sorted by colKey) that is used to get the records from.
         * @param colKey    key of the column for which grouping will be applied.
         * @param idval    value of the column by which grouping will be applied.
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.getGroupedData = function (data, colKey, idval) { return; };
        /**
         * Adds a column to the group by columns list, executes the group by operation and updates the view.
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.groupByColumns = function () { return; };
        /**
         * Groups by a column
         *
         * @param key    Column Key - group by the column with the specified key
         * @param layout    layout is an optional parameter.
         * If set it means the grouped column is not in the root level but is a child layout column
         * @param sortingDirection    if not set it is taken from option defaultSortingDirection
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.groupByColumn = function (key, layout, sortingDirection) { return; };
        /**
         * Removes the specified column from the group by columns list, executes the group by operation and updates the view.
         *
         * @param key    Column Key - ungroup by the column with the specified key
         * @param layout    Layout is an optional parameter.
         * If set it means the grouped column is not in the root level but is a child layout column.
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.ungroupByColumn = function (key, layout) { return; };
        /**
         * Expand group row with specified id
         *
         * @param rowId    data-id attribute of the group row in the DOM
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.expand = function (rowId) { return; };
        /**
         * Expand group row with specified id
         *
         * @param rowId    data-id attribute of the group row in the DOM
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.collapse = function (rowId) { return; };
        /**
         * Clears the group by columns list and updates the view.
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.ungroupAll = function () { return; };
        /**
         * Destroys the group by feature object.
         */
        /* istanbul ignore next */
        IgGridGroupByFeature.prototype.destroy = function () { return; };
        return IgGridGroupByFeature;
    }(Feature));
    IgGridGroupByFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'group-by',
                    inputs: ['disabled', 'create', 'groupByAreaVisibility', 'initialExpand', 'emptyGroupByAreaContent', 'emptyGroupByAreaContentSelectColumns', 'expansionIndicatorVisibility', 'groupByLabelWidth', 'labelDragHelperOpacity', 'indentation', 'defaultSortingDirection', 'groupedColumns', 'resultResponseKey', 'groupedRowTextTemplate', 'type', 'groupByUrlKey', 'groupByUrlKeyAscValue', 'groupByUrlKeyDescValue', 'summarySettings', 'columnSettings', 'expandTooltip', 'collapseTooltip', 'removeButtonTooltip', 'modalDialogGroupByOnClick', 'modalDialogGroupByButtonText', 'modalDialogCaptionButtonDesc', 'modalDialogCaptionButtonAsc', 'modalDialogCaptionButtonUngroup', 'modalDialogCaptionText', 'modalDialogDropDownLabel', 'modalDialogRootLevelHierarchicalGrid', 'modalDialogDropDownButtonCaption', 'modalDialogClearAllButtonLabel', 'emptyGroupByAreaContentSelectColumnsCaption', 'modalDialogDropDownWidth', 'modalDialogDropDownAreaWidth', 'modalDialogAnimationDuration', 'modalDialogWidth', 'modalDialogHeight', 'modalDialogButtonApplyText', 'modalDialogButtonCancelText', 'useGridColumnFormatter', 'persist', 'groupByDialogContainment', 'dialogWidget', 'inherit'],
                    outputs: ['groupedColumnsChanging', 'groupedColumnsChanged', 'modalDialogMoving', 'modalDialogClosing', 'modalDialogClosed', 'modalDialogOpening', 'modalDialogOpened', 'modalDialogContentsRendering', 'modalDialogContentsRendered', 'modalDialogButtonApplyClick', 'modalDialogButtonResetClick', 'modalDialogGroupingColumn', 'modalDialogGroupColumn', 'modalDialogUngroupingColumn', 'modalDialogUngroupColumn', 'modalDialogSortGroupedColumn']
                },] }
    ];
    IgGridGroupByFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridColumnMovingFeature = /** @class */ (function (_super) {
        __extends(IgGridColumnMovingFeature, _super);
        function IgGridColumnMovingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Restoring overwritten functions
         */
        /* istanbul ignore next */
        IgGridColumnMovingFeature.prototype.destroy = function () { return; };
        /**
         * Moves a visible column at a specified place, in front or behind a target column or at a target index
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column    An identifier of the column to be moved.
         * It can be a key, a Multi-Column Header identificator, or an index in a number format.
         * The latter is not supported when the grid contains multi-column headers.
         * @param target An identifier of a column where the moved column should move to or an index at which the moved column should
         * be moved to. In the case of a column identifier the column will be moved after it by default.
         * @param after    Specifies whether the column moved should be moved after or before the target column.
         * @param inDom    Specifies whether the column moving will be enacted through DOM manipulation or through rerendering of the grid.
         * @param callback    Specifies a custom function to be called when the column is moved.
         */
        /* istanbul ignore next */
        IgGridColumnMovingFeature.prototype.moveColumn = function (column, target, after, inDom, callback) { return; };
        return IgGridColumnMovingFeature;
    }(Feature));
    IgGridColumnMovingFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'column-moving',
                    inputs: ['disabled', 'create', 'columnSettings', 'mode', 'moveType', 'addMovingDropdown', 'movingDialogWidth', 'movingDialogHeight', 'movingDialogAnimationDuration', 'movingAcceptanceTolerance', 'movingScrollTolerance', 'scrollSpeedMultiplier', 'scrollDelta', 'hideHeaderContentsDuringDrag', 'dragHelperOpacity', 'movingDialogCaptionButtonDesc', 'movingDialogCaptionButtonAsc', 'movingDialogCaptionText', 'movingDialogDisplayText', 'movingDialogDropTooltipText', 'movingDialogDropTooltipMarkup', 'dropDownMoveLeftText', 'dropDownMoveRightText', 'dropDownMoveFirstText', 'dropDownMoveLastText', 'movingToolTipMove', 'featureChooserSubmenuText', 'columnMovingDialogContainment', 'dialogWidget', 'inherit'],
                    outputs: ['columnDragStart', 'columnDragEnd', 'columnDragCanceled', 'columnMoving', 'columnMoved', 'movingDialogOpening', 'movingDialogOpened', 'movingDialogDragged', 'movingDialogClosing', 'movingDialogClosed', 'movingDialogContentsRendering', 'movingDialogContentsRendered', 'movingDialogMoveUpButtonPressed', 'movingDialogMoveDownButtonPressed', 'movingDialogDragColumnMoving', 'movingDialogDragColumnMoved']
                },] }
    ];
    IgGridColumnMovingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridHidingFeature = /** @class */ (function (_super) {
        __extends(IgGridHidingFeature, _super);
        function IgGridHidingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the hiding widget
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.destroy = function () { return; };
        /**
         * Shows the Column Chooser dialog. If it is visible the method does nothing.
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.showColumnChooser = function () { return; };
        /**
         * Hides the Column Chooser dialog. If it is not visible the method does nothing.
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.hideColumnChooser = function () { return; };
        /**
         * Shows a hidden column. If the column is not hidden the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column    An identifier for the column.
         * If a number is provided it will be used as a column index else if a strings is provided it will be used as a column key.
         * @param isMultiColumnHeader    If it is true then the column is of type multicolumnheader.
         * An identifier for the column should be of type string.
         * @param callback    Specifies a custom function to be called when the column(s) is shown(optional)
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.showColumn = function (column, isMultiColumnHeader, callback) { return; };
        /**
         * Hides a visible column. If the column is hidden the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column An identifier for the column.
         * If a number is provided it will be used as a column index else if a strings is provided it will be used as a column key.
         * @param isMultiColumnHeader    If it is true then the column is of type multicolumnheader.
         * An identifier for the column should be of type string.
         * @param callback    Specifies a custom function to be called when the column is hidden(optional)
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.hideColumn = function (column, isMultiColumnHeader, callback) { return; };
        /**
         * Hides visible columns specified by the array. If the column is hidden the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param columns    An array of identifiers for the columns.
         * If a number is provided it will be used as a column index else if a strings is provided it will be used as a column key.
         * @param callback    Specifies a custom function to be called when all columns are hidden(optional)
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.hideMultiColumns = function (columns, callback) { return; };
        /**
         * Show visible columns specified by the array. If the column is shown the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param columns An array of identifiers for the columns.
         * If a number is provided it will be used as a column index else if a strings is provided it will be used as a column key.
         * @param callback    Specifies a custom function to be called when all columns are shown(optional)
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.showMultiColumns = function (columns, callback) { return; };
        /**
         * Gets whether the reset button in the column chooser dialog is to be rendered or not.
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.isToRenderButtonReset = function () { return; };
        /**
         * Reset hidden/shown column to initial state of dialog(when it is opened)
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.resetHidingColumnChooser = function () { return; };
        /**
         * Renders the Reset button in the Column Chooser dialog.
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.renderColumnChooserResetButton = function () { return; };
        /**
         * Remove Reset button in column chooser modal dialog
         */
        /* istanbul ignore next */
        IgGridHidingFeature.prototype.removeColumnChooserResetButton = function () { return; };
        return IgGridHidingFeature;
    }(Feature));
    IgGridHidingFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'hiding',
                    inputs: ['disabled', 'create', 'columnSettings', 'hiddenColumnIndicatorHeaderWidth', 'columnChooserContainment', 'columnChooserWidth', 'columnChooserHeight', 'dropDownAnimationDuration', 'columnChooserCaptionText', 'columnChooserDisplayText', 'hiddenColumnIndicatorTooltipText', 'columnHideText', 'columnChooserShowText', 'columnChooserHideText', 'columnChooserHideOnClick', 'columnChooserResetButtonLabel', 'columnChooserAnimationDuration', 'columnChooserButtonApplyText', 'columnChooserButtonCancelText', 'dialogWidget', 'inherit'],
                    outputs: ['columnHiding', 'columnHidingRefused', 'columnShowingRefused', 'multiColumnHiding', 'columnHidden', 'columnShowing', 'columnShown', 'columnChooserOpening', 'columnChooserOpened', 'columnChooserMoving', 'columnChooserClosing', 'columnChooserClosed', 'columnChooserContentsRendering', 'columnChooserContentsRendered', 'columnChooserButtonApplyClick', 'columnChooserButtonResetClick']
                },] }
    ];
    IgGridHidingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridCellMergingFeature = /** @class */ (function (_super) {
        __extends(IgGridCellMergingFeature, _super);
        function IgGridCellMergingFeature(el) {
            return _super.call(this, el) || this;
        }
        /* istanbul ignore next */
        IgGridCellMergingFeature.prototype.destroy = function () { return; };
        return IgGridCellMergingFeature;
    }(Feature));
    IgGridCellMergingFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'cell-merging',
                    inputs: ['disabled', 'create', 'initialState', 'inherit'],
                    outputs: ['cellsMerging', 'cellsMerged']
                },] }
    ];
    IgGridCellMergingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridResponsiveFeature = /** @class */ (function (_super) {
        __extends(IgGridResponsiveFeature, _super);
        function IgGridResponsiveFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the responsive widget.
         */
        /* istanbul ignore next */
        IgGridResponsiveFeature.prototype.destroy = function () { return; };
        /**
         * Returns the currently active responsive mode.
         */
        /* istanbul ignore next */
        IgGridResponsiveFeature.prototype.getCurrentResponsiveMode = function () { return; };
        return IgGridResponsiveFeature;
    }(Feature));
    IgGridResponsiveFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'responsive',
                    inputs: ['disabled', 'create', 'columnSettings', 'reactOnContainerWidthChanges', 'forceResponsiveGridWidth', 'responsiveSensitivity', 'responsiveModes', 'enableVerticalRendering', 'windowWidthToRenderVertically', 'propertiesColumnWidth', 'valuesColumnWidth', 'allowedColumnWidthPerType', 'singleColumnTemplate', 'inherit'],
                    outputs: ['responsiveColumnHiding', 'responsiveColumnHidden', 'responsiveColumnShowing', 'responsiveColumnShown', 'responsiveModeChanged']
                },] }
    ];
    IgGridResponsiveFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridResizingFeature = /** @class */ (function (_super) {
        __extends(IgGridResizingFeature, _super);
        function IgGridResizingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the resizing widget
         */
        /* istanbul ignore next */
        IgGridResizingFeature.prototype.destroy = function () { return; };
        /**
         * Resizes a column to a specified width in pixels, percents or auto if no width is specified.
         *
         * @param column    An identifier for the column.
         * If a number is provided it will be used as a columnIndex else if a strings is provided it will be used as a columnKey.
         * @param width    Width of the column in pixels or percents.
         * If no width or "*" is specified the column will be auto-sized to the width of the data in it (including header and footer cells).
         */
        /* istanbul ignore next */
        IgGridResizingFeature.prototype.resize = function (column, width) { return; };
        return IgGridResizingFeature;
    }(Feature));
    IgGridResizingFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'resizing',
                    inputs: ['disabled', 'create', 'allowDoubleClickToResize', 'deferredResizing', 'columnSettings', 'handleThreshold', 'inherit'],
                    outputs: ['columnResizing', 'columnResizingRefused', 'columnResized']
                },] }
    ];
    IgGridResizingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridSelectionFeature = /** @class */ (function (_super) {
        __extends(IgGridSelectionFeature, _super);
        function IgGridSelectionFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the selection widget.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.destroy = function () { return; };
        /**
         * Clears all selected cells, selected rows, active cell and active row. Also updates the UI accordingly
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.clearSelection = function () { return; };
        /**
         * Selects a cell by row/col
         *
         * @param row     Row index
         * @param col     Column index
         * @param isFixed     If the cell is part of the fixed or unfixed area of the grid.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectCell = function (row, col, isFixed) { return; };
        /**
         * Selects a cell by row id/column key
         *
         * @param id     Row Id
         * @param colKey     Column key
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectCellById = function (id, colKey) { return; };
        /**
         * Deselects a cell by row/col
         *
         * @param row     Row index
         * @param col     Column index
         * @param isFixed     If the cell is part of the fixed or unfixed area of the grid.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.deselectCell = function (row, col, isFixed) { return; };
        /**
         * Deselects a cell by row id/column key
         *
         * @param id     Row Id
         * @param colKey     Column key
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.deselectCellById = function (id, colKey) { return; };
        /**
         * Selects a row by index
         *
         * @param index     Row index
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectRow = function (index) { return; };
        /**
         * Selects a row by row id
         *
         * @param id     Row Id
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectRowById = function (id) { return; };
        /**
         * Deselects a row by index
         *
         * @param index     Row index
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.deselectRow = function (index) { return; };
        /**
         * Deselects a row by row id
         *
         * @param id     Row Id
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.deselectRowById = function (id) { return; };
        /**
         * Returns an array of selected cells in arbitrary order where every objects has the format
         * { element: , row: , index: , rowIndex: , columnKey: } .
         *
         * 				If multiple selection is disabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectedCells = function () { return; };
        /**
         * Returns an array of selected rows in arbitrary order where every object has the format { element: , index: } .
         *
         * 				If multiple selection is disabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectedRows = function () { return; };
        /**
         * Returns the currently selected cell that has the format { element: , row: , index: , rowIndex: , columnKey: }, if any.
         *
         * 				If multiple selection is enabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectedCell = function () { return; };
        /**
         * Returns the currently selected row that has the format { element: , index: }, if any.
         *
         * 				If multiple selection is enabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.selectedRow = function () { return; };
        /**
         * Returns the currently active (focused) cell that has the format { element: , row: , index: , rowIndex: , columnKey: }, if any.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.activeCell = function () { return; };
        /**
         * Returns the currently active (focused) row that has the format { element: , index: }, if any.
         */
        /* istanbul ignore next */
        IgGridSelectionFeature.prototype.activeRow = function () { return; };
        return IgGridSelectionFeature;
    }(Feature));
    IgGridSelectionFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'selection',
                    inputs: ['disabled', 'create', 'multipleSelection', 'mouseDragSelect', 'mode', 'activation', 'wrapAround', 'skipChildren', 'multipleCellSelectOnClick', 'touchDragSelect', 'persist', 'allowMultipleRangeSelection'],
                    outputs: ['rowSelectionChanging', 'rowSelectionChanged', 'cellSelectionChanging', 'cellSelectionChanged', 'activeCellChanging', 'activeCellChanged', 'activeRowChanging', 'activeRowChanged']
                },] }
    ];
    IgGridSelectionFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridRowSelectorsFeature = /** @class */ (function (_super) {
        __extends(IgGridRowSelectorsFeature, _super);
        function IgGridRowSelectorsFeature(el) {
            return _super.call(this, el) || this;
        }
        /* istanbul ignore next */
        IgGridRowSelectorsFeature.prototype.destroy = function () { return; };
        return IgGridRowSelectorsFeature;
    }(Feature));
    IgGridRowSelectorsFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'row-selectors',
                    inputs: ['disabled', 'create', 'enableRowNumbering', 'enableCheckBoxes', 'rowNumberingSeed', 'rowSelectorColumnWidth', 'requireSelection', 'showCheckBoxesOnFocus', 'inherit', 'enableSelectAllForPaging', 'selectAllForPagingTemplate', 'deselectAllForPagingTemplate'],
                    outputs: ['rowSelectorClicked', 'checkBoxStateChanging', 'checkBoxStateChanged']
                },] }
    ];
    IgGridRowSelectorsFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridSummariesFeature = /** @class */ (function (_super) {
        __extends(IgGridSummariesFeature, _super);
        function IgGridSummariesFeature(el) {
            return _super.call(this, el) || this;
        }
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.destroy = function () { return; };
        /**
         * Returns whether summaries rows are hidden
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.isSummariesRowsHidden = function () { return; };
        /**
         * Calculate summaries
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.calculateSummaries = function () { return; };
        /**
         * Remove all summaries dropdown buttons.
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.clearAllFooterIcons = function () { return; };
        /**
         * Toggle drop down
         *
         * @param columnKey    toggle drop down for the column with the specified key
         * @param event    event object. Its data should contain current columnKey, isAnimating, buttonId
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.toggleDropDown = function (columnKey, event) { return; };
        /**
         * Show/Hide dialog
         *
         * @param $dialog     jQuery object representation of dropdown div element
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.showHideDialog = function ($dialog) { return; };
        /**
         * Toggle summaries rows
         *
         * @param isToShow    Specifies whether to show or not summaries
         * @param isInternalCall    Optional parameter.Specifies whether this function is called internally by the widget.
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.toggleSummariesRows = function (isToShow, isInternalCall) { return; };
        /**
         * Toggles the checkstate of a checkbox if checkboxMode is not set to off, otherwise does nothing.
         *
         * @param $checkbox     Specifies the jQuery object of the checkbox.
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.toggleCheckstate = function ($checkbox) { return; };
        /**
         * Select/Unselect specified checkbox
         *
         * @param $checkbox     Specifies the jQuery object for checkbox
         * @param isToSelect     Specify whether to select or not checkbox
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.selectCheckBox = function ($checkbox, isToSelect) { return; };
        /**
         * Summary calculate the whole data for the specified column key,
         * columnMethods and dataType (used when datasource is remote and dataType is date)
         *
         * @param ck    ColumnKey
         * @param columnMethods    Array of column methods objects
         * @param data    object which represents result represents dataType for the current column
         * @param dataType data type
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.calculateSummaryColumn = function (ck, columnMethods, data, dataType) { return; };
        /**
         * Return a JQUERY object which holds all summaries for all columns
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.summaryCollection = function () { return; };
        /**
         * Return a JQUERY object which holds all summaries for column with the specified column key
         *
         * @param columnKey column key
         */
        /* istanbul ignore next */
        IgGridSummariesFeature.prototype.summariesFor = function (columnKey) { return; };
        return IgGridSummariesFeature;
    }(Feature));
    IgGridSummariesFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'summaries',
                    inputs: ['disabled', 'create', 'type', 'dialogButtonOKText', 'dialogButtonCancelText', 'calculateRenderMode', 'featureChooserText', 'featureChooserTextHide', 'compactRenderingMode', 'defaultDecimalDisplay', 'showSummariesButton', 'summariesResponseKey', 'summaryExprUrlKey', 'callee', 'dropDownHeight', 'dropDownWidth', 'showDropDownButton', 'summaryExecution', 'dropDownDialogAnimationDuration', 'emptyCellText', 'summariesHeaderButtonTooltip', 'resultTemplate', 'isGridFormatter', 'renderSummaryCellFunc', 'columnSettings', 'inherit'],
                    outputs: ['dropDownOpening', 'dropDownOpened', 'dropDownClosing', 'dropDownClosed', 'summariesCalculating', 'summariesCalculated', 'summariesMethodSelectionChanged', 'summariesToggling', 'summariesToggled', 'dropDownOKClicked', 'dropDownCancelClicked']
                },] }
    ];
    IgGridSummariesFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridColumnFixingFeature = /** @class */ (function (_super) {
        __extends(IgGridColumnFixingFeature, _super);
        function IgGridColumnFixingFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Unfixes a column by specified column identifier - column key or column index.
         *
         * @param colIdentifier    An identifier of the column to be unfixed - column index or column key.
         * @param target    Key of the column where the unfixed column should move to.
         * @param after    Specifies where the unfixed column should be rendered after or before the target column.
         * This parameter is disregarded if there is no target column specified.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.unfixColumn = function (colIdentifier, target, after) { return; };
        /**
         * Checks whether the heights of fixed and unfixed tables are equal - if not sync them. Similar check is made for heights of table rows.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.checkAndSyncHeights = function () { return; };
        /**
         * If the 'check' argument is set to true, checks whether the heights of fixed and unfixed tables are equal, if not sync them.
         * Similar check is made for heights of table rows.
         * If the clearRowsHeights argument is set to true, clears rows heights before syncing them.
         *
         * @param check    If set to true, checks whether the heights of fixed and unfixed tables are equal, if not sync them.
         * If this argument is set to false sync is performed regardless of the current heights.
         * @param clearRowsHeights    Clears row heigths for all visible rows.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.syncHeights = function (check, clearRowsHeights) { return; };
        /**
         * Returns whether the column with the specified key is a column group header
         *  when the [multi-column headers](http://www.igniteui.com/help/iggrid-multicolumnheaders-landingpage) feature is used.
         *
         * @param colKey    The key of the column to perform the check for.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.isGroupHeader = function (colKey) { return; };
        /**
         * Checks whether column fixing is allowed for the specified columns.
         * It should not be allowed if there is only one visible column in the unfixed area.
         *
         * @param columns    Array of columns and/or column identifiers - could be column indexes, column keys, column object or mixed.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.checkFixingAllowed = function (columns) { return; };
        /**
         * Checks whether unfixing is allowed for the specified columns.
         * It should not be allowed if there is only one visible column in the fixed area.
         *
         * @param columns    Array of columns and/or column identifiers - could be column indexes, column keys, column object or mixed.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.checkUnfixingAllowed = function (columns) { return; };
        /**
         * Fixes non-data columns (such as the row numbering column of row selectors) if any and if
         * [fixingDirection](ui.iggridcolumnfixing#options:fixingDirection) is left. Does nothing if the non-data columns are already fixed.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.fixNonDataColumns = function () { return; };
        /**
         * This function is deprecated - use function fixNonDataColumns.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.fixDataSkippedColumns = function () { return; };
        /**
         * Unfixes non-data columns (such as the row numbering column of row selectors) if any and if
         * [fixingDirection](ui.iggridcolumnfixing#options:fixingDirection) is left. Does nothing if the non-data columns are already fixed.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.unfixNonDataColumns = function () { return; };
        /**
         * This function is deprecated - use function unfixNonDataColumns.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.unfixDataSkippedColumns = function () { return; };
        /**
         * Unfixes all fixed columns.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.unfixAllColumns = function () { return; };
        /**
         * Syncs rows heights between two collections of rows.
         *
         * @param $trs    An array of rows of the first(fixed/unfixed) container.
         * @param $anotherRows    An array of rows of the second(fixed/unfixed) container.
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.syncRowsHeights = function ($trs, $anotherRows) { return; };
        /**
         * Calculates widths of the fixed columns.
         *
         * @param fCols    Array of grid columns. If not set then the total width of the fixed columns are returned.
         * @param excludeNonDataColumns If set to true do not calculate the width of non-data fixed columns
         *                              (like the row selector row numbering column).
         * @param includeHidden    If set to true calculates width of the hidden fixed columns (their initial width before hiding).
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.getWidthOfFixedColumns = function (fCols, excludeNonDataColumns, includeHidden) { return; };
        /**
         * Destroys the column fixing widget
         */
        /* istanbul ignore next */
        IgGridColumnFixingFeature.prototype.destroy = function () { return; };
        return IgGridColumnFixingFeature;
    }(Feature));
    IgGridColumnFixingFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'column-fixing',
                    inputs: ['disabled', 'create', 'headerFixButtonText', 'headerUnfixButtonText', 'showFixButtons', 'syncRowHeights', 'scrollDelta', 'fixingDirection', 'columnSettings', 'featureChooserTextFixedColumn', 'featureChooserTextUnfixedColumn', 'minimalVisibleAreaWidth', 'fixNondataColumns', 'populateDataRowsAttributes'],
                    outputs: ['columnFixing', 'columnFixed', 'columnUnfixing', 'columnUnfixed', 'columnFixingRefused', 'columnUnfixingRefused']
                },] }
    ];
    IgGridColumnFixingFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridTooltipsFeature = /** @class */ (function (_super) {
        __extends(IgGridTooltipsFeature, _super);
        function IgGridTooltipsFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the tooltip widget.
         */
        /* istanbul ignore next */
        IgGridTooltipsFeature.prototype.destroy = function () { return; };
        /**
         * Returns the ID of the parent div element bounding the ruler and the tooltip container
         */
        /* istanbul ignore next */
        IgGridTooltipsFeature.prototype.id = function () { return; };
        return IgGridTooltipsFeature;
    }(Feature));
    IgGridTooltipsFeature.decorators = [
        { type: core.Directive, args: [{
                    selector: 'tooltips',
                    inputs: ['disabled', 'create', 'visibility', 'style', 'showDelay', 'hideDelay', 'columnSettings', 'fadeTimespan', 'cursorLeftOffset', 'cursorTopOffset', 'inherit'],
                    outputs: ['tooltipShowing', 'tooltipShown', 'tooltipHiding', 'tooltipHidden']
                },] }
    ];
    IgGridTooltipsFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var IgGridAppendRowsOnDemandFeature = /** @class */ (function (_super) {
        __extends(IgGridAppendRowsOnDemandFeature, _super);
        function IgGridAppendRowsOnDemandFeature(el) {
            return _super.call(this, el) || this;
        }
        /**
         * Destroys the append rows on demand widget
         */
        /* istanbul ignore next */
        IgGridAppendRowsOnDemandFeature.prototype.destroy = function () { return; };
        /**
         * Loads the next chunk of data.
         */
        /* istanbul ignore next */
        IgGridAppendRowsOnDemandFeature.prototype.nextChunk = function () { return; };
        return IgGridAppendRowsOnDemandFeature;
    }(Feature));
    IgGridAppendRowsOnDemandFeature.decorators = [
        { type: core.Directive, args: [{
                    // tslint:disable-next-line:directive-selector
                    selector: 'append-rows-on-demand',
                    inputs: ['type', 'chunkSize', 'recordCountKey', 'chunkSizeUrlKey', 'chunkIndexUrlKey', 'defaultChunkIndex', 'currentChunkIndex', 'loadTrigger', 'loadMoreDataButtonText'],
                    outputs: ['rowsRequesting', 'rowsRequested']
                },] }
    ];
    IgGridAppendRowsOnDemandFeature.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };

    var Features = /** @class */ (function () {
        function Features() {
            this.allFeatures = new Array();
        }
        Features.prototype.addFeature = function (name, parent) {
            var nodeName = name.replace(/([A-Z])/g, function (g) { return '-' + g[0].toLowerCase(); });
            var el = document.createElement(nodeName);
            el = parent.appendChild(el);
            var child = new core.ElementRef(el);
            switch (nodeName) {
                case 'filtering':
                    this.filtering = new IgGridFilteringFeature(child);
                    break;
                case 'sorting':
                    this.sorting = new IgGridSortingFeature(child);
                    break;
                case 'paging':
                    this.paging = new IgGridPagingFeature(child);
                    break;
                case 'updating':
                    this.updating = new IgGridUpdatingFeature(child);
                    break;
                case 'group-by':
                    this.groupBy = new IgGridGroupByFeature(child);
                    break;
                case 'column-moving':
                    this.columnMoving = new IgGridColumnMovingFeature(child);
                    break;
                case 'hiding':
                    this.hiding = new IgGridHidingFeature(child);
                    break;
                case 'responsive':
                    this.responsive = new IgGridResponsiveFeature(child);
                    break;
                case 'cell-merging':
                    this.cellMerging = new IgGridCellMergingFeature(child);
                    break;
                case 'resizing':
                    this.resizing = new IgGridResizingFeature(child);
                    break;
                case 'selection':
                    this.selection = new IgGridSelectionFeature(child);
                    break;
                case 'row-selectors':
                    this.rowSelectors = new IgGridRowSelectorsFeature(child);
                    break;
                case 'summaries':
                    this.summaries = new IgGridSummariesFeature(child);
                    break;
                case 'column-fixing':
                    this.columnFixing = new IgGridColumnFixingFeature(child);
                    break;
                case 'tooltips':
                    this.tooltips = new IgGridTooltipsFeature(child);
                    break;
                case 'append-rows-on-demand':
                    this.appendRowsOnDemand = new IgGridAppendRowsOnDemandFeature(child);
                    break;
                case 'multi-column-headers':
                    this.multiColumnHeaders = new IgGridMultiColumnHeadersFeature(child);
                    break;
            }
            this[name].ngOnInit();
            this.allFeatures.push(this[name]);
        };
        Features.prototype.ngAfterContentInit = function () {
            this.filtering ? this.allFeatures.push(this.filtering) : this.noop();
            this.sorting ? this.allFeatures.push(this.sorting) : this.noop();
            this.paging ? this.allFeatures.push(this.paging) : this.noop();
            this.updating ? this.allFeatures.push(this.updating) : this.noop();
            this.groupBy ? this.allFeatures.push(this.groupBy) : this.noop();
            this.columnMoving ? this.allFeatures.push(this.columnMoving) : this.noop();
            this.hiding ? this.allFeatures.push(this.hiding) : this.noop();
            this.responsive ? this.allFeatures.push(this.responsive) : this.noop();
            this.cellMerging ? this.allFeatures.push(this.cellMerging) : this.noop();
            this.resizing ? this.allFeatures.push(this.resizing) : this.noop();
            this.selection ? this.allFeatures.push(this.selection) : this.noop();
            this.rowSelectors ? this.allFeatures.push(this.rowSelectors) : this.noop();
            this.summaries ? this.allFeatures.push(this.summaries) : this.noop();
            this.columnFixing ? this.allFeatures.push(this.columnFixing) : this.noop();
            this.tooltips ? this.allFeatures.push(this.tooltips) : this.noop();
            this.appendRowsOnDemand ? this.allFeatures.push(this.appendRowsOnDemand) : this.noop();
            this.multiColumnHeaders ? this.allFeatures.push(this.multiColumnHeaders) : this.noop();
        };
        Features.prototype.noop = function () { };
        return Features;
    }());
    Features.decorators = [
        { type: core.Directive, args: [{
                    selector: 'features'
                },] }
    ];
    Features.propDecorators = {
        sorting: [{ type: core.ContentChild, args: [IgGridSortingFeature, { static: true },] }],
        filtering: [{ type: core.ContentChild, args: [IgGridFilteringFeature, { static: true },] }],
        paging: [{ type: core.ContentChild, args: [IgGridPagingFeature, { static: true },] }],
        updating: [{ type: core.ContentChild, args: [IgGridUpdatingFeature, { static: true },] }],
        groupBy: [{ type: core.ContentChild, args: [IgGridGroupByFeature, { static: true },] }],
        columnMoving: [{ type: core.ContentChild, args: [IgGridColumnMovingFeature, { static: true },] }],
        hiding: [{ type: core.ContentChild, args: [IgGridHidingFeature, { static: true },] }],
        cellMerging: [{ type: core.ContentChild, args: [IgGridCellMergingFeature, { static: true },] }],
        responsive: [{ type: core.ContentChild, args: [IgGridResponsiveFeature, { static: true },] }],
        resizing: [{ type: core.ContentChild, args: [IgGridResizingFeature, { static: true },] }],
        selection: [{ type: core.ContentChild, args: [IgGridSelectionFeature, { static: true },] }],
        rowSelectors: [{ type: core.ContentChild, args: [IgGridRowSelectorsFeature, { static: true },] }],
        summaries: [{ type: core.ContentChild, args: [IgGridSummariesFeature, { static: true },] }],
        columnFixing: [{ type: core.ContentChild, args: [IgGridColumnFixingFeature, { static: true },] }],
        tooltips: [{ type: core.ContentChild, args: [IgGridTooltipsFeature, { static: true },] }],
        appendRowsOnDemand: [{ type: core.ContentChild, args: [IgGridAppendRowsOnDemandFeature, { static: true },] }],
        multiColumnHeaders: [{ type: core.ContentChild, args: [IgGridMultiColumnHeadersFeature, { static: true },] }]
    };

    var NODES = {
        'ig-text-editor': 'div',
        'ig-numeric-editor': 'input',
        'ig-percent-editor': 'input',
        'ig-mask-editor': 'input',
        'ig-date-picker': 'input',
        'ig-time-picker': 'input',
        'ig-date-editor': 'input',
        'ig-currency-editor': 'input',
        'ig-checkbox-editor': 'input',
        'ig-html-editor': 'div',
        'ig-combo': 'input',
        'ig-grid': 'table',
        'ig-tree-grid': 'table',
        'ig-hierarchical-grid': 'table',
        'ig-pivot-data-selector': 'div',
        'ig-pivot-grid': 'table',
        'ig-data-chart': 'div',
        'ig-pie-chart': 'div',
        'ig-doughnut-chart': 'div',
        'ig-funnel-chart': 'div',
        'ig-radial-gauge': 'div',
        'ig-sparkline': 'div',
        'ig-zoombar': 'div',
        'ig-map': 'div',
        'ig-bullet-graph': 'div',
        'ig-linear-gauge': 'div',
        'ig-q-r-code-barcode': 'div',
        'ig-validator': 'div',
        'ig-upload': 'div',
        'ig-popover': 'div',
        'ig-rating': 'div',
        'ig-video-player': 'div',
        'ig-radial-menu': 'div',
        'ig-split-button': 'div',
        'ig-notifier': 'div',
        'ig-tree': 'div',
        'ig-dialog': 'div',
        'ig-splitter': 'div',
        'ig-layout-manager': 'div',
        'ig-tile-manager': 'div',
        'ig-spreadsheet': 'div',
        'ig-scheduler': 'div'
    };
    var IgControlBase = /** @class */ (function () {
        function IgControlBase(el, renderer, differs, kvalDiffers, cdr) {
            this.kvalDiffers = kvalDiffers;
            this.cdr = cdr;
            this.options = {};
            this._evtEmmiters = {};
            this._differs = differs;
            this._nativeElement = el.nativeElement;
            this._widgetName = this.convertToCamelCase(el.nativeElement.nodeName.toLowerCase()); // ig-grid -> igGrid
            this._el = el.nativeElement.appendChild(document.createElement(NODES[el.nativeElement.nodeName.toLowerCase()]));
            for (var propt in jQuery.ui[this._widgetName].prototype.events) {
                if (jQuery.ui[this._widgetName].prototype.events.hasOwnProperty(propt)) {
                    this[propt] = new core.EventEmitter();
                    // cahcing the event emmitters for cases when the event name is the same as a method name.
                    this._evtEmmiters[propt] = this[propt];
                }
            }
        }
        IgControlBase.prototype.createSetter = function (name) {
            return function (value) {
                this.options[name] = value;
                if (this._config) {
                    this._config[name] = value;
                }
                if (jQuery.ui[this._widgetName] &&
                    jQuery.ui[this._widgetName].prototype.options &&
                    jQuery.ui[this._widgetName].prototype.options.hasOwnProperty(name) &&
                    jQuery(this._el).data(this._widgetName)) {
                    jQuery(this._el)[this._widgetName]('option', name, value);
                }
            };
        };
        IgControlBase.prototype.ngOnInit = function () {
            var evtName;
            var that = this;
            this._events = new Map();
            for (var opt in jQuery.ui[this._widgetName].prototype.options) {
                // copy root level options into this.options
                if (this[opt] && typeof this[opt] !== 'function') {
                    this.options[opt] = this[opt];
                }
            }
            for (var opt in jQuery.ui[this._widgetName].prototype.options) {
                if (opt !== 'dataSource') {
                    Object.defineProperty(this, opt, {
                        set: this.createSetter(opt),
                        enumerable: true,
                        configurable: true
                    });
                }
            }
            var propNames = jQuery.ui[this._widgetName].prototype;
            for (var name in propNames) {
                if (name.indexOf('_') !== 0 && typeof jQuery.ui[this._widgetName].prototype[name] === 'function'
                    && name !== 'dataSource') {
                    Object.defineProperty(that, name, {
                        get: that.createMethodGetter(name)
                    });
                }
            }
            // events binding
            for (var propt in jQuery.ui[this._widgetName].prototype.events) {
                if (jQuery.ui[this._widgetName].prototype.events.hasOwnProperty(propt)) {
                    evtName = this._widgetName.toLowerCase() + propt.toLowerCase();
                    this._events[evtName] = propt;
                    jQuery(this._el).on(evtName, function (evt, ui) {
                        var emmiter = that._evtEmmiters[that._events[evt.type]];
                        emmiter.emit({ event: evt, ui: ui });
                    });
                }
            }
            jQuery(this._el).attr('id', this.widgetId);
            jQuery(this._el)[this._widgetName](this.options);
        };
        IgControlBase.prototype.createMethodGetter = function (name) {
            var _this = this;
            return function () {
                var widget = jQuery(_this._el).data(_this._widgetName);
                return jQuery.proxy(widget[name], widget);
            };
        };
        IgControlBase.prototype.ngDoCheck = function () {
            var _this = this;
            if (this._optsDiffer) {
                var changes = this._optsDiffer.diff(this.options);
                if (changes) {
                    changes.forEachChangedItem(function (change) {
                        _this[change.key] = change.currentValue;
                    });
                }
            }
        };
        IgControlBase.prototype.ngOnChanges = function (changes) {
            var opts = 'options';
            if (opts in changes) {
                var value = changes[opts].currentValue;
                // options have been changed. Destroy and re-create widget.
                if (jQuery(this._el).data(this._widgetName)) {
                    jQuery(this._el)[this._widgetName]('destroy');
                    jQuery(this._el)[this._widgetName](this.options);
                }
                try {
                    this._optsDiffer = this.kvalDiffers.find({}).create();
                }
                catch (e) {
                    throw new Error('Only binding to object is supported for options property.');
                }
            }
        };
        IgControlBase.prototype.markForCheck = function () {
            this.cdr.markForCheck();
        };
        IgControlBase.prototype.convertToCamelCase = function (str) {
            // convert hyphen to camelCase
            return str.replace(/-([a-z])/g, function (group) { return group[1].toUpperCase(); });
        };
        IgControlBase.prototype.ngOnDestroy = function () {
            // igZoombar should be attached to body when being destroyed
            if (this._widgetName !== 'igZoombar' || document.body.contains(this._el)) {
                jQuery(this._el)[this._widgetName]('destroy');
                jQuery(this._el).remove();
                jQuery(this._nativeElement).remove();
            }
        };
        return IgControlBase;
    }());
    IgControlBase.decorators = [
        { type: core.Directive }
    ];
    IgControlBase.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgControlBase.propDecorators = {
        options: [{ type: core.Input }]
    };

    var IgGridBase = /** @class */ (function (_super) {
        __extends(IgGridBase, _super);
        function IgGridBase(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgGridBase.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var grid = jQuery(this._el).data(this._widgetName);
                if (grid) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgGridBase.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
        };
        IgGridBase.prototype.ngAfterContentInit = function () {
            var _this = this;
            if (this._columns && this._columns.length) {
                if (this.options) {
                    this.options.columns = this._columns.map(function (c) { return c._settings; });
                }
            }
            if (this.featuresList) {
                if (this.options) {
                    this.options.features = this.featuresList.allFeatures.map(function (c) { return c.initSettings; });
                }
            }
            if (this.options && this.options.features && !this.featuresList) {
                this.featuresList = new Features();
                // populate featuresList
                this.options.features.forEach(function (feature) {
                    var featureName = feature.name.charAt(0).toLowerCase() + feature.name.slice(1);
                    _this.featuresList.addFeature(featureName, _this._el);
                });
            }
            _super.prototype.ngOnInit.call(this);
        };
        IgGridBase.prototype.createDataSource = function (value) {
            return jQuery.extend(true, [], value);
        };
        IgGridBase.prototype.deleteRow = function (id, index) {
            var element = jQuery(this._el);
            var tr = element.find('tr[data-id=\'' + id + '\']');
            if (tr.length > 0) {
                tr.remove();
                jQuery(this._el).data(this._widgetName).dataSource.deleteRow(id, true);
                jQuery(this._el).data(this._widgetName).dataSource._removeTransactionsByRecordId(id);
            }
            this._changes.splice(index, 1);
        };
        IgGridBase.prototype.addRow = function (rowData, index) {
            var grid;
            var pkKey = this.primaryKey || this.options.primaryKey;
            var existingDomRow = jQuery(this._el).find('tr[data-id=\'' + rowData[pkKey] + '\']');
            var widgetName = this._widgetName;
            var existingRow;
            var t;
            if (this._widgetName === 'igHierarchicalGrid') {
                widgetName = 'igGrid';
            }
            grid = jQuery(this._el).data(widgetName);
            if (existingDomRow.length === 0) {
                grid.renderNewRow(rowData, rowData[pkKey]);
            }
            existingRow = grid.dataSource.findRecordByKey(rowData[pkKey]);
            if (!existingRow) {
                // add the row without affecting the original DS (scope source)
                // TODO: trigger rowAdded event?
                grid.dataSource._addRow(rowData, index);
                // add transaction
                t = grid.dataSource._createNewRowTransaction(rowData[pkKey], rowData);
                grid.dataSource._addTransaction(t);
                grid.dataSource._removeTransactionByTransactionId(t.tid);
            }
            this._changes.push(this.kvalDiffers.find({}).create());
        };
        IgGridBase.prototype.updateRow = function (rec, currValue, key) {
            var pkKey = this.primaryKey || this.options.primaryKey;
            var widgetName = this._widgetName;
            if (this._widgetName === 'igHierarchicalGrid') {
                widgetName = 'igGrid';
            }
            var element = jQuery(this._el);
            var grid = element.data(widgetName);
            var column = grid.columnByKey(key);
            var newFormattedVal;
            var td;
            if (column) {
                if (column.template) {
                    newFormattedVal = grid._renderTemplatedCell(rec, column);
                }
                else {
                    newFormattedVal = grid._renderCell(currValue, column, rec);
                }
                td = grid._getCellsByColKey(element.find('tr[data-id=\'' + rec[pkKey] + '\']'), key);
                // if current cell is still in edit mode, exit it.
                if (jQuery(td).find('input.ui-igedit-input').length > 0) {
                    element.data('igGridUpdating').endEdit();
                }
                jQuery(td).html(newFormattedVal);
                if (grid.options.localSchemaTransform) {
                    rec = grid.dataSource.schema().transform([rec])[0];
                }
                grid.dataSource.updateRow(rec[pkKey], rec);
                grid.dataSource._commitTransactionsByRowId(rec[pkKey]);
            }
        };
        IgGridBase.prototype.ngOnChanges = function (changes) {
            var _this = this;
            var ds = 'dataSource';
            if (ds in changes) {
                var value = changes[ds].currentValue;
                if (value) {
                    try {
                        this._differ = this._differs.find(value).create();
                        this._changes = [];
                        this._dataSource.forEach(function (item) {
                            _this._changes.push(_this.kvalDiffers.find({}).create());
                        });
                    }
                    catch (e) {
                        throw new Error('Only binding to arrays is supported.');
                    }
                }
            }
            _super.prototype.ngOnChanges.call(this, changes);
        };
        IgGridBase.prototype.ngDoCheck = function () {
            var _this = this;
            if (this._differ) {
                var changes = this._differ.diff(this._dataSource);
                // check if grid is initialized
                var grid = jQuery(this._el).data(this._widgetName);
                if (changes && grid) {
                    this.dataSourceApplyChanges(changes);
                }
                if (changes && changes.isDirty && grid) {
                    // data source has been changed post initialization.
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
                if (this._changes && grid) {
                    var pkKey = this.primaryKey || this.options.primaryKey;
                    var _loop_1 = function (i) {
                        var item = this_1._dataSource[i];
                        var rowChanges = this_1._changes[i].diff(item);
                        if (rowChanges) {
                            rowChanges.forEachChangedItem(function (change) {
                                _this.updateRow(item, change.currentValue, change.key);
                            });
                        }
                    };
                    var this_1 = this;
                    // check recs
                    for (var i = 0; i < this._dataSource.length; i++) {
                        _loop_1(i);
                    }
                }
            }
            _super.prototype.ngDoCheck.call(this);
        };
        IgGridBase.prototype.dataSourceApplyChanges = function (changes) {
            var _this = this;
            var pkKey = this.primaryKey || this.options.primaryKey;
            changes.forEachAddedItem(function (r) { return _this.addRow(r.item, r.currentIndex); });
            changes.forEachRemovedItem(function (r) { _this.deleteRow(r.item[pkKey], r.previousIndex); });
        };
        IgGridBase.prototype.allRows = function () { };
        return IgGridBase;
    }(IgControlBase));
    IgGridBase.decorators = [
        { type: core.Directive }
    ];
    IgGridBase.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgGridBase.propDecorators = {
        dataSource: [{ type: core.Input }],
        primaryKey: [{ type: core.Input }],
        _columns: [{ type: core.ContentChildren, args: [Column,] }],
        featuresList: [{ type: core.ContentChild, args: [Features, { static: true },] }]
    };

    var IgGridComponent = /** @class */ (function (_super) {
        __extends(IgGridComponent, _super);
        function IgGridComponent(el, renderer, differs, kvalDiff, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiff, cdr) || this;
        }
        /**
         * Returns the element holding the data records
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.widget = function () { return; };
        /**
         * Returns whether grid has non-data fixed columns(e.g. row selectors column)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.hasFixedDataSkippedColumns = function () { return; };
        /**
         * Returns true if grid has at least one fixed columns(even if a non-data column - like row-selectors column)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.hasFixedColumns = function () { return; };
        /**
         * Returns the current fixing direction. NOTE - use only if ColumnFixing feature is enabled
         * @return left|right
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixingDirection = function () { return; };
        /**
         * Returns whether the column with identifier colKey is fixed
         *
         * @param colKey     An identifier of the column which should be checked. It can be a key or visible index.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.isFixedColumn = function (colKey) { return; };
        /**
         * Called to detect whether grid container is resized.
         * When autoAdjustHeight is true and height of the grid is changed then the height of grid is re-set.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.resizeContainer = function () { return; };
        /**
         * Returns whether the header identified by colKey is multicolumn header(has children)
         *
         * @param colKey     value of the column key
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.isGroupHeader = function (colKey) { return; };
        /**
         * Returns an object that contains information on the passed Dom element
         *
         * 				rowId - the id of the record associated with the element - if primaryKey is not set this will be null.
         * 				rowIndex - the index (in the DOM) of the row associated with the element.
         * 				recordIndex - index of the data record associated with this element in the current dataView.
         * 				columnObject  - the column object associated with this element ( if the element is tr this will be null)
         *
         * @param elem    The Dom element or jQuery object which can be a TD or TR element from the grid.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getElementInfo = function (elem) { return; };
        /**
         * Returns the ID of the TABLE element where data records are rendered
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.id = function () { return; };
        /**
         * Returns the DIV that is the topmost container of the grid widget
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.container = function () { return; };
        /**
         * Returns the table that contains the header cells
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.headersTable = function () { return; };
        /**
         * Returns the table that contains the footer cells
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.footersTable = function () { return; };
        /**
         * Returns the DIV that is used as a scroll container for the grid contents
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.scrollContainer = function () { return; };
        /**
         * Returns the DIV that is the topmost container of the fixed grid - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedContainer = function () { return; };
        /**
         * Returns the DIV that is the topmost container of the fixed body grid - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedBodyContainer = function () { return; };
        /**
         * Returns container(jQuery representation) containing fixed footer - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedFooterContainer = function () { return; };
        /**
         * Returns container(jQuery representation) containing fixed header - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedHeaderContainer = function () { return; };
        /**
         * Returns the table that contains the FIXED header cells - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedHeadersTable = function () { return; };
        /**
         * Returns the table that contains the footer cells - contains fixed columns(in ColumnFixing scenario)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedFootersTable = function () { return; };
        /**
         * Returns the cell TD element at the specified location
         *
         * @param x     The column index.
         * @param y     The row index.
         * @param isFixed     Optional parameter - if true get cell TD at the specified location from the fixed table
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.cellAt = function (x, y, isFixed) { return; };
        /**
         * Returns the cell TD element by row id and column key
         *
         * @param rowId     The id of the row.
         * @param columnKey     The column key.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.cellById = function (rowId, columnKey) { return; };
        /**
         * Returns the fixed table - contains fixed columns(in ColumnFixing scenario). If there aren't fixed columns returns the grid table
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedTable = function () { return; };
        /**
         * Gets all immediate children of the current grid
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.immediateChildrenWidgets = function () { return; };
        /**
         * Gets all children of the current grid, recursively
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.childrenWidgets = function () { return; };
        /**
         * Gets all children's elements of the current grid, recursively
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.children = function () { return; };
        /**
         * Gets all immediate children's elements of the current grid
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.immediateChildren = function () { return; };
        /**
         * Returns the row (TR element) at the specified index. jQuery selectors aren't used for performance reasons
         *
         * @param i     The row index.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.rowAt = function (i) { return; };
        /**
         * Returns the row TR element by row id
         *
         * @param rowId     The id of the row.
         * @param isFixed     Specify search in the fixed container.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.rowById = function (rowId, isFixed) { return; };
        /**
         * Returns the fixed row (TR element) at the specified index.
         * jQuery selectors aren't used for performance reasons(in ColumnFixing scenario - only when there is at least one fixed column)
         *
         * @param i     The row index.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedRowAt = function (i) { return; };
        /**
         * Returns a list of all fixed TR elements holding data in the grid,
         * in ColumnFixing scenario - only when there is at least one fixed column
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.fixedRows = function () { return; };
        /**
         * Returns a list of all TR elements holding data in the grid,
         * when there is at least one fixed column returns rows only in the UNFIXED table
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.rows = function () { return; };
        /**
         * Returns all data fixed rows recursively, not only the immediate ones,
         * in ColumnFixing scenario - only when there is at least one fixed column
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.allFixedRows = function () { return; };
        /**
         * Returns all data rows recursively, not only the immediate ones,
         * when there is at least one fixed column returns rows only in the UNFIXED table
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.allRows = function () { return; };
        /**
         * Returns a column object by the specified column key
         *
         * @param key     The column key.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.columnByKey = function (key) { return; };
        /**
         * Returns a column object by the specified header text. If there are multiple matches, returns the first one.
         *
         * @param text     The column header text.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.columnByText = function (text) { return; };
        /**
         * Returns an array of selected cells in arbitrary order where every objects has the format
         * { element: , row: , index: , rowIndex: , columnKey: } .
         * 				If multiple selection is disabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.selectedCells = function () { return; };
        /**
         * Returns an array of selected rows in arbitrary order where every object has the format { element: , index: }.
         * 				If multiple selection is disabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.selectedRows = function () { return; };
        /**
         * Returns the currently selected cell that has the format { element: , row: , index: , rowIndex: , columnKey: }, if any.
         * 				If multiple selection is enabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.selectedCell = function () { return; };
        /**
         * Returns the currently selected row that has the format { element: , index: }, if any.
         * 				If multiple selection is enabled the function will return null.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.selectedRow = function () { return; };
        /**
         * Returns the currently active (focused) cell that has the format { element: , row: , index: , rowIndex: , columnKey: }, if any.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.activeCell = function () { return; };
        /**
         * Returns the currently active (focused) row that has the format { element: , index: }, if any.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.activeRow = function () { return; };
        /**
         * Retrieves a cell value using the row index and the column key.
         * If a primaryKey is defined, rowId is assumed to be the row Key (not index).
         * If primary key is not defined, then rowId is converted to a number and is used as a row index.
         *
         * @param rowId     Row index or row key (primary key).
         * @param colKey     The column key.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getCellValue = function (rowId, colKey) { return; };
        /**
         * Returns the cell text. If colKey is a number, the index of the column is used (instead of a column name)
         * - does not apply when using a Multi-Row Layout grid.
         * This is the actual text (or HTML string) for the contents of the cell.
         *
         * @param rowId     Row index or row data key (primary key)
         * @param colKey     Column key.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getCellText = function (rowId, colKey) { return; };
        /**
         * Sets a new template for a column after initialization and renders the grid if not explicitly disabled.
         * This method will replace any existing explicitly set row template and will build one anew from the column ones.
         *
         * @param col     An identifier of the column to set template for (index or key)
         * @param tmpl     The column template to set
         * @param render     Should the grid rerender after template is set
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.setColumnTemplate = function (col, tmpl, render) { return; };
        /**
         * Commits all pending transactions to the client data source.
         * Note that there won't be anything to commit on the UI, since it is updated instantly.
         * In order to rollback the actual UI, a call to dataBind() is required.
         *
         * @param rowId     If specified, will commit only that transaction corresponding to the specified record key.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.commit = function (rowId) { return; };
        /**
         * Clears the transaction log (delegates to igDataSource). Note that this does not update the UI.
         * In case the UI must be updated, set the second parameter "updateUI" to true,
         * which will trigger a call to dataBind() to re-render the contents.
         *
         * @param rowId     If specified, will only rollback the transactions with that row id.
         * @param updateUI     Whether to update the UI or not.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.rollback = function (rowId, updateUI) { return; };
        /**
         * Returns a record by a specified key (requires that primaryKey is set in the settings).
         * 				That is a wrapper for this.dataSource.findRecordByKey(key).
         *
         * @param key     Primary key of the record
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.findRecordByKey = function (key) { return; };
        /**
         * Returns a standalone object (copy) that represents the committed transactions, but detached from the data source.
         * 				That is a wrapper for this.dataSource.getDetachedRecord(t).
         *
         * @param t     A transaction object.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getDetachedRecord = function (t) { return; };
        /**
         * Returns a list of all transaction objects that are pending to be committed or rolled back to the data source.
         * 				That is a wrapper for this.dataSource.pendingTransactions().
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.pendingTransactions = function () { return; };
        /**
         * Returns a list of all transaction objects that are either pending, or have been committed in the data source.
         * 				That is a wrapper for this.dataSource.allTransactions().
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.allTransactions = function () { return; };
        /**
         * Returns the accumulated transaction log as a string. The purpose of this is to be passed to URLs or used conveniently.
         * 				That is a wrapper for this.dataSource.transactionsAsString().
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.transactionsAsString = function () { return; };
        /**
         * Invokes an AJAX request to the updateUrl option (if specified) and passes the serialized transaction log
         * (a serialized JSON string) as part of the POST request.
         *
         * @param success    Specifies a custom function to be called when AJAX request to the updateUrl option succeeds(optional)
         * @param error    Specifies a custom function to be called when AJAX request to the updateUrl option fails(optional)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.saveChanges = function (success, error) { return; };
        /**
         * Adds a new row (TR) to the grid, by taking a data row object. Assumes the record will have the primary key.
         *
         * @param rec     Identifier/key of row. If missing, then number of rows in grid is used.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.renderNewRow = function (rec) { return; };
        /**
         * If the data source points to a local JSON array of data, and it is necessary to reset it at runtime,
         * it must be done through this API member instead of the options (options.dataSource)
         *
         * @param dataSource     New data source object.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.dataSourceObject = function (dataSource) { return; };
        /**
         * Returns the total number of records in the underlying backend.
         * If paging or filtering is enabled, this may differ from the number of records in the client-side data source.
         * In order for this to work, the response JSON/XML must include a property that specifies the total number of records,
         * which name is specified by options.responseTotalRecCountKey.
         * This functionality is completely delegated to the data source control.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.totalRecordsCount = function () { return; };
        /**
         * Causes the grid to data bind to the data source (local or remote) , and re-render all of the data as well
         *
         * @param internal internal call flag
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.dataBind = function (internal) { return; };
        /**
         * Moves a visible column at a specified place, in front or behind a target column or at a target index
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column An identifier of the column to be moved.
         * It can be a key, a Multi-Column Header identificator, or an index in a number format.
         * The latter is not supported when the grid contains multi-column headers.
         * @param target An identifier of a column where the moved column should move to or an index at which the moved
         * column should be moved to. In the case of a column identifier the column will be moved after it by default.
         * @param after    Specifies whether the column moved should be moved after or before the target column.
         * This parameter is disregarded if there is no target column specified but a target index is used.
         * @param inDom    Specifies whether the column moving will be enacted through DOM manipulation or through rerendering of the grid.
         * @param callback    Specifies a custom function to be called when the column is moved.
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.moveColumn = function (column, target, after, inDom, callback) { return; };
        /**
         * Shows a hidden column. If the column is not hidden the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column     An identifier for the column. If a number is provided it will be used as a column index.
         * If a string is provided it will be used as a column key.
         * @param callback     Specifies a custom function to be called when the column is shown(optional)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.showColumn = function (column, callback) { return; };
        /**
         * Hides a visible column. If the column is hidden the method does nothing.
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param column An identifier for the column.
         * If a number is provided it will be used as a column index else if a string is provided it will be used as a column key.
         * @param callback Specifies a custom function to be called when the column is hidden(optional)
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.hideColumn = function (column, callback) { return; };
        /**
         * Gets unbound values for the specified column key. If key is not specified returns all unboundvalues
         *
         * @param key     column key
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getUnboundValues = function (key) { return; };
        /**
         * Sets unbound values for the unbound column with the specified key.
         * If removeOldValues is true then values(if any) for the unbound columns are re-set with the new values
         *
         * @param key key of the unbound column
         * @param values array of values to be set on unbound values
         * @param removeOldValues if true removes current unbound values(if any) for the specified column and apply the new ones specified
         * in parameter values. Otherwise merge current values with the specified in parameter values
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.setUnboundValues = function (key, values, removeOldValues) { return; };
        /**
         * Sets unbound value for the unbound cell by the specified column key and row primary key.
         *
         * @param col     key of the unbound column
         * @param rowId     primary key value of the row
         * @param val     value to be set on unbound cell
         * @param notToRender     if false will re-render the row
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.setUnboundValueByPK = function (col, rowId, val, notToRender) { return; };
        /**
         * Returns an unbound column with the specified key. If not found returns null
         *
         * @param key    a column key
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getUnboundColumnByKey = function (key) { return; };
        /**
         * Returns whether there is vertical scrollbar. Because of perfrormance issues in older Internet Explorer especially 8,9 -
         * there is no need to check if height is not set - there is no scrollbar OR if row virtualization is enabled -
         * it is supposed there is vertical scrollbar
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.hasVerticalScrollbar = function () { return; };
        /**
         * Auto resize columns that have property width set to "*" so content to be auto-fitted(not shrinked/cutted).
         * Auto-resizing is applied ONLY for visible columns
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.autoSizeColumns = function () { return; };
        /**
         * Calculates the width of the column so its content to be auto-fitted to the width of the data in it
         * (the content should NOT be shrinked/cutted)
         *
         * @param columnIndex    Visible column index
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.calculateAutoFitColumnWidth = function (columnIndex) { return; };
        /**
         * Get visible index by specified column key. If column is not found or is hidden then returns -1.
         * 				Note: Method does not count column groups (Multi-Column Headers).
         *
         * @param columnKey     columnKey
         * @param includeDataSkip     Optional parameter - if set to true include non data columns
         * (like expander column, row selectors column, etc.) in calculations
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getVisibleIndexByKey = function (columnKey, includeDataSkip) { return; };
        /**
         * When called the method re-renders the whole grid(also rebinds to the data source) and renders the cols object
         *
         * @param cols an array of column objects
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.renderMultiColumnHeader = function (cols) { return; };
        /**
         * Scroll to the specified row or specified position(in pixels)
         *
         * @param scrollerPosition An identifier of the vertical scroll position.
         * When it is string then it is interpreted as pixels otherwise it is the row number
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.virtualScrollTo = function (scrollerPosition) { return; };
        /**
         * Returns column object and visible index for the table cell(TD) which is passed as argument
         *
         * @param $td     cell(TD) - either DOM TD element or jQuery object
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.getColumnByTD = function ($td) { return; };
        /**
         * Destroy is part of the jQuery UI widget API and does the following:
         * 				1. Remove custom CSS classes that were added.
         * 				2. Unwrap any wrapping elements such as scrolling divs and other containers.
         * 				3. Unbind all events that were bound.
         *
         * @param notToCallDestroy flag whether to propagate the destroy call
         */
        /* istanbul ignore next */
        IgGridComponent.prototype.destroy = function (notToCallDestroy) { return; };
        return IgGridComponent;
    }(IgGridBase));
    IgGridComponent.decorators = [
        { type: core.Component, args: [{
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    selector: 'ig-grid',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'autoAdjustHeight', 'avgRowHeight', 'avgColumnWidth', 'defaultColumnWidth', 'autoGenerateColumns', 'virtualization', 'virtualizationMode', 'requiresDataBinding', 'rowVirtualization', 'columnVirtualization', 'virtualizationMouseWheelStep', 'adjustVirtualHeights', 'templatingEngine', 'columns', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'responseTotalRecCountKey', 'requestType', 'responseContentType', 'showHeader', 'showFooter', 'fixedHeaders', 'fixedFooters', 'caption', 'features', 'tabIndex', 'localSchemaTransform', 'primaryKey', 'serializeTransactionLog', 'autoCommit', 'aggregateTransactions', 'autoFormat', 'renderCheckboxes', 'updateUrl', 'restSettings', 'alternateRowStyles', 'autofitLastColumn', 'enableHoverStyles', 'enableUTCDates', 'mergeUnboundColumns', 'jsonpRequest', 'enableResizeContainerCheck', 'featureChooserIconDisplay', 'scrollSettings'],
                    outputs: ['cellClick', 'cellRightClick', 'dataBinding', 'dataBound', 'rendering', 'rendered', 'dataRendering', 'dataRendered', 'headerRendering', 'headerRendered', 'footerRendering', 'footerRendered', 'headerCellRendered', 'rowsRendering', 'rowsRendered', 'schemaGenerated', 'columnsCollectionModified', 'requestError', 'created', 'destroyed']
                },] }
    ];
    IgGridComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgTreeGridComponent = /** @class */ (function (_super) {
        __extends(IgTreeGridComponent, _super);
        function IgTreeGridComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgTreeGridComponent.prototype.deleteRow = function (id) {
            var element = jQuery(this._el);
            var tr = element.find('tr[data-id=\'' + id + '\']');
            var dataLevel = tr.attr('aria-level');
            if (tr.length > 0) {
                element.data(this._widgetName).dataSource.deleteRow(id, true);
                element.data(this._widgetName).dataSource._removeTransactionsByRecordId(id);
                var trs = tr.nextUntil('tr[data-level=' + dataLevel + ']');
                if (trs.length === 0) {
                    trs = tr.nextAll('tr[data-level]');
                }
                tr.remove();
                trs.remove();
            }
        };
        IgTreeGridComponent.prototype.updateRow = function (rec, currValue, key) {
            var element = jQuery(this._el);
            var grid = element.data(this._widgetName);
            var childDataKey = this.childDataKey || this.options.childDataKey;
            var column = element.data(this._widgetName).columnByKey(key);
            if (!column && key === childDataKey) {
                // we have an hierarchical data source and one of the nested collections has changed.
                grid.dataBind();
            }
            else {
                _super.prototype.updateRow.call(this, rec, currValue, key);
            }
        };
        IgTreeGridComponent.prototype.markForCheck = function () {
            _super.prototype.markForCheck.call(this);
            var childDataKey = this.childDataKey || this.options.childDataKey;
            if (childDataKey) {
                this.dataBind();
            }
        };
        /**
         * Clears the transaction log (delegates to igDataSource).
         * Note that this does not update the UI. In case the UI must be updated,
         * set the second parameter "updateUI" to true, which will trigger a call to dataBind() to re-render the contents.
         *
         * @param rowId     If specified, will only rollback the transactions with that row id.
         * @param updateUI     Whether to update the UI or not.
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.rollback = function (rowId, updateUI) { return; };
        /**
         * Causes the treegrid to data bind to the data source (local or remote) , and re-render all of the data
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.dataBind = function () { return; };
        /**
         * Toggle row by specified row or row identifier
         *
         * @param row     jQuery table row object or a row id.
         * @param callback     Specifies a custom function to be called when row is expanded/collapsed.
         * The callback has 4 arguments- a reference to the current context(this),
         * object that holds 2 properties(unfixedRow - DOM representation of the unfixed row,
         * fixedRow - DOM representation of the fixed row, if there is no fixed columns it is undefined),
         * reference to the dataRecord, expand - specifies whether row is expanded
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.toggleRow = function (row, callback) { return; };
        /**
         * Expands a parent row by specified row or row identifier
         *
         * @param row     jQuery table row object or a row id.
         * @param callback     Specifies a custom function to be called when row is expanded/collapsed.
         * The callback has 4 arguments- a reference to the current context(this),
         * object that holds 2 properties(unfixedRow - DOM representation of the unfixed row,
         * fixedRow - DOM representation of the fixed row, if there is no fixed columns it is undefined),
         * reference to the dataRecord, expand - specifies whether row is expanded
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.expandRow = function (row, callback) { return; };
        /**
         * Collapses a parent row by specified row or row identifier
         *
         * @param row     jQuery table row object, raw DOM row object or a row id.
         * @param callback     Specifies a custom function to be called when row is expanded/collapsed.
         * The callback has 4 arguments- a reference to the current context(this),
         * object that holds 2 properties(unfixedRow - DOM representation of the unfixed row,
         * fixedRow - DOM representation of the fixed row, if there is no fixed columns it is undefined),
         * reference to the dataRecord, expand - specifies whether row is expanded
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.collapseRow = function (row, callback) { return; };
        /**
         * Adds a new row (TR) to the grid as a child of a specific row, by taking a data row object.
         * Assumes the record will have the primary key.
         *
         * @param rec     The data row JavaScript object.
         * @param parentId     Identifier/key of the targeted parent row. If missing, then the new row is rendered to the bottom of the grid.
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.renderNewChild = function (rec, parentId) { return; };
        /**
         * Destroys igTreeGrid
         */
        /* istanbul ignore next */
        IgTreeGridComponent.prototype.destroy = function () { return; };
        return IgTreeGridComponent;
    }(IgGridBase));
    IgTreeGridComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-tree-grid',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'autoAdjustHeight', 'avgRowHeight', 'avgColumnWidth', 'defaultColumnWidth', 'autoGenerateColumns', 'virtualization', 'virtualizationMode', 'requiresDataBinding', 'rowVirtualization', 'columnVirtualization', 'virtualizationMouseWheelStep', 'adjustVirtualHeights', 'templatingEngine', 'columns', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'responseTotalRecCountKey', 'requestType', 'responseContentType', 'showHeader', 'showFooter', 'fixedHeaders', 'fixedFooters', 'caption', 'features', 'tabIndex', 'localSchemaTransform', 'primaryKey', 'serializeTransactionLog', 'autoCommit', 'aggregateTransactions', 'autoFormat', 'renderCheckboxes', 'updateUrl', 'restSettings', 'alternateRowStyles', 'autofitLastColumn', 'enableHoverStyles', 'enableUTCDates', 'mergeUnboundColumns', 'jsonpRequest', 'enableResizeContainerCheck', 'featureChooserIconDisplay', 'scrollSettings', 'indentation', 'initialIndentationLevel', 'showExpansionIndicator', 'expandTooltipText', 'collapseTooltipText', 'foreignKey', 'initialExpandDepth', 'foreignKeyRootValue', 'renderExpansionIndicatorColumn', 'renderFirstDataCellFunction', 'childDataKey', 'renderExpansionCellFunction', 'enableRemoteLoadOnDemand', 'dataSourceSettings'],
                    outputs: ['cellClick', 'cellRightClick', 'dataBinding', 'dataBound', 'rendering', 'rendered', 'dataRendering', 'dataRendered', 'headerRendering', 'headerRendered', 'footerRendering', 'footerRendered', 'headerCellRendered', 'rowsRendering', 'rowsRendered', 'schemaGenerated', 'columnsCollectionModified', 'requestError', 'created', 'destroyed', 'rowExpanding', 'rowExpanded', 'rowCollapsing', 'rowCollapsed']
                },] }
    ];
    IgTreeGridComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgTreeGridComponent.propDecorators = {
        childDataKey: [{ type: core.Input }]
    };

    var IgHierarchicalGridComponent = /** @class */ (function (_super) {
        __extends(IgHierarchicalGridComponent, _super);
        function IgHierarchicalGridComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgHierarchicalGridComponent.prototype.deleteRow = function (id) {
            var element = jQuery(this._el);
            var tr = element.find('tr[data-id=\'' + id + '\']');
            var childContainer = tr.next('tr[data-container]');
            if (tr.length > 0) {
                tr.remove();
                childContainer.remove();
                element.data('igGrid').dataSource.deleteRow(id, true);
                element.data('igGrid').dataSource._removeTransactionsByRecordId(id);
            }
        };
        IgHierarchicalGridComponent.prototype.updateRow = function (rec, currValue, key) {
            var element = jQuery(this._el);
            var childrenDataProperty = this.childrenDataProperty || this.options.childrenDataProperty;
            var childGrids = element.data(this._widgetName).allChildrenWidgets().filter(function (widget) {
                var parentRow = widget.closest('tr[data-container]').prev();
                var parentGridPK = parentRow.closest('.ui-iggrid-table').data('igGrid').options.primaryKey;
                return (childrenDataProperty === key ||
                    parentRow.next('[data-container]').find('table[role=\'grid\']').attr('id').contains('_' + key + '_'))
                    && parentRow.attr('data-id') === rec[parentGridPK];
            });
            if (childGrids.length > 0) {
                childGrids.each(function (index, grid) { return grid.dataBind(); });
            }
            else {
                _super.prototype.updateRow.call(this, rec, currValue, key);
            }
        };
        IgHierarchicalGridComponent.prototype.markForCheck = function () {
            _super.prototype.markForCheck.call(this);
            var element = jQuery(this._el);
            var childGrids = element.data(this._widgetName).allChildrenWidgets().filter(function (widget) { return true; });
            childGrids.each(function (index, grid) { return grid.dataBind(); });
        };
        /**
         * Data binds the hierarchical grid. No child grids will be created or rendered by default, unless there is initialExpandDepth >= 0 set.
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.dataBind = function () { return; };
        /**
         * Returns the element of the root grid (igGrid)
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.root = function () { return; };
        /**
         * Returns the widget object of the root grid (igGrid)
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.rootWidget = function () { return; };
        /**
         * Returns a flat list of all child grid elements (recursive)
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.allChildren = function () { return; };
        /**
         * Expands or collapses (toggles) a parent row
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param element     accepts a dom element, or a jquery wrapped dom element that should be a TR and should specify a parent row
         * @param callback     Specifies a custom function to be called when parent row is toggled(optional).
         * Takes 2 arguments - first is hierarchical grid object, second is the row element that was toggled
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.toggle = function (element, callback) { return; };
        /**
         * Expands (toggles) a parent row
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param id     accepts a dom element, or a jquery wrapped dom element that should be a TR and should specify a parent row
         * @param callback     Specifies a custom function to be called when parent row is expanded(optional).
         * Takes 2 arguments first is hierarchical grid object, second is the row element that was expanded
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.expand = function (id, callback) { return; };
        /**
         * Collapses a parent row
         * Note: This method is asynchronous which means that it returns immediately and any subsequent code will execute in parallel.
         * This may lead to runtime errors. To avoid them put the subsequent code in the callback parameter provided by the method.
         *
         * @param id accepts a dom element, or a jquery wrapped dom element that should be a TR and should specify a parent row
         * @param callback Specifies a custom function to be called when parent row is expanded(optional).
         * Takes 2 arguments - first is hierarchical grid object, second is the row element that was collapsed
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.collapse = function (id, callback) { return; };
        /**
         * Checks if a parent row is currently collapsed
         *
         * @param element     accepts a dom element, or a jquery wrapped dom element that should be a TR and should specify a parent row
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.collapsed = function (element) { return; };
        /**
         * Checks if a parent row is populated with data
         *
         * @param element     accepts a dom element, or a jquery wrapped dom element that should be a TR and should specify a parent row
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.populated = function (element) { return; };
        /**
         * Commits pending transactions to the client data source for main and all child grids.
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.commit = function () { return; };
        /**
         * Clears the transaction log (delegates to igDataSource). Note that this does not update the UI.
         * In case the UI must be updated, set the second parameter "updateUI" to true, which will trigger a call to dataBind()
         * to re-render the contents.
         *
         * @param rebind     Whether to perform a rebind.
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.rollback = function (rebind) { return; };
        /**
         * Posts to the settings.updateUrl using $.ajax, by serializing the changes as url params
         *
         * @param success    Specifies a custom function to be called when AJAX request to the updateUrl option succeeds(optional)
         * @param error    Specifies a custom function to be called when AJAX request to the updateUrl option fails(optional)
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.saveChanges = function (success, error) { return; };
        /**
         * Destroys the hierarchical grid by recursively destroying all child grids
         */
        /* istanbul ignore next */
        IgHierarchicalGridComponent.prototype.destroy = function () { return; };
        return IgHierarchicalGridComponent;
    }(IgGridBase));
    IgHierarchicalGridComponent.decorators = [
        { type: core.Component, args: [{
                    changeDetection: core.ChangeDetectionStrategy.OnPush,
                    selector: 'ig-hierarchical-grid',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'initialDataBindDepth', 'initialExpandDepth', 'odata', 'rest', 'maxDataBindDepth', 'defaultChildrenDataProperty', 'autoGenerateLayouts', 'expandCollapseAnimations', 'expandColWidth', 'pathSeparator', 'animationDuration', 'expandTooltip', 'collapseTooltip', 'columnLayouts', 'width', 'height', 'autoAdjustHeight', 'avgRowHeight', 'avgColumnWidth', 'defaultColumnWidth', 'autoGenerateColumns', 'virtualization', 'virtualizationMode', 'requiresDataBinding', 'rowVirtualization', 'columnVirtualization', 'virtualizationMouseWheelStep', 'adjustVirtualHeights', 'templatingEngine', 'columns', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'responseTotalRecCountKey', 'requestType', 'responseContentType', 'showHeader', 'showFooter', 'fixedHeaders', 'fixedFooters', 'caption', 'features', 'tabIndex', 'localSchemaTransform', 'primaryKey', 'serializeTransactionLog', 'autoCommit', 'aggregateTransactions', 'autoFormat', 'renderCheckboxes', 'updateUrl', 'restSettings', 'alternateRowStyles', 'autofitLastColumn', 'enableHoverStyles', 'enableUTCDates', 'mergeUnboundColumns', 'jsonpRequest', 'enableResizeContainerCheck', 'featureChooserIconDisplay', 'scrollSettings'],
                    outputs: ['rowExpanding', 'rowExpanded', 'rowCollapsing', 'rowCollapsed', 'childrenPopulating', 'childrenPopulated',
                        'childGridRendered', 'childGridCreating', 'childGridCreated', 'cellClick', 'cellRightClick', 'dataBinding', 'dataBound', 'rendering', 'rendered', 'dataRendering', 'dataRendered', 'headerRendering', 'headerRendered', 'footerRendering', 'footerRendered', 'headerCellRendered', 'rowsRendering', 'rowsRendered', 'schemaGenerated', 'columnsCollectionModified', 'requestError', 'created', 'destroyed']
                },] }
    ];
    IgHierarchicalGridComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgHierarchicalGridComponent.propDecorators = {
        childrenDataProperty: [{ type: core.Input }]
    };

    var IgComboComponent = /** @class */ (function (_super) {
        __extends(IgComboComponent, _super);
        function IgComboComponent(model, el, renderer, differs, kvalDiffers, cdr) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
            _this.model = model;
            _this.onChange = function (_) {
            };
            _this.onTouched = function () {
            };
            if (model) {
                model.valueAccessor = _this;
                _this._model = model;
            }
            return _this;
        }
        Object.defineProperty(IgComboComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
            },
            enumerable: false,
            configurable: true
        });
        IgComboComponent.prototype.ngOnInit = function () {
            var _this = this;
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
            if (this._model) {
                if (this.options.allowCustomValue) {
                    jQuery(this._el).on('input', function (evt) {
                        // D.K. #324 Do not override the model value if the text value is representing the same model value
                        var item = jQuery(_this._el).data('igCombo').itemsFromValue(_this._model.model);
                        if (!item ||
                            item.data && item.data[_this.options.textKey] !== evt.target.value) {
                            _this._model.viewToModelUpdate(evt.target.value);
                        }
                    });
                    jQuery(this._el).closest('.ui-igcombo-wrapper').find('.ui-igcombo-clear').on('click', function () {
                        if (_this.options.multiSelection && _this.options.multiSelection.enabled) {
                            _this._model.viewToModelUpdate([]);
                        }
                        else {
                            _this._model.viewToModelUpdate(null);
                        }
                    });
                }
                // D.P. #244 only attach selectionchanged handler if there's a model to update
                jQuery(this._el).on(this._widgetName.toLowerCase() + 'selectionchanged', function (evt, ui) {
                    var items = ui.items;
                    var valueKey = ui.owner.options.valueKey;
                    if (items.length <= 0 && !ui.owner.options.multiSelection.enabled) {
                        if (!ui.owner.options.allowCustomValue) {
                            _this._model.viewToModelUpdate(null);
                        }
                        return;
                    }
                    if (ui.owner.options.multiSelection.enabled) {
                        _this._model.viewToModelUpdate(items.map(function (item) {
                            return item.data[valueKey];
                        }));
                    }
                    else {
                        _this._model.viewToModelUpdate(items[0].data[valueKey]);
                    }
                });
                // manually call writeValue, because the LifeCycle has been changed and writeValue is executed before ngOnInit
                this.writeValue(this._model.value);
            }
        };
        IgComboComponent.prototype.writeValue = function (value) {
            if (!!jQuery(this._el).data(this._widgetName)) {
                jQuery(this._el)[this._widgetName]('value', value);
            }
        };
        IgComboComponent.prototype.registerOnChange = function (fn) {
            this.onChange = fn;
        };
        IgComboComponent.prototype.registerOnTouched = function (fn) {
            this.onTouched = fn;
        };
        IgComboComponent.prototype.dataSourceApplyChanges = function (changes) {
            // dataSource has changed.
            var element = jQuery(this._el);
            if (element[this._widgetName]) {
                element[this._widgetName]('option', 'dataSource', this._dataSource);
            }
            if (this.model && this.model.value) {
                this.writeValue(this.model.value);
            }
        };
        IgComboComponent.prototype.updateComboItem = function (rec, val, key, index) {
            var element = jQuery(this._el);
            var comboItem = element.data('igCombo').itemsFromIndex(index);
            element.data('igCombo')._updateItem(comboItem.element, rec);
            if (element.data('igCombo').isSelected(comboItem.element)) {
                // should update the input
                element.data('igCombo')._updateInputValues(false);
            }
        };
        IgComboComponent.prototype.ngOnChanges = function (changes) {
            var _this = this;
            var ds = 'dataSource';
            if (ds in changes) {
                var value = changes[ds].currentValue;
                if (value) {
                    try {
                        this._differ = this._differs.find(value).create();
                        this._changes = [];
                        this._dataSource.forEach(function (item) {
                            _this._changes.push(_this.kvalDiffers.find({}).create());
                        });
                    }
                    catch (e) {
                        throw new Error('Only binding to arrays is supported.');
                    }
                }
            }
            _super.prototype.ngOnChanges.call(this, changes);
        };
        IgComboComponent.prototype.ngDoCheck = function () {
            var _this = this;
            if (this._differ) {
                var changes = this._differ.diff(this._dataSource);
                // check if grid is initialized
                var combo = jQuery(this._el).data(this._widgetName);
                if (changes && combo) {
                    this.dataSourceApplyChanges(changes);
                }
                if (this._changes && combo) {
                    var _loop_1 = function (i) {
                        var item = this_1._dataSource[i];
                        var recChanges = this_1._changes[i].diff(item);
                        if (recChanges) {
                            recChanges.forEachChangedItem(function (change) {
                                _this.updateComboItem(item, change.currentValue, change.key, i);
                            });
                        }
                    };
                    var this_1 = this;
                    // check recs
                    for (var i = 0; i < this._dataSource.length; i++) {
                        _loop_1(i);
                    }
                }
            }
            _super.prototype.ngDoCheck.call(this);
        };
        /**
         * Performs databinding on the combo box.
         * The [databinding](ui.igcombo#events:dataBinding) and [dataBound](ui.igcombo#events:dataBound) events are always raised.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.dataBind = function () { return; };
        /**
         * Forces an update of the igCombo value according to the current text in the igCombo input.
         *
         * 				The refresh is primarily intended to be used with [allowCustomValue](ui.igcombo#options:allowCustomValue) set to true.
         * 				The refresh will take the current text and, if no selection is applied,
         *        will set it as igCombo value provided that [allowCustomValue](ui.igcombo#options:allowCustomValue) true.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.refreshValue = function () { return; };
        /**
         * Gets the associated data of an item by value matching it's [valueKey](ui.igcombo#options:valueKey) property.
         *
         * @param value Value matching the valueKey property of item to be tested if it is selected
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.dataForValue = function (value) { return; };
        /**
         * Gets the associated data of li element in the combo.
         *
         * @param $element jQuery element of item in the drop down list
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.dataForElement = function ($element) { return; };
        /**
         * Gets object/s containing data and list item in the combo by element/s.
         *
         * @param $element jQuery object with drop down list item element or elements
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.itemsFromElement = function ($element) { return; };
        /**
         * Gets object/s containing data and list item in the combo by value/s.
         *
         * @param value Value of item in the drop down list or array with values.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.itemsFromValue = function (value) { return; };
        /**
         * Gets object/s containing data and list item in the combo by index/es.
         *
         * @param index Index or array of indexes of items in the drop down list
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.itemsFromIndex = function (index) { return; };
        /**
         * Gets array with data and objects representing li elements in combo box.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.items = function () { return; };
        /**
         * Gets array with objects representing the filtered li elements in combo box.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.filteredItems = function () { return; };
        /**
         * Gets array with objects representing selected li elements in combo box.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.selectedItems = function () { return; };
        /**
         * Triggers filtering.
         *
         * @param texts Filter by string, or array of strings.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [filtering](ui.igcombo#events:filtering) and [filtered](ui.igcombo#events:filtered) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.filter = function (texts, event) { return; };
        /**
         * Clears filtering.
         *
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [filtering](ui.igcombo#events:filtering) and [filtered](ui.igcombo#events:filtered) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.clearFiltering = function (event) { return; };
        /**
         * Opens the drop-down.
         *
         * @param callback Specifies callback function to be executed when open animation is completed.
         * @param focusCombo Set to false to not focus combo"s text input after the drop down is opened.
         * By default the combo's input is focused.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [dropDownOpening](ui.igcombo#events:dropDownOpening) and [dropDownOpened](ui.igcombo#events:dropDownOpened) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.openDropDown = function (callback, focusCombo, event) { return; };
        /**
         * Closes the drop down.
         *
         * @param callback Specifies callback function to be executed when close animation is completed.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [dropDownClosing](ui.igcombo#events:dropDownClosing) and [dropDownClosed](ui.igcombo#events:dropDownClosed) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.closeDropDown = function (callback, event) { return; };
        /**
         * Clears the input text, resets highlighting, filtering and selection.
         *
         * @param options     object with set of options controlling the behavior of this api method.
         * focusCombo (boolean): Set to true to focus combo after clearing the input.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.clearInput = function (options, event) { return; };
        /**
         * Verifies whether a specified value is selected.
         *
         * @param value Value matching the [valueKey](ui.igcombo#options:valueKey) property of item to be tested if it is selected
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.isValueSelected = function (value) { return; };
        /**
         * Verifies whether the li representing the data source's record at the specified index is selected.
         *
         * @param index Index of data source record
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.isIndexSelected = function (index) { return; };
        /**
         * Selects list item/items from the drop-down list by specified value or array of values.
         * When called witout params will return the value of the selected item or if
         * [multiSelection](ui.igcombo#options:multiSelection) is enabled array of selected values.
         *
         * @param value Value or array of values matching the valueKey property of item/items to be selected
         * @param options object with set of options controlling the behavior of this api method.
         * closeDropDown (boolean): Set to true to close the drop down list after the selection.
         * focusCombo (boolean): Set to true to focus combo after the selection.
         * additive (boolean): Set to true to select the item without losing other selection. Works only when multi selection is enabled.
         * keepFiltering (boolean): Set to true to keep filtering after the selection. By default the filtering is cleared.
         * keepInputText (boolean): Set to true to keep input text unchanged after the selection. By default input text is updated.
         * keepHighlighting (boolean): Set to true to keep highlighting unchanged after the selection. By default highlighting is removed.
         * keepNavItem (boolean): Set to true to keep current navigation item unchanged after the selection.
         *                        By default the navigation item is changed to the new selected item.
         * keepScrollPosition (boolean): Set to true to keep current scroll position.
         *                               By default the scroll position will change so that the last selected item is visible.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.value = function (value, options, event) { return; };
        /**
         * Selects a list item from the drop-down list.
         *
         * @param $items jQuery object with item or items to be selected.
         * @param options object with set of options controlling the behavior of this api method.
         * closeDropDown (boolean): Set to true to close the drop down list after the selection.
         * focusCombo (boolean): Set to true to focus combo after the selection.
         * additive (boolean): Set to true to select the item without losing other selection. Works only when multi selection is enabled.
         * keepFiltering (boolean): Set to true to keep filtering after the selection. By default the filtering is cleared.
         * keepInputText (boolean): Set to true to keep input text unchanged after the selection. By default input text is updated.
         * keepHighlighting (boolean): Set to true to keep highlighting unchanged after the selection. By default highlighting is removed.
         * keepNavItem (boolean): Set to true to keep current navigation item unchanged after the selection.
         *                        By default the navigation item is changed to the new selected item.
         * keepScrollPosition (boolean): Set to true to keep current scroll position.
         *                               By default the scroll position will change so that the last selected item is visible.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.select = function ($items, options, event) { return; };
        /**
         * Gets/Sets selected item/s from the drop-down list by specified index.
         *
         * @param index Index or array of indexes of items to be selected
         * @param options object with set of options controlling the behavior of this api method.
         * closeDropDown (boolean): Set to true to close the drop down list after the selection.
         * focusCombo (boolean): Set to true to focus combo after the selection.
         * additive (boolean): Set to true to select the item without losing other selection. Works only when multi selection is enabled.
         * keepFiltering (boolean): Set to true to keep filtering after the selection. By default the filtering is cleared.
         * keepInputText (boolean): Set to true to keep input text unchanged after the selection. By default input text is updated.
         * keepHighlighting (boolean): Set to true to keep highlighting unchanged after the selection. By default highlighting is removed.
         * keepNavItem (boolean): Set to true to keep current navigation item unchanged after the selection.
         *                        By default the navigation item is changed to the new selected item.
         * keepScrollPosition (boolean): Set to true to keep current scroll position.
         *                               By default the scroll position will change so that the last selected item is visible.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.index = function (index, options, event) { return; };
        /**
         * Selects all items from the drop-down list.
         *
         * @param options object with set of options controlling the behavior of this api method.
         * closeDropDown (boolean): Set to true to close the drop down list after the selection.
         * focusCombo (boolean): Set to true to focus combo after the selection.
         * keepFiltering (boolean): Set to true to keep filtering after the selection. By default the filtering is cleared.
         * keepInputText (boolean): Set to true to keep input text unchanged after the selection. By default input text is updated.
         * keepHighlighting (boolean): Set to true to keep highlighting unchanged after the selection. By default highlighting is removed.
         * keepNavItem (boolean): Set to true to keep current navigation item unchanged after the selection.
         *                        By default the navigation item is changed to the new selected item.
         * keepScrollPosition (boolean): Set to true to keep current scroll position.
         *                               By default the scroll position will change so that the last selected item is visible.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.selectAll = function (options, event) { return; };
        /**
         * Deselects a list item from the drop down list by value.
         *
         * @param value Value or array of values matching the [valueKey](ui.igcombo#options:valueKey) property of item/items to be deselected
         * @param options object with set of options controlling the behavior of this api method.
         * focusCombo (boolean): Set to true to focus combo after the deselection.
         * keepInputText (boolean): Set to true to keep input text unchanged after the deselection. By default input text is updated.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.deselectByValue = function (value, options, event) { return; };
        /**
         * Deselects a list item from the drop down list.
         *
         * @param $items jQuery object with item or items to be deselected
         * @param options object with set of options controlling the behavior of this api method.
         * focusCombo (boolean): Set to true to focus combo after the deselection.
         * keepInputText (boolean): Set to true to keep input text unchanged after the deselection. By default input text is updated.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.deselect = function ($items, options, event) { return; };
        /**
         * Deselects a list item from the drop down list by index.
         *
         * @param index Index or array of indexes of items to be selected
         * @param options object with set of options controlling the behavior of this api method.
         * focusCombo (boolean): Set to true to focus combo after the deselection.
         * keepInputText (boolean): Set to true to keep input text unchanged after the deselection. By default input text is updated.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.deselectByIndex = function (index, options, event) { return; };
        /**
         * Deselects all selected items from the drop down list.
         *
         * @param options object with set of options controlling the behavior of this api method.
         * focusCombo (boolean): Set to true to focus combo after the deselection.
         * keepInputText (boolean): Set to true to keep input text unchanged after the deselection. By default input text is updated.
         * @param event Indicates the browser event which triggered this action (not API).
         * Calling the method with this param set to "true" will trigger
         * [selectionChanging](ui.igcombo#events:selectionChanging) and [selectionChanged](ui.igcombo#events:selectionChanged) events.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.deselectAll = function (options, event) { return; };
        /**
         * Gets/Sets index of active item in list.
         *
         * @param index New active index for list. In order to clear active item, use -1.
         * @return number|object Returns index of active item in list or -1, if parameter is undefined.
         * Otherwise, it returns reference to this igCombo.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.activeIndex = function (index) { return; };
        /**
         * Gets/Sets text in text input field.
         *
         * @param text New text value for combo's input field.
         * @return string|object If parameter is undefined, then current text in field is returned.
         * Otherwise, it returns reference to this igCombo.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.text = function (text) { return; };
        /**
         * Gets/Sets scrollTop attribute of html element, which scrolls drop-down list of items.
         *
         * @param value New value for scroll top in list.
         * Note: if list is closed and new value is provided, then openDropDown() is called automatically.
         * @return number|object If parameter is undefined, then scrollTop is returned. Otherwise, it returns reference to this igCombo.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.listScrollTop = function (value) { return; };
        /**
         * Gets jQuery objects representing all rendered list items in the combo drop down list.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.listItems = function () { return; };
        /**
         * Gets jQuery object of the outer element of the combo.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.comboWrapper = function () { return; };
        /**
         * Gets jQuery object of the drop down associated with this combo widget
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.dropDown = function () { return; };
        /**
         * Gets jQuery object of the container that holds the list with items.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.list = function () { return; };
        /**
         * Gets jQuery object of the text input associated with this combo widget.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.textInput = function () { return; };
        /**
         * Gets jQuery object of the value input associated with this combo widget.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.valueInput = function () { return; };
        /**
         * Gets reference to [igValidator](ui.igvalidator) used by igCombo.
         *
         * @param destroy Request to destroy validator.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.validator = function (destroy) { return; };
        /**
         * Trigger validation.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.validate = function () { return; };
        /**
         * Returns boolean representing whether the combo drop down list is opened.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.dropDownOpened = function () { return; };
        /**
         * Repositions drop down under combo input. Has effect only when the drop down is attached to body.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.positionDropDown = function () { return; };
        /**
         * Destroys the igCombo widget.
         */
        /* istanbul ignore next */
        IgComboComponent.prototype.destroy = function () { return; };
        return IgComboComponent;
    }(IgControlBase));
    IgComboComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-combo',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'dropDownWidth', 'dataSource', 'dataSourceType', 'dataSourceUrl', 'responseTotalRecCountKey', 'responseDataKey', 'responseDataType', 'responseContentType', 'requestType', 'valueKey', 'textKey', 'itemTemplate', 'headerTemplate', 'footerTemplate', 'inputName', 'animationShowDuration', 'animationHideDuration', 'dropDownAttachedToBody', 'filteringType', 'filterExprUrlKey', 'filteringCondition', 'filteringLogic', 'noMatchFoundText', 'loadOnDemandSettings', 'visibleItemsCount', 'placeHolder', 'mode', 'virtualization', 'multiSelection', 'grouping', 'validatorOptions', 'highlightMatchesMode', 'caseSensitive', 'autoSelectFirstMatch', 'autoComplete', 'allowCustomValue', 'closeDropDownOnBlur', 'delayInputChangeProcessing', 'tabIndex', 'dropDownOnFocus', 'closeDropDownOnSelect', 'selectItemBySpaceKey', 'initialSelectedItems', 'preventSubmitOnEnter', 'format', 'suppressKeyboard', 'enableClearButton', 'dropDownButtonTitle', 'clearButtonTitle', 'dropDownOrientation'],
                    outputs: ['rendered', 'dataBinding', 'dataBound', 'filtering', 'filtered', 'itemsRendering', 'itemsRendered', 'dropDownOpening', 'dropDownOpened', 'dropDownClosing', 'dropDownClosed', 'selectionChanging', 'selectionChanged']
                },] }
    ];
    IgComboComponent.ctorParameters = function () { return [
        { type: forms.NgModel, decorators: [{ type: core.Optional }] },
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgComboComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgEditorBase = /** @class */ (function (_super) {
        __extends(IgEditorBase, _super);
        function IgEditorBase(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
            _this.model = model;
            _this.onChange = function (_) {
            };
            _this.onTouched = function () {
            };
            if (model) {
                model.valueAccessor = _this;
                _this._model = model;
            }
            return _this;
        }
        IgEditorBase.prototype.ngOnInit = function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            if (this._model) {
                jQuery(this._el).on(this._widgetName.toLowerCase() + 'valuechanged', function (evt, ui) {
                    _this.onChange(ui.newValue);
                });
                if (this._widgetName === 'igTextEditor') {
                    jQuery(this._el).on(this._widgetName.toLowerCase() + 'textchanged', function (evt, ui) {
                        _this.onChange(ui.text);
                    });
                }
                jQuery(this._el).on(this._widgetName.toLowerCase() + 'blur', function (evt, ui) {
                    _this.onTouched();
                });
                // manually call writeValue, because the LifeCycle has been changed and writeValue is executed before ngOnInit
                this.writeValue(this._model.value);
            }
        };
        IgEditorBase.prototype.writeValue = function (value) {
            if (!!jQuery(this._el).data(this._widgetName) && value !== null) {
                jQuery(this._el)[this._widgetName]('value', value);
            }
        };
        IgEditorBase.prototype.registerOnChange = function (fn) {
            this.onChange = fn;
        };
        IgEditorBase.prototype.registerOnTouched = function (fn) {
            this.onTouched = fn;
        };
        return IgEditorBase;
    }(IgControlBase));
    IgEditorBase.decorators = [
        { type: core.Directive }
    ];
    IgEditorBase.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgCheckboxEditorComponent = /** @class */ (function (_super) {
        __extends(IgCheckboxEditorComponent, _super);
        function IgCheckboxEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.isValid = function () { return; };
        /**
         * Gets/Sets Current checked state/Value of the igCheckboxEditor that will be submitted by the HTML form.
         * 1. If the [value](ui.igcheckboxeditor#options:value) option IS NOT defined,
         * then 'value' method will match the checked state of the editor.
         * This option is used when the checkbox is intended to operate as a Boolean editor. In that case the return type is bool.
         * 2. If the [value](ui.igcheckboxeditor#options:value) option IS defined,
         * then 'value' method will return the value that will be submitted when the editor is checked and the form is submitted.
         * To get checked state regardless of the 'value' option, use $(".selector").igCheckboxEditor("option", "checked");
         *
         * @param newValue new value
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Toggles the state of the checkbox.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.toggle = function () { return; };
        /**
         * Gets/Sets name attribute applied to the editor element.
         *
         * @param newValue The new input name.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.inputName = function (newValue) { return; };
        /**
         * Gets the input element of the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.field = function () { return; };
        /**
         * Gets a reference to the jQuery element that wraps the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.editorContainer = function () { return; };
        /**
         * Gets whether the editor has focus.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.hasFocus = function () { return; };
        /**
         * Sets focus to the editor after the specified delay.
         *
         * @param delay The delay before focusing the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.setFocus = function (delay) { return; };
        /**
         * Hides the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.hide = function () { return; };
        /**
         * Shows the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.show = function () { return; };
        /**
         * Gets a reference to [igValidator](ui.igvalidator) used by the editor.
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.validator = function () { return; };
        /**
         * Triggers validation for the editor. If validatorOptions are set will also call validate on the [igValidator](ui.igvalidator).
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.validate = function () { return; };
        /**
         * Destroys the widget
         */
        /* istanbul ignore next */
        IgCheckboxEditorComponent.prototype.destroy = function () { return; };
        return IgCheckboxEditorComponent;
    }(IgEditorBase));
    IgCheckboxEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-checkbox-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'checked', 'size', 'iconClass'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged']
                },] }
    ];
    IgCheckboxEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgCurrencyEditorComponent = /** @class */ (function (_super) {
        __extends(IgCurrencyEditorComponent, _super);
        function IgCurrencyEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Gets/sets a string that is used as the currency symbol shown with the number in the input.
         * The value provided as a param is propagated to the currencySymbol option and thus has the same priority as the option.
         *
         * @param symbol New currency symbol.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.currencySymbol = function (symbol) { return; };
        /**
         * Gets/Sets editor value.
         *
         * @param newValue New editor value.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Finds index of list item by text that matches with the search parameters.
         *
         * @param value The text to search for.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.findListItemIndex = function (value) { return; };
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.getSelectedText = function () { return; };
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.getSelectionStart = function () { return; };
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.getSelectionEnd = function () { return; };
        /**
         * Increments value in editor according to the parameter or selects the previous item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Increments value.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decrements value in editor according to the parameter selects the next item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Decrement value.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.spinDown = function (delta) { return; };
        /**
         * This method is deprecated in favor of [spinUp](ui.%%WidgetNameLowered%%#options:spinUp).
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.selectListIndexUp = function () { return; };
        /**
         * This method is deprecated in favor of [spinDown](ui.%%WidgetNameLowered%%#options:spinDown).
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.selectListIndexDown = function () { return; };
        /**
         * Gets current regional.
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.getRegionalOption = function () { return; };
        /**
         * Changes the the regional settings of widget element to the language specified in
         * [options.regional](ui.ignumericeditor#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.ignumericeditor#options:regional) option setter
         */
        /* istanbul ignore next */
        IgCurrencyEditorComponent.prototype.changeRegional = function () { return; };
        return IgCurrencyEditorComponent;
    }(IgEditorBase));
    IgCurrencyEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-currency-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'negativeSign', 'negativePattern', 'decimalSeparator', 'groupSeparator', 'groups', 'maxDecimals', 'minDecimals', 'dataMode', 'minValue', 'maxValue', 'spinDelta', 'scientificFormat', 'positivePattern', 'currencySymbol'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgCurrencyEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgDateEditorComponent = /** @class */ (function (_super) {
        __extends(IgDateEditorComponent, _super);
        function IgDateEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Changes the the regional settings of widget element to the language specified in [options.regional](ui.igdateeditor#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.igdateeditor#options:regional) option setter
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.changeRegional = function () { return; };
        /**
         * Gets/Sets editor value.
         *
         * Note! This option doesn't use the dateInputFormat to extract the date
         *
         * @param newValue New editor value. Date object can be set as value. String value can be passed and the editor will use
         * the javascript Date object constructor to create date object and will use it for the comparison.
         * MVC date format can be used too. For example Date(/"ticks"/).
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Gets selected date as a date object. This method can be used when dataMode is set as either displayModeText or editModeText.
         * In such cases the value() method will not return date object and getSelectedDate() can be used to replace that functionality.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.getSelectedDate = function () { return; };
        /**
         * Sets selected date. This method can be used when dataMode is set as either displayModeText or editModeText.
         * In such cases the value() cannot accept a date object as a new value and getSelectedDate() can be used to replace that functionality.
         *
         * @param date date
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.selectDate = function (date) { return; };
        /**
         * Increases the date or time period, depending on the current cursor position.
         *
         * @param delta The increase delta.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decreases the date or time period, depending on the current cursor position.
         *
         * @param delta The decrease delta.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.spinDown = function (delta) { return; };
        /**
         * Returns a reference to the spin up UI element of the editor.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.spinUpButton = function () { return; };
        /**
         * Returns a reference to the spin down UI element of the editor.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.spinDownButton = function () { return; };
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.isValid = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.dropDownButton = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.dropDownContainer = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.dropDownVisible = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.findListItemIndex = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.getSelectedListItem = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.selectedListIndex = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.showDropDown = function () { return; };
        /* istanbul ignore next */
        IgDateEditorComponent.prototype.hideDropDown = function () { return; };
        return IgDateEditorComponent;
    }(IgEditorBase));
    IgDateEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-date-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'inputMask', 'dataMode', 'unfilledCharsPrompt', 'padChar', 'emptyChar', 'minValue', 'maxValue', 'dateDisplayFormat', 'dateInputFormat', 'spinDelta', 'limitSpinToCurrentField', 'enableUTCDates', 'centuryThreshold', 'yearShift'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgDateEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgDatePickerComponent = /** @class */ (function (_super) {
        __extends(IgDatePickerComponent, _super);
        function IgDatePickerComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Changes the the regional settings of widget element to the language specified in [options.regional](ui.igdatepicker#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.igdatepicker#options:regional) option setter
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.changeRegional = function () { return; };
        /**
         * Returns a reference to the jQuery calendar used as a picker selector
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.getCalendar = function () { return; };
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.dropDownContainer = function () { return; };
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.findListItemIndex = function () { return; };
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.getSelectedListItem = function () { return; };
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.selectedListIndex = function () { return; };
        /**
         * Shows the drop down list.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.showDropDown = function () { return; };
        /**
         * Hides the drop down list.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.hideDropDown = function () { return; };
        /**
         * Returns a reference to the calendar button UI element of the editor.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.dropDownButton = function () { return; };
        /**
         * Returns the visibility state of the calendar.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.dropDownVisible = function () { return; };
        /**
         * Destroys the widget
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.destroy = function () { return; };
        /**
         * Gets/Sets editor value.
         *
         * Note! This option doesn't use the dateInputFormat to extract the date
         *
         * @param newValue New editor value. Date object can be set as value. String value can be passed and the editor will
         * use the javascript Date object constructor to create date object and will use it for the comparison.
         * MVC date format can be used too. For example Date(/"ticks"/).
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.value = function (newValue) { return; };
        /**
         * Gets selected date as a date object. This method can be used when dataMode is set as either displayModeText or editModeText.
         * In such cases the value() method will not return date object and getSelectedDate() can be used to replace that functionality.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.getSelectedDate = function () { return; };
        /**
         * Sets selected date. This method can be used when dataMode is set as either displayModeText or editModeText.
         * In such cases the value() cannot accept a date object as a new value and getSelectedDate() can be used to replace that functionality.
         *
         * @param date date
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.selectDate = function (date) { return; };
        /**
         * Increases the date or time period, depending on the current cursor position.
         *
         * @param delta The increase delta.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decreases the date or time period, depending on the current cursor position.
         *
         * @param delta The decrease delta.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.spinDown = function (delta) { return; };
        /**
         * Returns a reference to the spin up UI element of the editor.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.spinUpButton = function () { return; };
        /**
         * Returns a reference to the spin down UI element of the editor.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.spinDownButton = function () { return; };
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgDatePickerComponent.prototype.isValid = function () { return; };
        return IgDatePickerComponent;
    }(IgEditorBase));
    IgDatePickerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-date-picker',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'inputMask', 'dataMode', 'unfilledCharsPrompt', 'padChar', 'emptyChar', 'minValue', 'maxValue', 'dateDisplayFormat', 'dateInputFormat', 'spinDelta', 'limitSpinToCurrentField', 'enableUTCDates', 'centuryThreshold', 'yearShift', 'datepickerOptions'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged', 'itemSelected']
                },] }
    ];
    IgDatePickerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgTimePickerComponent = /** @class */ (function (_super) {
        __extends(IgTimePickerComponent, _super);
        function IgTimePickerComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Gets the selected list item.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.getSelectedListItem = function () { return; };
        /**
         * Returns the visibility state of the calendar.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.dropDownVisible = function () { return; };
        /**
         * Returns a reference to the drop-down button UI element of the editor.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.dropDownButton = function () { return; };
        /**
         * Gets reference to jquery object which is used as container of drop-down list.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.dropDownContainer = function () { return; };
        /**
         * Finds index of list item by text that matches with the search parameters.
         *
         * @param text The text to search for in the drop down list.
         * @param matchType The rule that is applied for searching the text.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.findListItemIndex = function (text, matchType) { return; };
        /**
         * Gets the index of the selected list item. Sets selected item by index.
         *
         * @param index The index of the item that needs to be selected.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.selectedListIndex = function (index) { return; };
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.value = function (newValue) { return; };
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.selectDate = function () { return; };
        /**
         * Changes the the regional settings of widget element to the language specified in [options.regional](ui.igdateeditor#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.igdateeditor#options:regional) option setter
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.changeRegional = function () { return; };
        /**
         * Gets selected date as a date object. This method can be used when dataMode is set as either displayModeText or editModeText.
         * In such cases the value() method will not return date object and getSelectedDate() can be used to replace that functionality.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.getSelectedDate = function () { return; };
        /**
         * Increases the date or time period, depending on the current cursor position.
         *
         * @param delta The increase delta.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decreases the date or time period, depending on the current cursor position.
         *
         * @param delta The decrease delta.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.spinDown = function (delta) { return; };
        /**
         * Returns a reference to the spin up UI element of the editor.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.spinUpButton = function () { return; };
        /**
         * Returns a reference to the spin down UI element of the editor.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.spinDownButton = function () { return; };
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgTimePickerComponent.prototype.isValid = function () { return; };
        return IgTimePickerComponent;
    }(IgEditorBase));
    IgTimePickerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-time-picker',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'disabled', 'create', 'locale', 'language', 'regional', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'suppressNotifications', 'suppressKeyboard', 'inputMask', 'dataMode', 'unfilledCharsPrompt', 'padChar', 'emptyChar', 'minValue', 'maxValue', 'dateDisplayFormat', 'dateInputFormat', 'displayTimeOffset', 'spinDelta', 'limitSpinToCurrentField', 'enableUTCDates', 'centuryThreshold', 'yearShift', 'itemsDelta', 'timeInputFormat', 'timeDisplayFormat'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgTimePickerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgMaskEditorComponent = /** @class */ (function (_super) {
        __extends(IgMaskEditorComponent, _super);
        function IgMaskEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Gets/Sets mask editor value.
         *
         * @param newValue New mask editor value.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.value = function (newValue) { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.dropDownContainer = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.showDropDown = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.hideDropDown = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.dropDownButton = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.spinUpButton = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.spinDownButton = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.dropDownVisible = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.findListItemIndex = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.selectedListIndex = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.getSelectedListItem = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.spinUp = function () { return; };
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.spinDown = function () { return; };
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.isValid = function () { return; };
        /**
         * Changes the all locales into the widget element to the language specified in [options.language](ui.igtexteditor#options:language)
         * Note that this method is for rare scenarios, see [language](ui.igtexteditor#options:language) or
         * [locale](ui.igtexteditor#options:locale) option setter
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.changeLocale = function () { return; };
        /**
         * Gets the visible text in the editor.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.displayValue = function () { return; };
        /**
         * Returns a reference to the clear button UI element of the editor.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.clearButton = function () { return; };
        /**
         * Gets the selected text from the editor in edit mode. This can be done inside key event handlers, like keydown or keyup.
         * This method can be used only when the editor is focused.
         * If you invoke this method in display mode, when the editor input is blurred, the returned value will be an empty string.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.getSelectedText = function () { return; };
        /**
         * Gets the start index of the selected text in the editor.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.getSelectionStart = function () { return; };
        /**
         * Gets the end index of the selected text in the editor.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.getSelectionEnd = function () { return; };
        /**
         * Inserts the text at the location of the caret or over the current selection.
         * If the editor is focused the method will insert the text over the current selection.
         * If the editor is not focused the method will set the text as value of the editor.
         * Note: The method raises [textChanged](ui.igtexteditor#events:textChanged) event.
         *
         * @param value The string to be inserted.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.insert = function (value) { return; };
        /**
         * Selects the text between start and end indices in the editor.
         * If the parameters are equal, then the method sets location of caret. The method has effect only when the editor has focus.
         *
         * @param start Start of the selection.
         * @param end End of the selection.
         */
        /* istanbul ignore next */
        IgMaskEditorComponent.prototype.select = function (start, end) { return; };
        return IgMaskEditorComponent;
    }(IgEditorBase));
    IgMaskEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-mask-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'inputMask', 'dataMode', 'unfilledCharsPrompt', 'padChar', 'emptyChar'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgMaskEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgNumericEditorComponent = /** @class */ (function (_super) {
        __extends(IgNumericEditorComponent, _super);
        function IgNumericEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Gets/Sets editor value.
         *
         * @param newValue New editor value.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Finds index of list item by text that matches with the search parameters.
         *
         * @param value The text to search for.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.findListItemIndex = function (value) { return; };
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.getSelectedText = function () { return; };
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.getSelectionStart = function () { return; };
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.getSelectionEnd = function () { return; };
        /**
         * Increments value in editor according to the parameter or selects the previous item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Increments value.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decrements value in editor according to the parameter selects the next item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Decrement value.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.spinDown = function (delta) { return; };
        /**
         * This method is deprecated in favor of [spinUp](ui.%%WidgetNameLowered%%#options:spinUp).
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.selectListIndexUp = function () { return; };
        /**
         * This method is deprecated in favor of [spinDown](ui.%%WidgetNameLowered%%#options:spinDown).
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.selectListIndexDown = function () { return; };
        /**
         * Gets current regional.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.getRegionalOption = function () { return; };
        /**
         * Changes the the regional settings of widget element to the language specified in
         * [options.regional](ui.ignumericeditor#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.ignumericeditor#options:regional) option setter
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.changeRegional = function () { return; };
        /**
         * Changes the all locales into the widget element to the language specified in [options.language](ui.igtexteditor#options:language)
         * Note that this method is for rare scenarios, see [language](ui.igtexteditor#options:language) or
         * [locale](ui.igtexteditor#options:locale) option setter
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.changeLocale = function () { return; };
        /**
         * Gets the visible text in the editor.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.displayValue = function () { return; };
        /**
         * Gets reference to jquery object which is used as container of drop-down list.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.dropDownContainer = function () { return; };
        /**
         * Shows the drop down list.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.showDropDown = function () { return; };
        /**
         * Hides the drop down list.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.hideDropDown = function () { return; };
        /**
         * Returns a reference to the drop-down button UI element of the editor.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.dropDownButton = function () { return; };
        /**
         * Returns if the drop-down list is visible.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.dropDownVisible = function () { return; };
        /**
         * Returns a reference to the clear button UI element of the editor.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.clearButton = function () { return; };
        /**
         * Gets the index of the selected list item. Sets selected item by index.
         *
         * @param index The index of the item that needs to be selected.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.selectedListIndex = function (index) { return; };
        /**
         * Gets the selected list item.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.getSelectedListItem = function () { return; };
        /**
         * Inserts the text at the location of the caret or over the current selection.
         * If the editor is focused the method will insert the text over the current selection.
         * If the editor is not focused the method will set the text as value of the editor.
         * Note: The method raises [textChanged](ui.igtexteditor#events:textChanged) event.
         *
         * @param value The string to be inserted.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.insert = function (value) { return; };
        /**
         * Selects the text between start and end indices in the editor.
         * If the parameters are equal, then the method sets location of caret. The method has effect only when the editor has focus.
         *
         * @param start Start of the selection.
         * @param end End of the selection.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.select = function (start, end) { return; };
        /**
         * Returns a reference to the spin up UI element of the editor.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.spinUpButton = function () { return; };
        /**
         * Returns a reference to the spin down UI element of the editor.
         */
        /* istanbul ignore next */
        IgNumericEditorComponent.prototype.spinDownButton = function () { return; };
        return IgNumericEditorComponent;
    }(IgEditorBase));
    IgNumericEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-numeric-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'negativeSign', 'negativePattern', 'decimalSeparator', 'groupSeparator', 'groups', 'maxDecimals', 'minDecimals', 'dataMode', 'minValue', 'maxValue', 'spinDelta', 'scientificFormat'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgNumericEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgPercentEditorComponent = /** @class */ (function (_super) {
        __extends(IgPercentEditorComponent, _super);
        function IgPercentEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Paste text at location of the caret or over the current selection.
         * Best used during editing, as the method will instead set the text as value
         * (modified by the [displayFactor](ui.igpercenteditor#options:displayFactor)) if the editor is not focused.
         * Note: the method raises the [textChanged](ui.igpercenteditor#events:textChanged) event.
         *
         * @param value The string to be inserted.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.insert = function (value) { return; };
        /**
         * Gets/Sets a string that is used as the percent symbol shown with the number in the input.
         * The value provided as a param is propagated to the [percentSymbol](ui.igpercenteditor#options:percentSymbol)
         * option and thus has the same priority as the option.
         *
         * @param symbol New percent symbol.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.percentSymbol = function (symbol) { return; };
        /**
         * Gets/Sets editor value.
         *
         * @param newValue New editor value.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Finds index of list item by text that matches with the search parameters.
         *
         * @param value The text to search for.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.findListItemIndex = function (value) { return; };
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.getSelectedText = function () { return; };
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.getSelectionStart = function () { return; };
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.getSelectionEnd = function () { return; };
        /**
         * Increments value in editor according to the parameter or selects the previous item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Increments value.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.spinUp = function (delta) { return; };
        /**
         * Decrements value in editor according to the parameter selects the next item from the drop-down list if
         * [isLimitedToListValues](ui.%%WidgetNameLowered%%#options:isLimitedToListValues) is enabled.
         *
         * @param delta Decrement value.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.spinDown = function (delta) { return; };
        /**
         * This method is deprecated in favor of [spinUp](ui.%%WidgetNameLowered%%#options:spinUp).
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.selectListIndexUp = function () { return; };
        /**
         * This method is deprecated in favor of [spinDown](ui.%%WidgetNameLowered%%#options:spinDown).
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.selectListIndexDown = function () { return; };
        /**
         * Gets current regional.
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.getRegionalOption = function () { return; };
        /**
         * Changes the the regional settings of widget element to the language specified in
         * [options.regional](ui.ignumericeditor#options:regional)
         * Note that this method is for rare scenarios, use [regional](ui.ignumericeditor#options:regional) option setter
         */
        /* istanbul ignore next */
        IgPercentEditorComponent.prototype.changeRegional = function () { return; };
        return IgPercentEditorComponent;
    }(IgEditorBase));
    IgPercentEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-percent-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications', 'regional', 'negativeSign', 'negativePattern', 'decimalSeparator', 'groupSeparator', 'groups', 'maxDecimals', 'minDecimals', 'dataMode', 'minValue', 'maxValue', 'spinDelta', 'scientificFormat', 'positivePattern', 'percentSymbol', 'displayFactor'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgPercentEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgTextEditorComponent = /** @class */ (function (_super) {
        __extends(IgTextEditorComponent, _super);
        function IgTextEditorComponent(el, renderer, differs, kvalDiffers, cdr, model) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr, model) || this;
            _this.model = model;
            return _this;
        }
        /**
         * Changes the all locales into the widget element to the language specified in [options.language](ui.igtexteditor#options:language)
         * Note that this method is for rare scenarios, see [language](ui.igtexteditor#options:language) or
         * [locale](ui.igtexteditor#options:locale) option setter
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.changeLocale = function () { return; };
        /**
         * Gets the visible text in the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.displayValue = function () { return; };
        /**
         * Gets reference to jquery object which is used as container of drop-down list.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.dropDownContainer = function () { return; };
        /**
         * Shows the drop down list.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.showDropDown = function () { return; };
        /**
         * Hides the drop down list.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.hideDropDown = function () { return; };
        /**
         * Returns a reference to the drop-down button UI element of the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.dropDownButton = function () { return; };
        /**
         * Returns if the drop-down list is visible.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.dropDownVisible = function () { return; };
        /**
         * Returns a reference to the clear button UI element of the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.clearButton = function () { return; };
        /**
         * Finds index of list item by text that matches with the search parameters.
         *
         * @param text The text to search for in the drop down list.
         * @param matchType The rule that is applied for searching the text.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.findListItemIndex = function (text, matchType) { return; };
        /**
         * Gets the index of the selected list item. Sets selected item by index.
         *
         * @param index The index of the item that needs to be selected.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.selectedListIndex = function (index) { return; };
        /**
         * Gets the selected list item.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.getSelectedListItem = function () { return; };
        /**
         * Gets the selected text from the editor in edit mode. This can be done inside key event handlers, like keydown or keyup.
         * This method can be used only when the editor is focused.
         * If you invoke this method in display mode, when the editor input is blurred, the returned value will be an empty string.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.getSelectedText = function () { return; };
        /**
         * Gets the start index of the selected text in the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.getSelectionStart = function () { return; };
        /**
         * Gets the end index of the selected text in the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.getSelectionEnd = function () { return; };
        /**
         * Inserts the text at the location of the caret or over the current selection.
         * If the editor is focused the method will insert the text over the current selection.
         * If the editor is not focused the method will set the text as value of the editor.
         * Note: The method raises [textChanged](ui.igtexteditor#events:textChanged) event.
         *
         * @param value The string to be inserted.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.insert = function (value) { return; };
        /**
         * Selects the text between start and end indices in the editor.
         * If the parameters are equal, then the method sets location of caret. The method has effect only when the editor has focus.
         *
         * @param start Start of the selection.
         * @param end End of the selection.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.select = function (start, end) { return; };
        /**
         * Selects the previous item from the drop-down list.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.spinUp = function () { return; };
        /**
         * Selects the next item from the drop-down list.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.spinDown = function () { return; };
        /**
         * Returns a reference to the spin up UI element of the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.spinUpButton = function () { return; };
        /**
         * Returns a reference to the spin down UI element of the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.spinDownButton = function () { return; };
        /**
         * Gets/Sets name attribute applied to the editor element.
         *
         * @param newValue The new input name.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.inputName = function (newValue) { return; };
        IgTextEditorComponent.prototype.value = function (newValue) { return; };
        /**
         * Gets the input element of the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.field = function () { return; };
        /**
         * Gets a reference to the jQuery element that wraps the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.editorContainer = function () { return; };
        /**
         * Gets whether the editor has focus.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.hasFocus = function () { return; };
        /**
         * Sets focus to the editor after the specified delay.
         *
         * @param delay The delay before focusing the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.setFocus = function (delay) { return; };
        /**
         * Hides the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.hide = function () { return; };
        /**
         * Shows the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.show = function () { return; };
        /**
         * Gets a reference to [igValidator](ui.igvalidator) used by the editor.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.validator = function () { return; };
        /**
         * Checks if the value in the editor is valid. Note: This function will not trigger automatic notifications.
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.isValid = function () { return; };
        /**
         * Triggers validation for the editor. If validatorOptions are set will also call validate on the [igValidator](ui.igvalidator).
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.validate = function () { return; };
        /**
         * Destroys the widget
         */
        /* istanbul ignore next */
        IgTextEditorComponent.prototype.destroy = function () { return; };
        return IgTextEditorComponent;
    }(IgEditorBase));
    IgTextEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-text-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'value', 'tabIndex', 'allowNullValue', 'nullValue', 'inputName', 'readOnly', 'validatorOptions', 'buttonType', 'listItems', 'listWidth', 'listItemHoverDuration', 'dropDownAttachedToBody', 'dropDownAnimationDuration', 'visibleItemsCount', 'includeKeys', 'excludeKeys', 'textAlign', 'placeHolder', 'selectionOnFocus', 'textMode', 'spinWrapAround', 'isLimitedToListValues', 'revertIfNotValid', 'preventSubmitOnEnter', 'dropDownOrientation', 'maxLength', 'dropDownOnReadOnly', 'toUpper', 'toLower', 'locale', 'suppressNotifications'],
                    outputs: ['rendering', 'rendered', 'mousedown', 'mouseup', 'mousemove', 'mouseover', 'mouseout', 'blur', 'focus', 'keydown', 'keypress', 'keyup', 'valueChanging', 'valueChanged', 'dropDownListOpening', 'dropDownListOpened', 'dropDownListClosing', 'dropDownListClosed', 'dropDownItemSelecting', 'dropDownItemSelected', 'textChanged']
                },] }
    ];
    IgTextEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] }
    ]; };

    var IgTreeComponent = /** @class */ (function (_super) {
        __extends(IgTreeComponent, _super);
        function IgTreeComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgTreeComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
            },
            enumerable: false,
            configurable: true
        });
        IgTreeComponent.prototype.ngOnInit = function () {
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        IgTreeComponent.prototype.ngOnChanges = function (changes) {
            var _this = this;
            var ds = 'dataSource';
            // const options = "options";
            if (ds in changes) {
                var value = changes[ds].currentValue;
                if (!this._differ && value) {
                    try {
                        this._differ = this._differs.find(value).create();
                        this._changes = [];
                        this._dataSource.forEach(function (item) {
                            _this._changes.push(_this.kvalDiffers.find({}).create());
                        });
                    }
                    catch (e) {
                        throw new Error('Only binding to arrays is supported.');
                    }
                }
            }
            _super.prototype.ngOnChanges.call(this, changes);
        };
        IgTreeComponent.prototype.ngDoCheck = function () {
            var _this = this;
            if (this._differ) {
                var changes = this._differ.diff(this._dataSource);
                // check if control is initialized
                var elem = jQuery(this._el).data(this._widgetName);
                if (changes && elem) {
                    this.dataSourceApplyChanges(changes);
                }
                if (this._changes && elem) {
                    var _loop_1 = function (i) {
                        var item = this_1._dataSource[i];
                        var rowChanges = this_1._changes[i].diff(item);
                        if (rowChanges) {
                            rowChanges.forEachChangedItem(function (change) {
                                _this.updateItem(item, change.currentValue, change.key);
                            });
                        }
                    };
                    var this_1 = this;
                    // check recs
                    for (var i = 0; i < this._dataSource.length; i++) {
                        _loop_1(i);
                    }
                }
            }
            _super.prototype.ngDoCheck.call(this);
        };
        IgTreeComponent.prototype.addItem = function (item, index) {
            this.dataBind();
            this._changes.push(this.kvalDiffers.find({}).create());
        };
        IgTreeComponent.prototype.deleteItem = function (item, index) {
            this.dataBind();
            this._changes.splice(index, 1);
        };
        IgTreeComponent.prototype.dataSourceApplyChanges = function (changes) {
            var _this = this;
            changes.forEachAddedItem(function (r) { return _this.addItem(r.item, r.currentIndex); });
            changes.forEachRemovedItem(function (r) { _this.deleteItem(r.item, r.previousIndex); });
        };
        IgTreeComponent.prototype.updateItem = function (item, value, key) {
            this.dataBind();
        };
        IgTreeComponent.prototype.markForCheck = function () {
            _super.prototype.markForCheck.call(this);
            var bindings = this.bindings || this.options.bindings;
            if (bindings && bindings.childDataProperty) {
                this.dataBind();
            }
        };
        /**
         * Performs databinding on the igTree.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.dataBind = function () { return; };
        /**
         * Toggles the checkstate of a node if checkboxMode is not set to off, otherwise does nothing.
         *
         * @param node     Specifies the node element the checkbox of which would be toggled.
         * @param event     Indicates the browser event which triggered this action, if this is not an API call.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.toggleCheckstate = function (node, event) { return; };
        /**
         * Toggles the collapse/expand state for the specified node.
         *
         * @param node     Specifies the node element the checkbox of which would be toggled.
         * @param event     Indicates the browser event which triggered this action, if this is not an API call.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.toggle = function (node, event) { return; };
        /**
         * Expands the tree down to the specified node and selects the node if specified.
         *
         * @param node     Specifies the node element down to which the tree would be expanded.
         * @param toSelect     Specifies the whether to select the node after expanding to it.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.expandToNode = function (node, toSelect) { return; };
        /**
         * Expands the specified node.
         *
         * @param node     Specifies the node element to expand.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.expand = function (node) { return; };
        /**
         * Collapses the specified node.
         *
         * @param node     Specifies the node element to collapse.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.collapse = function (node) { return; };
        /**
         * Retrieves the parent node element of the specified node element.
         *
         * @param node     Specifies the jQuery selected node element to collapse.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.parentNode = function (node) { return; };
        /**
         * Retrieves the jQuery element of the node with the specified path.
         *
         * @param nodePath     Specifies the path to the required node.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.nodeByPath = function (nodePath) { return; };
        /**
         * Retrieves the jQuery element of the node with the specified value.
         *
         * @param value     Specifies the value of the required node.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.nodesByValue = function (value) { return; };
        /**
         * Retrieves all the node objects for the nodes that have their checkboxes checked.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.checkedNodes = function () { return; };
        /**
         * Retrieves all the node objects for the nodes that have their checkboxes unchecked.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.uncheckedNodes = function () { return; };
        /**
         * Retrieves all the node objects for the nodes that have their checkboxes partially checked.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.partiallyCheckedNodes = function () { return; };
        /**
         * Selects a node.
         *
         * @param node     Specifies the node element to be selected.
         * @param event     Indicates the browser event which triggered this action, if this is not an API call.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.select = function (node, event) { return; };
        /**
         * Deselects the specified node.
         *
         * @param node     Specifies the node element to be deselected.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.deselect = function (node) { return; };
        /**
         * Deselects all the selected nodes.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.clearSelection = function () { return; };
        /**
         * Retrieves the node object for the selected node.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.selectedNode = function () { return; };
        /**
         * Retrieves all node objects with the specified text (case sensitive).
         *
         * @param text     The text to search for.
         * @param parent     The node element to start the search from. If not specified then search would start from the root of the tree.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.findNodesByText = function (text, parent) { return; };
        /**
         * Retrieves all node objects for the immediate children of the specified parent with the specified text (case sensitive).
         *
         * @param text     The text to search for.
         * @param parent     The node element the children of which would be searched.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.findImmediateNodesByText = function (text, parent) { return; };
        /**
         * Retrieves the n-th jQuery node element child of the specified parent.
         *
         * @param index     Specifies the index the node at which to be retrieved.
         * @param parent     The parent node element to start the search from.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.nodeByIndex = function (index, parent) { return; };
        /**
         * Retrieves a node object for the specified node element.
         *
         * @param element     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.nodeFromElement = function (element) { return; };
        /**
         * Retrieves a node object collection of the immediate children of the provided node element.
         *
         * @param parent     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.children = function (parent) { return; };
        /**
         * Retrieves a node object collection of the immediate children of the node with the provided path.
         *
         * @param path     Specifies the path of the node the children of which are to be retrieved.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.childrenByPath = function (path) { return; };
        /**
         * Returns true if the provided node element is selected and false otherwise.
         *
         * @param node     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.isSelected = function (node) { return; };
        /**
         * Returns true if the provided node element is expanded and false otherwise.
         *
         * @param node     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.isExpanded = function (node) { return; };
        /**
         * Returns true if the provided node element has its checkbox checkstate checked and false otherwise.
         *
         * @param node     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.isChecked = function (node) { return; };
        /**
         * Returns the specified node checkstate.
         *
         * @param node     Specifies the node element.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.checkState = function (node) { return; };
        /**
         * Adds a new array of nodes to the tree. New nodes are appended to the root or to a specified parent node, at a specified index.
         *
         * @param node     Specifies the data used to create the new nodeс.
         * @param parent     Specifies the element of the parent node the nodes are to be appended to.
         * @param nodeIndex     Specifies the index at which the nodes to be inserted.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.addNode = function (node, parent, nodeIndex) { return; };
        /**
         * Removes the node with with the specified path and all of its children.
         *
         * @param path     Specifies the path of the node to be removed.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.removeAt = function (path) { return; };
        /**
         * Removing all the nodes with the specified value.
         *
         * @param value     Specifies the value of the nodes to be removed.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.removeNodesByValue = function (value) { return; };
        /**
         * Performs a UI update on the provided node element with the provided data.
         *
         * @param element     Specifies the node to be updated.
         * @param data     Specifies the new data item the node would update according to.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.applyChangesToNode = function (element, data) { return; };
        /**
         * Returns the transaction log stack.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.transactionLog = function () { return; };
        /**
         * Returns the data for the node with specified path.
         *
         * @param path     Specifies the node path for which the data is returned.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.nodeDataFor = function (path) { return; };
        /**
         * Destructor for the igTree widget.
         */
        /* istanbul ignore next */
        IgTreeComponent.prototype.destroy = function () { return; };
        return IgTreeComponent;
    }(IgControlBase));
    IgTreeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-tree',
                    template: '<ng-content></ng-content>',
                    inputs: [
                        'widgetId',
                        'options',
                        'changeDetectionInterval',
                        'disabled',
                        'create',
                        'width',
                        'height',
                        'checkboxMode',
                        'singleBranchExpand',
                        'hotTracking',
                        'parentNodeImageUrl',
                        'parentNodeImageClass',
                        'parentNodeImageTooltip',
                        'leafNodeImageUrl',
                        'leafNodeImageClass',
                        'leafNodeImageTooltip',
                        'animationDuration',
                        'pathSeparator',
                        'dataSource',
                        'dataSourceUrl',
                        'dataSourceType',
                        'responseDataKey',
                        'responseDataType',
                        'requestType',
                        'responseContentType',
                        'initialExpandDepth',
                        'loadOnDemand',
                        'bindings',
                        'defaultNodeTarget',
                        'dragAndDrop',
                        'updateUrl',
                        'dragAndDropSettings'
                    ],
                    outputs: ['dataBinding', 'dataBound', 'rendering', 'rendered', 'selectionChanging', 'selectionChanged', 'nodeCheckstateChanging', 'nodeCheckstateChanged', 'nodePopulating', 'nodePopulated', 'nodeCollapsing', 'nodeCollapsed', 'nodeExpanding', 'nodeExpanded', 'nodeClick', 'nodeDoubleClick', 'dragStart', 'drag', 'dragStop', 'nodeDropping', 'nodeDropped']
                },] }
    ];
    IgTreeComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgTreeComponent.propDecorators = {
        dataSource: [{ type: core.Input }],
        bindings: [{ type: core.Input }]
    };

    var IgContentControlBase = /** @class */ (function (_super) {
        __extends(IgContentControlBase, _super);
        function IgContentControlBase(el, renderer, differs, kvalDiffers, cdr) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
            _this.childNodes = el.nativeElement.childNodes;
            return _this;
        }
        IgContentControlBase.prototype.ngOnInit = function () {
            jQuery(this._el).append(this.childNodes);
            _super.prototype.ngOnInit.call(this);
        };
        return IgContentControlBase;
    }(IgControlBase));
    IgContentControlBase.decorators = [
        { type: core.Directive }
    ];
    IgContentControlBase.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgDialogComponent = /** @class */ (function (_super) {
        __extends(IgDialogComponent, _super);
        function IgDialogComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Destroys the igDialog and moves the target element to its original parent.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.destroy = function () { return; };
        /**
         * Gets/Sets the state of the editor.
         * 				Note: If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         *
         * @param state     New state.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.state = function (state) { return; };
        /**
         * Gets reference to the dynamically created DIV element which represents the dialog.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.mainElement = function () { return; };
        /**
         * Closes the dialog if it is opened.
         * 				Notes:
         * 				1. If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         * 				2. That method does not change minimized or maximized state of the dialog.
         * 				It means that method "open" will open the dialog and keep previous minimized or maximized state.
         *
         * @param e     Browser event: internal use only.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.close = function (e) { return; };
        /**
         * Opens the dialog if it is closed. Notes:
         * 				1. If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         * 				2. That method does not change minimized or maximized state of the dialog.
         * It means that if the dialog was in minimized or maximized stated when closed by "close" method,
         * then the dialog will open in minimized or maximized state respectively.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.open = function () { return; };
        /**
         * Minimizes the dialog if it is not minimized.
         * 				Note: If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.minimize = function () { return; };
        /**
         * Maximizes the dialog if it is not maximized.
         * 				Note: If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.maximize = function () { return; };
        /**
         * Sets the normal state for the dialog if it was maximized or minimized.
         * 				Note: If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.restore = function () { return; };
        /**
         * Pins the dialog if it is not pinned.
         * 				When the dialog is pinned, then the html element of the dialog is moved to the original container where the target elemen
         *  was located and position:absolute is removed.
         * 				The pinned dialog does not support modal state, maximized state and it can not be moved.
         * 				Notes:
         * 				1. If the parent element of the original target-element is invisible, then the pinned dialog becomes invisible as well.
         * 				2. If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.pin = function () { return; };
        /**
         * Unpins the dialog if it is pinned.
         * 				Note: If the state of the dialog changes, then stateChanging and stateChanged events are raised.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.unpin = function () { return; };
        /**
         * Gets a reference to the top modal dialog.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.getTopModal = function () { return; };
        /**
         * Checks if the dialog is modal and if it is currently active.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.isTopModal = function () { return; };
        /**
         * Moves a not modal dialog to the top.
         *
         * @param e     Original event of browser.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.moveToTop = function (e) { return; };
        /**
         * Retrieves the igDialog content container or sets its content to be the new content provided.
         *
         * @param newContent     The new html content provided as a string. If the parameter is provided then the method acts as a setter.
         */
        /* istanbul ignore next */
        IgDialogComponent.prototype.content = function (newContent) { return; };
        return IgDialogComponent;
    }(IgContentControlBase));
    IgDialogComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-dialog',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'mainElement', 'state', 'pinned', 'closeOnEscape', 'showCloseButton', 'showMaximizeButton', 'showMinimizeButton', 'showPinButton', 'pinOnMinimized', 'imageClass', 'headerText', 'showHeader', 'showFooter', 'footerText', 'dialogClass', 'container', 'height', 'width', 'minHeight', 'minWidth', 'maxHeight', 'maxWidth', 'draggable', 'position', 'resizable', 'tabIndex', 'openAnimation', 'closeAnimation', 'zIndex', 'modal', 'trackFocus', 'closeButtonTitle', 'minimizeButtonTitle', 'maximizeButtonTitle', 'pinButtonTitle', 'unpinButtonTitle', 'restoreButtonTitle', 'temporaryUrl', 'enableHeaderFocus', 'enableDblclick'],
                    outputs: ['stateChanging', 'stateChanged', 'animationEnded', 'focus', 'blur']
                },] }
    ];
    IgDialogComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgSplitterComponent = /** @class */ (function (_super) {
        __extends(IgSplitterComponent, _super);
        function IgSplitterComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns the element that represents this widget.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.widget = function () { return; };
        /**
         * Expand the specified panel by index.
         *
         * @param index Specifies the index of the panel to expand.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.expandAt = function (index) { return; };
        /**
         * Collapse the specified panel.
         *
         * @param index Specifies the index of the panel to collapse.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.collapseAt = function (index) { return; };
        /**
         * Retrieves the jQuery element of the first panel.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.firstPanel = function () { return; };
        /**
         * Retrieves the jQuery element of the second panel.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.secondPanel = function () { return; };
        /**
         * Refresh splitter layout, use this method to re-render the splitter if some changes to the layout are applied.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.refreshLayout = function () { return; };
        /**
         * You can set new size of the first panel after the splitter is rendered.
         *
         * @param size Specifies the new size of the first panel.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.setFirstPanelSize = function (size) { return; };
        /**
         * You can set new size of the second panel after the splitter is rendered.
         *
         * @param size Specifies the new size of the second panel.
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.setSecondPanelSize = function (size) { return; };
        /**
         * Destroys the igSplitter widget
         */
        /* istanbul ignore next */
        IgSplitterComponent.prototype.destroy = function () { return; };
        return IgSplitterComponent;
    }(IgContentControlBase));
    IgSplitterComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-splitter',
                    template: '<ng-content></ng-content>',
                    inputs: [
                        'widgetId',
                        'options',
                        'changeDetectionInterval',
                        'disabled',
                        'create',
                        'width',
                        'height',
                        'orientation',
                        'panels',
                        'dragDelta',
                        'resizeOtherSplitters'
                    ],
                    outputs: ['collapsed', 'expanded', 'resizeStarted', 'resizing', 'resizeEnded', 'layoutRefreshing', 'layoutRefreshed']
                },] }
    ];
    IgSplitterComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgLayoutManagerComponent = /** @class */ (function (_super) {
        __extends(IgLayoutManagerComponent, _super);
        function IgLayoutManagerComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Triggers recalculation of the layout dimensions. Layouts may not need to be reflowed manually,
         * if their sizes are in percentages (i.e. they are responsive by default)
         * This can be particularly useful with a grid layout, when the container has percentage sizes,
         * but items are calculated in pixels and positioned absolutely in the container.
         *
         * @param forceReflow Indicates whether the reflow should be forced.
         * Useful in cases where the items size and position was changed manually.
         * @param animationDuration The animation duration to be used for this reflow only. Supported only for Grid Layout mode.
         * @param event Indicates the browser even which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgLayoutManagerComponent.prototype.reflow = function (forceReflow, animationDuration, event) { return; };
        /**
         * Destroy is part of the jQuery UI widget API and does the following:
         * 1. Remove custom CSS classes that were added.
         * 2. Remove any elements that were added at widget's initialization and after that, which didn't below to the original markup
         * 3. Unbind all events that were bound.
         */
        /* istanbul ignore next */
        IgLayoutManagerComponent.prototype.destroy = function () { return; };
        return IgLayoutManagerComponent;
    }(IgContentControlBase));
    IgLayoutManagerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-layout-manager',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'borderLayout', 'gridLayout', 'height', 'itemCount', 'items', 'layoutMode', 'width'],
                    outputs: ['internalResized', 'internalResizing', 'itemRendered', 'itemRendering', 'rendered']
                },] }
    ];
    IgLayoutManagerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgTileManagerComponent = /** @class */ (function (_super) {
        __extends(IgTileManagerComponent, _super);
        function IgTileManagerComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgTileManagerComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var widget = jQuery(this._el).data(this._widgetName);
                if (widget) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgTileManagerComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Maximizes a given tile.
         *
         * @param $tileToMaximize Specifies the jQuery object of the tile element to be maximized.
         * @param animDuration Specifies the animation duration for this maximizing.
         * @param event Indicates the browser even which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.maximize = function ($tileToMaximize, animDuration, event) { return; };
        /**
         * Minimizes the maximized tile. Has no effect if no maximized tile is present.
         *
         * @param animDuration Specifies the animation duration for this minimize.
         * @param event Indicates the browser even which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.minimize = function (animDuration, event) { return; };
        /**
         * Returns the maximized tile or null if such is not present.
         * @return object|null Returns the maximized tile or null if such is not present.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.maximizedTile = function () { return; };
        /**
         * Returns an array with the tiles in minimized state or null if such are not present.
         * @return object|null Returns an array with the tiles in minimized state or null if such are not present.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.minimizedTiles = function () { return; };
        /**
         * Returns the splitter associated with this tile manager or
         *                 null if the tile manager was instantiated with maximizedTileIndex.
         * @return object|null Returns the splitter associated with this tile manager or null
         * if the tile manager was instantiated with maximizedTileIndex.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.splitter = function () { return; };
        /**
         * Returns the [layout manager](ui.iglayoutmanager) associated with current tile manager.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.layoutManager = function () { return; };
        /**
         * Reflow the tile manager. Rearranging the tiles to fit in the container
         *
         * @param forceReflow Indicates whether the reflow should be forced.
         * Useful in cases where the items size and position was changed manually.
         * @param animationDuration The animation duration to be used for this reflow only.
         * @param event Indicates the browser even which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.reflow = function (forceReflow, animationDuration, event) { return; };
        /**
         * Returns the element that represents this widget.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.widget = function () { return; };
        /**
         * Causes the TileManager to data bind to the data source (local or remote) , and re-render all of the data as well.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.dataBind = function () { return; };
        /**
         * Deletes the widget instance (client object). It is no longer accessible and all its event handlers stop working.
         * Destroys all child widgets. Removes auto-generated HTML content, which is outside the widget, e.g. detached popups, dropdowns, etc.
         */
        /* istanbul ignore next */
        IgTileManagerComponent.prototype.destroy = function () { return; };
        return IgTileManagerComponent;
    }(IgContentControlBase));
    IgTileManagerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-tile-manager',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'columnWidth', 'columnHeight', 'cols', 'rows', 'marginLeft', 'marginTop', 'rearrangeItems', 'items', 'dataSource', 'minimizedState', 'maximizedState', 'maximizedTileIndex', 'rightPanelCols', 'rightPanelTilesWidth', 'rightPanelTilesHeight', 'showRightPanelScroll', 'splitterOptions', 'preventMaximizingSelector', 'animationDuration', 'dataSourceUrl', 'responseDataKey', 'responseDataType', 'dataSourceType', 'requestType', 'responseContentType'],
                    outputs: ['dataBinding', 'dataBound', 'rendering', 'rendered', 'tileRendering', 'tileRendered', 'tileMaximizing', 'tileMaximized', 'tileMinimizing', 'tileMinimized']
                },] }
    ];
    IgTileManagerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgTileManagerComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgHtmlEditorComponent = /** @class */ (function (_super) {
        __extends(IgHtmlEditorComponent, _super);
        function IgHtmlEditorComponent(el, renderer, differs, model, zone, kvalDiffers, cdr) {
            var _this = _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
            _this.model = model;
            _this.zone = zone;
            _this.onChange = function (_) {
            };
            _this.onTouched = function () {
            };
            if (model) {
                model.valueAccessor = _this;
                _this._zone = zone;
                _this._model = model;
            }
            return _this;
        }
        IgHtmlEditorComponent.prototype.ngOnInit = function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            if (this._model) {
                var iframe = jQuery(this._el).find('iframe')[0].contentWindow.document;
                jQuery(iframe).find('body[contenteditable=true]').on('keyup', function (evt, ui) {
                    _this._model.viewToModelUpdate(jQuery(evt.target).html());
                    _this._zone.run(function () {
                        _this._model.viewToModelUpdate(jQuery(evt.target).html());
                    });
                });
            }
        };
        IgHtmlEditorComponent.prototype.writeValue = function (value) {
            if (!!jQuery(this._el).data(this._widgetName) && value !== null &&
                value !== jQuery(this._el)[this._widgetName]('getContent', 'html')) {
                jQuery(this._el)[this._widgetName]('setContent', value, 'html');
            }
        };
        IgHtmlEditorComponent.prototype.registerOnChange = function (fn) {
            this.onChange = fn;
        };
        IgHtmlEditorComponent.prototype.registerOnTouched = function (fn) {
            this.onTouched = fn;
        };
        /**
         * Returns the element on which the widget was instantiated
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.widget = function () { return; };
        /**
         * Resizes the height of the workspace
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.resizeWorkspace = function () { return; };
        /**
         * Gets the content of the html editor.
         *
         * @param format Returns the content as html or plain text. Values can be "text" or "html".
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.getContent = function (format) { return; };
        /**
         * Sets the content of the html editor.
         *
         * @param content The content which will be set.
         * @param format The content type: "text" or "html".
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.setContent = function (content, format) { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.destroy = function () { return; };
        /**
         * Executes htmleditor commands.
         *
         * @param actionName The command name.
         * @param args Additional parameter for the command.
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.executeAction = function (actionName, args) { return; };
        /**
         * Returns true/false if the editor contents were modified or not.
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.isDirty = function () { return; };
        /**
         * Returns the window object associated with the Html Editor's content editable area
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.contentWindow = function () { return; };
        /**
         * Returns the document object associated with the Html Editor's content editable area
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.contentDocument = function () { return; };
        /**
         * Returns the content editable associated with this Html Editor
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.contentEditable = function () { return; };
        /**
         * Returns Selection object that represent the current selection in the content editable
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.selection = function () { return; };
        /**
         * Returns Range object that represent the current range in the content editable
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.range = function () { return; };
        /**
         * Inserts the provided content at the position of the caret.
         *
         * @param element Accepts html string, DOM element or a jQuery object.
         */
        /* istanbul ignore next */
        IgHtmlEditorComponent.prototype.insertAtCaret = function (element) { return; };
        return IgHtmlEditorComponent;
    }(IgControlBase));
    IgHtmlEditorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-html-editor',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'showFormattingToolbar', 'showTextToolbar', 'showInsertObjectToolbar', 'showCopyPasteToolbar', 'width', 'height', 'toolbarSettings', 'customToolbars', 'inputName', 'value'],
                    outputs: ['rendered', 'rendering', 'actionExecuting', 'actionExecuted', 'toolbarCollapsing', 'toolbarCollapsed', 'toolbarExpanding', 'toolbarExpanded', 'cut', 'copy', 'paste', 'undo', 'redo', 'workspaceResized']
                },] }
    ];
    IgHtmlEditorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: forms.NgModel, decorators: [{ type: core.Optional }] },
        { type: core.NgZone },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgValidatorComponent = /** @class */ (function (_super) {
        __extends(IgValidatorComponent, _super);
        function IgValidatorComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgValidatorComponent.prototype.ngOnInit = function () {
            var _this = this;
            var evtName;
            this._el = jQuery(document).find('#' + this.widgetId);
            jQuery(this._el)[this._widgetName](this.options);
            this._events = new Map();
            for (var propt in jQuery.ui[this._widgetName].prototype.events) {
                if (jQuery.ui[this._widgetName].prototype.events.hasOwnProperty(prompt)) {
                    evtName = this._widgetName.toLowerCase() + propt.toLowerCase();
                    this._events[evtName] = propt;
                    jQuery(this._el).on(evtName, function (evt, ui) {
                        _this[_this._events[evt.type]].emit({ event: evt, ui: ui });
                    });
                }
            }
        };
        /**
         * Trigger validation and show errors for invalid fields.
         *
         * @param field    Optional field object, its selector or zero-based index to check.
         *  Only has effect with fields collection and skips other fields.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.validate = function (field) { return; };
        /**
         * Trigger validation but do not display error messages.
         *
         * @param field    Optional field object, its selector or zero-based index to check.
         * Only has effect with fields collection and skips other fields.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.isValid = function (field) { return; };
        /**
         * Hide any possible message(s) (either messageTarget or igNotifier).
         * 			Note: When the validator has a fields colleciton, not passing a field will hide messages on all fields.
         *
         * @param field    Optional field object, its selector or zero-based index to hide message for.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.hide = function (field) { return; };
        /**
         * Gets all current error messages for invalid field(s).
         * Note that this method does not valdiate and states and messages are only updated on validation, so
         * this can be used on formValidated event or after validate/isValid method calls.
         *
         * @param field    Optional field object, selector or zero-based index for a single field to get error message for.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.getErrorMessages = function (field) { return; };
        /**
         * Check for currently displayed message(s). Takes an optional field.
         * 			Note: When the validator has a fields colleciton, not passing a
         *      field will return a cumulative true even if just one field has a visible message.
         *
         * @param field    Optional field object, selector or zero-based index for a single field to get error message for.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.isMessageDisplayed = function (field) { return; };
        /**
         * Gets the notifier for the igValidator or for a single filed.
         *
         * @param field    Optional field object, its selector or zero-based index to get notifier for.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.notifier = function (field) { return; };
        /**
         * Adds an new input to the fields collection and initializes it with the validator.
         * Note: Additional fields are only accepted if the validator has been created with the collection.
         *
         * @param field    An object with the field selector and options.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.addField = function (field) { return; };
        /**
         * Removes an input from the fields collection.
         *
         * @param field    The field object to remove, its zero-based index or selector.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.removeField = function (field) { return; };
        /**
         * Updates a field in the validator collection.
         * Used to reinitialize field in case a control has been created after the validator or to pass in new options.
         *
         * @param field    The field object to update, its zero-based index or selector.
         * @param fieldOptions    New options to apply to the field.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.updateField = function (field, fieldOptions) { return; };
        /**
         * Destroys the validator widget.
         */
        /* istanbul ignore next */
        IgValidatorComponent.prototype.destroy = function () { return; };
        return IgValidatorComponent;
    }(IgControlBase));
    IgValidatorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-validator',
                    template: '<ng-content></ng-content>',
                    inputs: [
                        'widgetId',
                        'options',
                        'changeDetectionInterval',
                        'disabled',
                        'create',
                        'onchange',
                        'onblur',
                        'onsubmit',
                        'required',
                        'number',
                        'date',
                        'email',
                        'lengthRange',
                        'valueRange',
                        'creditCard',
                        'pattern',
                        'messageTarget',
                        'errorMessage',
                        'successMessage',
                        'threshold',
                        'equalTo',
                        'custom',
                        'fields',
                        'notificationOptions',
                        'requiredIndication',
                        'optionalIndication'
                    ],
                    outputs: [
                        'validating',
                        'validated',
                        'success',
                        'error',
                        'errorShowing',
                        'errorHiding',
                        'errorShown',
                        'errorHidden',
                        'successShowing',
                        'successHiding',
                        'successShown',
                        'successHidden',
                        'formValidating',
                        'formValidated',
                        'formError',
                        'formSuccess'
                    ]
                },] }
    ];
    IgValidatorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgPivotDataSelectorComponent = /** @class */ (function (_super) {
        __extends(IgPivotDataSelectorComponent, _super);
        function IgPivotDataSelectorComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgPivotDataSelectorComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var widget = jQuery(this._el).data(this._widgetName);
                if (widget) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgPivotDataSelectorComponent.prototype.option = function () { return; };
        IgPivotDataSelectorComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Updates the data source.
         */
        /* istanbul ignore next */
        IgPivotDataSelectorComponent.prototype.update = function () { return; };
        /**
         * Destroy is part of the jQuery UI widget API and does the following:
         *                 1. Remove custom CSS classes that were added.
         *                 2. Unwrap any wrapping elements such as scrolling divs and other containers.
         *                 3. Unbind all events that were bound.
         */
        /* istanbul ignore next */
        IgPivotDataSelectorComponent.prototype.destroy = function () { return; };
        return IgPivotDataSelectorComponent;
    }(IgControlBase));
    IgPivotDataSelectorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-pivot-data-selector',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'dataSource', 'dataSourceOptions', 'deferUpdate', 'dragAndDropSettings', 'dropDownParent', 'disableRowsDropArea', 'disableColumnsDropArea', 'disableMeasuresDropArea', 'disableFiltersDropArea', 'customMoveValidation'],
                    outputs: ['dataSelectorRendered', 'dataSourceInitialized', 'dataSourceUpdated', 'deferUpdateChanged', 'dragStart', 'drag', 'dragStop', 'metadataDropping', 'metadataDropped', 'metadataRemoving', 'metadataRemoved', 'filterDropDownOpening', 'filterDropDownOpened', 'filterMembersLoaded', 'filterDropDownOk', 'filterDropDownClosing', 'filterDropDownClosed']
                },] }
    ];
    IgPivotDataSelectorComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgPivotDataSelectorComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgPivotGridComponent = /** @class */ (function (_super) {
        __extends(IgPivotGridComponent, _super);
        function IgPivotGridComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgPivotGridComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var widget = jQuery(this._el).data(this._widgetName);
                if (widget) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgPivotGridComponent.prototype.option = function () { return; };
        IgPivotGridComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Returns the igGrid instance used to render the OLAP data.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.grid = function () { return; };
        /**
         * Triggers an update on the data source and the igPivotGrid.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.updateGrid = function () { return; };
        /**
         * Expands a member from the data source and returns true if the expand succeeds.
         * If the data source has a pending update, the method will return false.
         * Note that igPivotGrid to will display the expanded result after the data source is updated.
         *
         * @param tupleLocation The name of the parent axis - 'columnAxis' or 'rowAxis'.
         * @param tupleIndex The index of the containing tuple.
         * This index should correspond to the position of the tuple in the original unsorted result of the data source.
         * @param memberIndex The index of the member in the tuple.
         * This index should correspond to the position of the member in the original unsorted result of the data source.
         * @param shouldUpdate A flag indicating whether the data source should be updated after the expand.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.expandTupleMember = function (tupleLocation, tupleIndex, memberIndex, shouldUpdate) { return; };
        /**
         * Collapses a member from the data source and returns true if the collapse succeeds.
         * If the data source has a pending update, the method will return false.
         * Note that igPivotGrid to will display the expanded result after the data source is updated.
         *
         * @param tupleLocation The name of the parent axis - 'columnAxis' or 'rowAxis'.
         * @param tupleIndex The index of the containing tuple.
         * This index should correspond to the position of the tuple in the original unsorted result of the data source.
         * @param memberIndex The index of the member in the tuple.
         * This index should correspond to the position of the member in the original unsorted result of the data source.
         * @param shouldUpdate A flag indicating whether the data source should be updated after the expand.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.collapseTupleMember = function (tupleLocation, tupleIndex, memberIndex, shouldUpdate) { return; };
        /**
         * Returns an array with the applied sort directions on the igPivotGrid's columns.
         * The returned array contains objects with the following properties:
         *             memberNames: The names of the members in the tuple.
         *             tupleIndex: The index of the tuple on the column axis in the original unsorted result.
         *             sortDirection: The direction of the sort - ascending or descending.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.appliedColumnSortDirections = function () { return; };
        /**
         * Returns an array with the applied level sort direction items, which were used for the sorting of the header cells.
         * The returned array contains objects with the following properties:
         *             levelUniqueName: Specifies the unique name of the level, which was sorted.
         *             sortDirection: The direction of the header sort - ascending or descending.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.appliedLevelSortDirections = function () { return; };
        /**
         * Destroy is part of the jQuery UI widget API and does the following:
         *             1. Remove custom CSS classes that were added.
         *             2. Unwrap any wrapping elements such as scrolling divs and other containers.
         *             3. Unbind all events that were bound.
         */
        /* istanbul ignore next */
        IgPivotGridComponent.prototype.destroy = function () { return; };
        return IgPivotGridComponent;
    }(IgControlBase));
    IgPivotGridComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-pivot-grid',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'dataSource', 'dataSourceOptions', 'deferUpdate', 'isParentInFrontForColumns', 'isParentInFrontForRows', 'compactColumnHeaders', 'compactRowHeaders', 'rowHeadersLayout', 'compactColumnHeaderIndentation', 'compactRowHeaderIndentation', 'rowHeaderLinkGroupIndentation', 'treeRowHeaderIndentation', 'defaultRowHeaderWidth', 'allowSorting', 'firstSortDirection', 'allowHeaderRowsSorting', 'allowHeaderColumnsSorting', 'levelSortDirections', 'defaultLevelSortBehavior', 'firstLevelSortDirection', 'gridOptions', 'dragAndDropSettings', 'dropDownParent', 'disableRowsDropArea', 'disableColumnsDropArea', 'disableMeasuresDropArea', 'disableFiltersDropArea', 'hideRowsDropArea', 'hideColumnsDropArea', 'hideMeasuresDropArea', 'hideFiltersDropArea', 'customMoveValidation'],
                    outputs: ['dataSourceInitialized', 'dataSourceUpdated', 'pivotGridHeadersRendered', 'pivotGridRendered', 'tupleMemberExpanding', 'tupleMemberExpanded', 'tupleMemberCollapsing', 'tupleMemberCollapsed', 'sorting', 'sorted', 'headersSorting', 'headersSorted', 'dragStart', 'drag', 'dragStop', 'metadataDropping', 'metadataDropped', 'metadataRemoving', 'metadataRemoved', 'filterDropDownOpening', 'filterDropDownOpened', 'filterMembersLoaded', 'filterDropDownOk', 'filterDropDownClosing', 'filterDropDownClosed']
                },] }
    ];
    IgPivotGridComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgPivotGridComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgDataChartComponent = /** @class */ (function (_super) {
        __extends(IgDataChartComponent, _super);
        function IgDataChartComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgDataChartComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var chart = jQuery(this._el).data(this._widgetName);
                if (chart) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgDataChartComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        IgDataChartComponent.prototype.option = function () { return; };
        /**
         * Returns the element holding the chart.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.widget = function () { return; };
        /**
         * Returns the ID of parent element holding the chart.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.id = function () { return; };
        /**
         * Exports the chart to a PNG image.
         *
         * @param width     The width of the image.
         * @param height     The height of the image.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.exportImage = function (width, height) { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.destroy = function () { return; };
        /**
         * Notify the chart that styles it draws colors from may have been updated.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.styleUpdated = function () { return; };
        /**
         * Resets the zoom level of the chart to default.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.resetZoom = function () { return; };
        /**
         * Adds a new item to the data source and notifies the chart.
         *
         * @param item     The item that we want to add to the data source.
         * @param targetName     The name of the series or axis bound to the data source.
         * This is required only when the data is bound to series or axis.
         * If the data is bound to dataSource of igDataChart, the second parameter should not be set.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.addItem = function (item, targetName) { return; };
        /**
         * Inserts a new item to the data source and notifies the chart.
         *
         * @param item     the new item that we want to insert in the data source.
         * @param index     The index in the data source where the new item will be inserted.
         * @param targetName     The name of the series or axis bound to the data source.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.insertItem = function (item, index, targetName) { return; };
        /**
         * Deletes an item from the data source and notifies the chart.
         *
         * @param index     The index in the data source from where the item will be been removed.
         * @param targetName     The name of the series or axis bound to the data source.
         * This is required only when the data is bound to series or axis.
         * If the data is bound to dataSource of igDataChart, the second parameter should not be set.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.removeItem = function (index, targetName) { return; };
        /**
         * Updates an item in the data source and notifies the chart.
         *
         * @param index     The index of the item in the data source that we want to change.
         * @param item     The new item object that will be set in the data source.
         * @param targetName     The name of the series or axis bound to the data source.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.setItem = function (index, item, targetName) { return; };
        /**
         * Notifies the chart that an item has been set in an associated data source.
         *
         * @param dataSource     The data source in which the change happened.
         * @param index     The index in the items source that has been changed.
         * @param newItem     the new item that has been set in the collection.
         * @param oldItem     the old item that has been overwritten in the collection.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.notifySetItem = function (dataSource, index, newItem, oldItem) { return; };
        /**
         * Notifies the chart that the items have been cleared from an associated data source.
         * 				It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource     The data source in which the change happened.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.notifyClearItems = function (dataSource) { return; };
        /**
         * Notifies the target axis or series that an item has been inserted at the specified index in its data source.
         * 				It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource     The data source in which the change happened.
         * @param index     The index in the items source where the new item has been inserted.
         * @param newItem     the new item that has been set in the collection.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.notifyInsertItem = function (dataSource, index, newItem) { return; };
        /**
         * Notifies the target axis or series that an item has been removed from the specified index in its data source.
         * 				It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource     The data source in which the change happened.
         * @param index     The index in the items source from where the old item has been removed.
         * @param oldItem     the old item that has been removed from the collection.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.notifyRemoveItem = function (dataSource, index, oldItem) { return; };
        /**
         * Notifies the target axis or series that it should scroll the requested data item into view.
         *
         * @param targetName     The name of the axis or series notify.
         * @param item     The data item to bring into view, if possible.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.scrollIntoView = function (targetName, item) { return; };
        /**
         * Notifies the target axis that it should scale the requested value into chart space from axis space.
         * 				For example you can use this method if you want to find where value 50 of the x axis stands scaled to chart's width.
         *
         * @param targetName     The name of the axis to notify.
         * @param unscaledValue     The value in axis space to translate into chart space.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.scaleValue = function (targetName, unscaledValue) { return; };
        /**
         * Notifies the target axis that it should unscale the requested value into axis space from chart space.
         * 				For example you can use this method if you want to find what is the value of x axis unscaled from 0 width of the chart.
         *
         * @param targetName     The name of the axis to notify.
         * @param scaledValue     The value in chart space to translate into axis space.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.unscaleValue = function (targetName, scaledValue) { return; };
        /**
         * For the target axis, if using enhanced interval management and precise interval fitting,
         * this will reset the cached maximum label width, and recalculate using the current labels.
         *
         * @param targetName     The name of the axis to notify.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.resetCachedEnhancedInterval = function (targetName) { return; };
        /**
         * Notifies the target series that something that affects its visual properties has changed and the visual output needs a repaint.
         *
         * @param targetName     The name of the series to notify.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.notifyVisualPropertiesChanged = function (targetName) { return; };
        /**
         * Forces any pending deferred work to render on the chart before continuing
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.flush = function () { return; };
        /**
         * Exports visual data from the chart to aid in unit testing
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.exportVisualData = function () { return; };
        /**
         * Gets the actual minimum value of the target numeric or date time axis
         *
         * @param targetName    The name of the axis from which to get the minimum value.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getActualMinimumValue = function (targetName) { return; };
        /**
         * Gets the actual maximum value of the target numeric or date time axis
         *
         * @param targetName    The name of the axis from which to get the maximum value.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getActualMaximumValue = function (targetName) { return; };
        /**
         * Gets the actual interval of the target numeric or date time axis
         *
         * @param targetName    The name of the axis from which to get the interval.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getActualInterval = function (targetName) { return; };
        /**
         * Creates a print preview page with the chart, hiding all other elements on the page.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.print = function () { return; };
        /**
         * Indicates that a series should render, even though no option has been modified that would normally cause it to refresh.
         *
         * @param targetName     The name of the series to render.
         * @param animate     Whether the change should be animated, if possible.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.renderSeries = function (targetName, animate) { return; };
        /**
         * Gets the item item index associated with the specified world position.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getItemIndex = function (targetName, worldPoint) { return; };
        /**
         * Gets the item that is the best match for the specified world coordinates.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getItem = function (targetName, worldPoint) { return; };
        /**
         * For a category plotted series, gets the current width of the items within the categories.
         * This only returns a value if the items have some form of width (e.g. columns, bars, etc.) otherwise 0 is returned.
         *
         * @param targetName    The name of the series to target.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getItemSpan = function (targetName) { return; };
        /**
         * If possible, will return the best available main value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValue = function (targetName, worldPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available value bounding box within the series that has the best value
         * match for the world position provided.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValueBoundingBox = function (targetName, worldPoint) { return; };
        /**
         * If possible, will return the best available value fine grained bounding boxes within the series that have the best value
         * match for the world position provided.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValueFineGrainedBoundingBoxes = function (targetName, worldPoint) { return; };
        /**
         * If possible, will return the best available main value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValuePosition = function (targetName, worldPoint, useInterpolation, skipUnknowns) {
            return;
        };
        /**
         * If possible, will return the best available main value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]}
         * that represents a position within the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValuePositionFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available main value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValueFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available value bounding box within the series that has the best value
         * match for the given series pixel coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValueBoundingBoxFromSeriesPixel = function (targetName, seriesPoint) { return; };
        /**
         * If possible, will return the best available value fine grained bounding boxes within the series that have the best value
         * match for series pixel position provided.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesValueFineGrainedBoundingBoxesFromSeriesPixel = function (targetName, worldPoint) { return; };
        /**
         * If possible, will return the best available high value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesHighValue = function (targetName, worldPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available high value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesHighValuePosition = function (targetName, worldPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available high value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]}
         * that represents a position within the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesHighValuePositionFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available high value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesHighValueFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available low value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesLowValue = function (targetName, worldPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available low value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesLowValuePosition = function (targetName, worldPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available low value position of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]}
         * that represents a position within the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesLowValuePositionFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * If possible, will return the best available low value of the series for a given world coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         * @param useInterpolation    If true, interpolation should be used to get in-between values,
         * rather than only the actual values in the data set.
         * @param skipUnknowns    If true, unknown values should be skipped.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesLowValueFromSeriesPixel = function (targetName, seriesPoint, useInterpolation, skipUnknowns) { return; };
        /**
         * Gets the item item index associated with the specified series pixel coordinate.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The world position (in the form {x: [number from 0 to 1], y: [number from 0 to 1]} )
         * that represents a position in the space of the axes.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getItemIndexFromSeriesPixel = function (targetName, seriesPoint) { return; };
        /**
         * Gets the item that is the best match for the specified world coordinates.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The series pixel position (in the form {x: [number], y: [number]} )
         * that represents a position in the pixel space of the series.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getItemFromSeriesPixel = function (targetName, seriesPoint) { return; };
        /**
         * Gets the category offset for a series, if applicable.
         *
         * @param targetName    The name of the series to target.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesOffsetValue = function (targetName) { return; };
        /**
         * Gets the category width for a series, if applicable.
         *
         * @param targetName    The name of the series to target.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.getSeriesCategoryWidth = function (targetName) { return; };
        /**
         * Replays the transition in animation for a series, if applicable.
         *
         * @param targetName    The name of the series to target.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.replayTransitionIn = function (targetName) { return; };
        /**
         * Simulates a hover interaction over a given point in the viewport of a series.
         *
         * @param targetName    The name of the series to target.
         * @param seriesPoint    The point at which to hover. Should have an x property with type number and a y property with type number.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.simulateHover = function (targetName, seriesPoint) { return; };
        /**
         * Moves the cursor point of the target annotation layer to the desired world coordinates.
         *
         * @param targetName    The name of the series to target.
         * @param worldPoint    The point to which to move the cursor.
         * Should have an x property with type number and a y property with type number.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.moveCursorPoint = function (targetName, worldPoint) { return; };
        /**
         * Manually starts a tiled zoom if one isn't already running.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.startTiledZoomingIfNecessary = function () { return; };
        /**
         * Manually ends a tiled zoom if one is running.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.endTiledZoomingIfRunning = function () { return; };
        /**
         * Clears the tile zoom tile cache so that new tiles will be generated. Only applies if the viewer is using a tile based zoom.
         */
        /* istanbul ignore next */
        IgDataChartComponent.prototype.clearTileZoomCache = function () { return; };
        return IgDataChartComponent;
    }(IgControlBase));
    IgDataChartComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-data-chart',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'isPagePanningAllowed', 'syncChannel', 'synchronizeVertically', 'synchronizeHorizontally', 'crosshairPoint', 'windowRect', 'horizontalZoomable', 'verticalZoomable', 'windowResponse', 'windowRectMinWidth', 'overviewPlusDetailPaneVisibility', 'crosshairVisibility', 'plotAreaBackground', 'defaultInteraction', 'dragModifier', 'panModifier', 'previewRect', 'windowPositionHorizontal', 'windowPositionVertical', 'windowScaleHorizontal', 'windowScaleVertical', 'circleMarkerTemplate', 'triangleMarkerTemplate', 'pyramidMarkerTemplate', 'squareMarkerTemplate', 'diamondMarkerTemplate', 'pentagonMarkerTemplate', 'hexagonMarkerTemplate', 'tetragramMarkerTemplate', 'pentagramMarkerTemplate', 'hexagramMarkerTemplate', 'topMargin', 'leftMargin', 'rightMargin', 'bottomMargin', 'autoMarginWidth', 'autoMarginHeight', 'isSquare', 'gridMode', 'brushes', 'markerBrushes', 'outlines', 'markerOutlines', 'width', 'height', 'size', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'isSurfaceInteractionDisabled', 'animateSeriesWhenAxisRangeChanges', 'title', 'subtitle', 'titleTextStyle', 'titleTopMargin', 'titleLeftMargin', 'titleRightMargin', 'titleBottomMargin', 'subtitleTextStyle', 'subtitleTopMargin', 'subtitleLeftMargin', 'subtitleRightMargin', 'subtitleBottomMargin', 'titleTextColor', 'subtitleTextColor', 'titleHorizontalAlignment', 'subtitleHorizontalAlignment', 'highlightingTransitionDuration', 'useTiledZooming', 'preferHigherResolutionTiles', 'pixelScalingRatio', 'zoomTileCacheSize', 'contentHitTestMode', 'legend', 'axes', 'series', 'theme'],
                    outputs: ['tooltipShowing', 'tooltipShown', 'tooltipHiding', 'tooltipHidden', 'browserNotSupported', 'seriesCursorMouseMove', 'seriesMouseLeftButtonDown', 'seriesMouseLeftButtonUp', 'seriesMouseMove', 'seriesMouseEnter', 'seriesMouseLeave', 'windowRectChanged', 'gridAreaRectChanged', 'refreshCompleted', 'axisRangeChanged', 'typicalBasedOn', 'progressiveLoadStatusChanged', 'assigningCategoryStyle', 'assigningCategoryMarkerStyle']
                },] }
    ];
    IgDataChartComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgDataChartComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgPieChartComponent = /** @class */ (function (_super) {
        __extends(IgPieChartComponent, _super);
        function IgPieChartComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgPieChartComponent.prototype.option = function () { return; };
        Object.defineProperty(IgPieChartComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var chart = jQuery(this._el).data(this._widgetName);
                if (chart) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgPieChartComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Adds a new item to the data source and notifies the chart.
         *
         * @param item     the new item that will be added to the data source.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.addItem = function (item) { return; };
        /**
         * Inserts a new item to the data source and notifies the chart.
         *
         * @param item     the new item that will be inserted in the data source.
         * @param index     The index in the data source where the new item will be inserted.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.insertItem = function (item, index) { return; };
        /**
         * Deletes an item from the data source and notifies the chart.
         *
         * @param index     The index in the data source from where the item will be been removed.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.removeItem = function (index) { return; };
        /**
         * Updates an item in the data source and notifies the chart.
         *
         * @param index     The index in the data source that we want to change.
         * @param item     the new item that we want to set in the data source.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.setItem = function (index, item) { return; };
        /**
         * Exports the chart to a PNG image.
         *
         * @param width     The width of the image.
         * @param height     The height of the image.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.exportImage = function (width, height) { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.destroy = function () { return; };
        /**
         * Returns the ID of parent element holding the chart.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.id = function () { return; };
        /**
         * Returns the element holding the chart.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.widget = function () { return; };
        /**
         * Creates a print preview page with the chart, hiding all other elements on the page.
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.print = function () { return; };
        /**
         * Exports visual data from the pie chart to aid in unit testing
         */
        /* istanbul ignore next */
        IgPieChartComponent.prototype.exportVisualData = function () { return; };
        return IgPieChartComponent;
    }(IgControlBase));
    IgPieChartComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-pie-chart',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'valueMemberPath', 'labelMemberPath', 'dataValue', 'dataLabel', 'labelsPosition', 'labelOuterColor', 'labelInnerColor', 'selectionMode', 'selectedItem', 'selectedItems', 'leaderLineVisibility', 'leaderLineType', 'leaderLineMargin', 'othersCategoryThreshold', 'formatLabel', 'othersCategoryStyle', 'othersCategoryType', 'othersCategoryText', 'explodedRadius', 'radiusFactor', 'allowSliceSelection', 'allowSliceExplosion', 'explodedSlices', 'selectedSlices', 'showTooltip', 'tooltipTemplate', 'legend', 'labelExtent', 'startAngle', 'sweepDirection', 'selectedStyle', 'brushes', 'outlines', 'legendItemTemplate', 'legendItemBadgeTemplate', 'textStyle', 'theme'],
                    outputs: ['tooltipShowing', 'tooltipShown', 'tooltipHiding', 'tooltipHidden', 'browserNotSupported', 'sliceClick', 'labelClick', 'selectedItemChanging', 'selectedItemChanged', 'selectedItemsChanging', 'selectedItemsChanged']
                },] }
    ];
    IgPieChartComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgPieChartComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgDoughnutChartComponent = /** @class */ (function (_super) {
        __extends(IgDoughnutChartComponent, _super);
        function IgDoughnutChartComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgDoughnutChartComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var chart = jQuery(this._el).data(this._widgetName);
                if (chart) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgDoughnutChartComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Adds a new series to the doughnut chart.
         *
         * @param seriesObj     The series object to be added.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.addSeries = function (seriesObj) { return; };
        /**
         * Removes the specified series from the doughnut chart.
         *
         * @param seriesObj     The series object identifying the series to be removed.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.removeSeries = function (seriesObj) { return; };
        /**
         * Updates the series with the specified name with the specified new property values.
         *
         * @param value     The series object identifying the series to be updated.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.updateSeries = function (value) { return; };
        /**
         * Returns the center of the doughnut chart.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.getCenterCoordinates = function () { return; };
        /**
         * Returns the radius of the chart's hole.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.getHoleRadius = function () { return; };
        /**
         * Returns information about how the doughnut chart is rendered.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.exportVisualData = function () { return; };
        /**
         * Causes all of the series that have pending changes e.g. by changed property values to be rendered immediately.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.flush = function () { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgDoughnutChartComponent.prototype.destroy = function () { return; };
        return IgDoughnutChartComponent;
    }(IgControlBase));
    IgDoughnutChartComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-doughnut-chart',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'tooltipTemplate', 'maxRecCount', 'dataSource', 'dataSourceType', 'dataSourceUrl', 'responseTotalRecCountKey', 'responseDataKey', 'series', 'allowSliceSelection', 'isSurfaceInteractionDisabled', 'allowSliceExplosion', 'innerExtent', 'selectedStyle'],
                    outputs: ['dataBinding', 'dataBound', 'updateTooltip', 'hideTooltip', 'tooltipShowing', 'tooltipShown', 'tooltipHiding',
                        'tooltipHidden', 'browserNotSupported', 'sliceClick', 'holeDimensionsChanged']
                },] }
    ];
    IgDoughnutChartComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgDoughnutChartComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgFunnelChartComponent = /** @class */ (function (_super) {
        __extends(IgFunnelChartComponent, _super);
        function IgFunnelChartComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgFunnelChartComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var chart = jQuery(this._el).data(this._widgetName);
                if (chart) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgFunnelChartComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Gets array of selected slice items.
         *
         * @param selection     Array or selected slice items.
         * @return array|object If parameter is undefined, then array of selected items is returned.
         * Otherwise, it returns reference to igFunnelChart.
         */
        /* istanbul ignore next */
        IgFunnelChartComponent.prototype.selectedSliceItems = function (selection) { return; };
        /**
         * Gets sets array of indexes of selected slices.
         *
         * @param selection     Array or selected slice indexes.
         * @return array|object     If parameter is undefined, then array of selected indexes is returned.
         * Otherwise, it returns reference to igFunnelChart.
         */
        /* istanbul ignore next */
        IgFunnelChartComponent.prototype.selectedSliceIndexes = function (selection) { return; };
        /**
         * Checks if slice is selected.
         *
         * @param slice     Index of slice or reference to slice-data-item.
         */
        /* istanbul ignore next */
        IgFunnelChartComponent.prototype.isSelected = function (slice) { return; };
        /**
         * Toggles selected state of slice.
         *
         * @param slice     Index of slice or reference to slice-data-item.
         */
        /* istanbul ignore next */
        IgFunnelChartComponent.prototype.toggleSelection = function (slice) { return; };
        IgFunnelChartComponent.prototype.exportVisualData = function () { return; };
        /**
         * Destroys widget.
         */
        /* istanbul ignore next */
        IgFunnelChartComponent.prototype.destroy = function () { return; };
        return IgFunnelChartComponent;
    }(IgControlBase));
    IgFunnelChartComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-funnel-chart',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'tooltipTemplate', 'maxRecCount', 'dataSource', 'dataSourceType', 'dataSourceUrl', 'responseTotalRecCountKey', 'responseDataKey', 'bezierPoints', 'legend', 'valueMemberPath', 'brushes', 'outlines', 'bottomEdgeWidth', 'innerLabelMemberPath', 'outerLabelMemberPath', 'innerLabelVisibility', 'outerLabelVisibility', 'outerLabelAlignment', 'funnelSliceDisplay', 'formatInnerLabel', 'formatOuterLabel', 'transitionDuration', 'isInverted', 'useBezierCurve', 'allowSliceSelection', 'useUnselectedStyle', 'selectedSliceStyle', 'unselectedSliceStyle', 'legendItemBadgeTemplate', 'useOuterLabelsForLegend', 'textStyle', 'outerLabelTextStyle', 'outlineThickness', 'pixelScalingRatio', 'outerLabelTextColor', 'textColor'],
                    outputs: ['dataBinding', 'dataBound', 'updateTooltip', 'hideTooltip', 'sliceClicked']
                },] }
    ];
    IgFunnelChartComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgFunnelChartComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgRadialGaugeComponent = /** @class */ (function (_super) {
        __extends(IgRadialGaugeComponent, _super);
        function IgRadialGaugeComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns a string containing the names of all the ranges delimited with a \n symbol.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.getRangeNames = function () { return; };
        /**
         * Adds a new range to the radial gauge.
         *
         * @param value value
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.addRange = function (value) { return; };
        /**
         * Removes a specified range.
         *
         * @param value value
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.removeRange = function (value) { return; };
        /**
         * Updates the range.
         *
         * @param value value
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.updateRange = function (value) { return; };
        /**
         * Clears the ranges in the radial gauge.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.clearRanges = function () { return; };
        /**
         * Scales a value on the gauge's main scale to an angle around the center point of the gauge, in radians.
         *
         * @param value value
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.scaleValue = function (value) { return; };
        /**
         * Unscales a value from an angle in radians to the represented value along the main scale of the gauge.
         *
         * @param value value
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.unscaleValue = function (value) { return; };
        /**
         * Gets the value for the main scale of the gauge for a given point within the bounds of the gauge.
         *
         * @param x x-coordinate
         * @param y y-coordinate
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.getValueForPoint = function (x, y) { return; };
        /**
         * Gets the point on the gauge for a given scale value and extent.
         *
         * @param value value
         * @param extent extent
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.getPointForValue = function (value, extent) { return; };
        /**
         * Returns true if the main gauge needle bounding box contains the point provided, otherwise false.
         *
         * @param x x-coordinate
         * @param y y-coordinate
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.needleContainsPoint = function (x, y) { return; };
        /**
         * Exports the visual data for the radial gauge.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.exportVisualData = function () { return; };
        /**
         * Flushes the gauge.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.flush = function () { return; };
        /**
         * Destroys widget.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.destroy = function () { return; };
        /**
         * Returns true if the style was updated for the radial gauge.
         */
        /* istanbul ignore next */
        IgRadialGaugeComponent.prototype.styleUpdated = function () { return; };
        return IgRadialGaugeComponent;
    }(IgControlBase));
    IgRadialGaugeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-radial-gauge',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'ranges', 'rangeBrushes', 'rangeOutlines', 'minimumValue', 'maximumValue', 'interval', 'centerX', 'centerY', 'value', 'scaleStartAngle', 'scaleEndAngle', 'scaleSweepDirection', 'transitionDuration', 'transitionEasingFunction', 'needleBrush', 'needleOutline', 'needleStartExtent', 'needleEndExtent', 'needleShape', 'needleStartWidthRatio', 'needleEndWidthRatio', 'needleBaseFeatureWidthRatio', 'needleBaseFeatureExtent', 'needlePointFeatureWidthRatio', 'needlePointFeatureExtent', 'needlePivotWidthRatio', 'needlePivotInnerWidthRatio', 'needlePivotShape', 'scaleStartExtent', 'needlePivotBrush', 'needlePivotOutline', 'needleStrokeThickness', 'needlePivotStrokeThickness', 'scaleEndExtent', 'labelExtent', 'labelInterval', 'tickStartExtent', 'tickEndExtent', 'tickStrokeThickness', 'tickBrush', 'fontBrush', 'minorTickStartExtent', 'minorTickEndExtent', 'minorTickStrokeThickness', 'minorTickBrush', 'minorTickCount', 'scaleBrush', 'backingBrush', 'backingOutline', 'backingStrokeThickness', 'backingOuterExtent', 'backingOversweep', 'scaleOversweep', 'scaleOversweepShape', 'backingCornerRadius', 'backingInnerExtent', 'backingShape', 'radiusMultiplier', 'duplicateLabelOmissionStrategy', 'isNeedleDraggingEnabled', 'isNeedleDraggingConstrained', 'font', 'transitionProgress', 'pixelScalingRatio'],
                    outputs: ['formatLabel', 'alignLabel', 'valueChanged']
                },] }
    ];
    IgRadialGaugeComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgZoombarComponent = /** @class */ (function (_super) {
        __extends(IgZoombarComponent, _super);
        function IgZoombarComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Destroys the Zoombar widget
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.destroy = function () { return; };
        /**
         * Returns the main zoombar element
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.widget = function () { return; };
        /**
         * Returns the ID of the element the zoombar is initialized on
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.id = function () { return; };
        /**
         * Returns the DIV that is the topmost container of the zoombar widget
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.container = function () { return; };
        /**
         * Returns the element the clone widget is initialized on
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.clone = function () { return; };
        /**
         * Gets or sets the current zoom window
         *
         * @param left     The left parameter of the new zoom window in percentages
         * @param width     The width parameter of the new zoom window in percentages
         */
        /* istanbul ignore next */
        IgZoombarComponent.prototype.zoom = function (left, width) { return; };
        return IgZoombarComponent;
    }(IgControlBase));
    IgZoombarComponent.decorators = [
        { type: core.Component, args: [{
                    // tslint:disable-next-line:component-selector
                    selector: 'ig-zoombar',
                    template: '<ng-content></ng-content>',
                    inputs: [
                        'widgetId',
                        'options',
                        'changeDetectionInterval',
                        'disabled',
                        'create',
                        'target',
                        'clone',
                        'width',
                        'height',
                        'zoomAction',
                        'zoomWindowMoveDistance',
                        'defaultZoomWindow',
                        'zoomWindowMinWidth',
                        'hoverStyleAnimationDuration',
                        'windowPanDuration',
                        'tabIndex'
                    ],
                    outputs: [
                        'zoomChanging',
                        'zoomChanged',
                        'providerCreated',
                        'windowDragStarting',
                        'windowDragStarted',
                        'windowDragging',
                        'windowDragEnding',
                        'windowDragEnded',
                        'windowResizing',
                        'windowResized'
                    ]
                },] }
    ];
    IgZoombarComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgMapComponent = /** @class */ (function (_super) {
        __extends(IgMapComponent, _super);
        function IgMapComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgMapComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var map = jQuery(this._el).data(this._widgetName);
                if (map) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgMapComponent.prototype.option = function () { return; };
        IgMapComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.destroy = function () { return; };
        /**
         * Returns the ID of parent element holding the map.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.id = function () { return; };
        /**
         * Exports the map to a PNG image.
         *
         * @param width The width of the image.
         * @param height The height of the image.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.exportImage = function (width, height) { return; };
        /**
         * Notify the map that styles it draws colors from may have been updated.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.styleUpdated = function () { return; };
        /**
         * Resets the zoom level of the map to default.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.resetZoom = function () { return; };
        /**
         * Adds a new item to the data source and notifies the map.
         *
         * @param item     The item that we want to add to the data source.
         * @param targetName     The name of the series bound to the data source.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.addItem = function (item, targetName) { return; };
        /**
         * Inserts a new item to the data source and notifies the map.
         *
         * @param item     the new item that we want to insert in the data source.
         * @param index     The index in the data source where the new item will be inserted.
         * @param targetName     The name of the series bound to the data source.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.insertItem = function (item, index, targetName) { return; };
        /**
         * Deletes an item from the data source and notifies the map.
         *
         * @param index     The index in the data source from where the item will be been removed.
         * @param targetName     The name of the series bound to the data source.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.removeItem = function (index, targetName) { return; };
        /**
         * Updates an item in the data source and notifies the map.
         *
         * @param index     The index of the item in the data source that we want to change.
         * @param item     The new item object that will be set in the data source.
         * @param targetName     The name of the series bound to the data source.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.setItem = function (index, item, targetName) { return; };
        /**
         * Notifies the the map that an item has been set in an associated data source.
         *
         * @param dataSource The data source in which the change happened.
         * @param index The index in the items source that has been changed.
         * @param newItem the new item that has been set in the collection.
         * @param oldItem the old item that has been overwritten in the collection.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.notifySetItem = function (dataSource, index, newItem, oldItem) { return; };
        /**
         * Notifies the the map that the items have been cleared from an associated data source.
         *                 It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource The data source in which the change happened.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.notifyClearItems = function (dataSource) { return; };
        /**
         * Notifies the the target series that an item has been inserted at the specified index in its data source.
         *                 It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource The data source in which the change happened.
         * @param index The index in the items source where the new item has been inserted.
         * @param newItem the new item that has been set in the collection.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.notifyInsertItem = function (dataSource, index, newItem) { return; };
        /**
         * Notifies the the target series that an item has been removed from the specified index in its data source.
         *                 It's not necessary to notify more than one target of a change if they share the same items source.
         *
         * @param dataSource The data source in which the change happened.
         * @param index The index in the items source from where the old item has been removed.
         * @param oldItem the old item that has been removed from the collection.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.notifyRemoveItem = function (dataSource, index, oldItem) { return; };
        /**
         * Notifies the target series or axis that it should scroll the requested data item into view.
         *
         * @param targetName The name of the series or axis notify.
         * @param item The data item to bring into view, if possible.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.scrollIntoView = function (targetName, item) { return; };
        /**
         * Either xAxis or yAxis (longitude or latitude) that it should scale the requested value into map space from axis space.
         * 				For example you can use this method if you want to find where longitude 50 stands scaled to map's width.
         *
         * @param targetName Either xAxis or yAxis to notify.
         * @param unscaledValue The value in axis space to translate into map space.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.scaleValue = function (targetName, unscaledValue) { return; };
        /**
         * Either xAxis or yAxis (longitude or latitude) that it should unscale the requested value into axis space from map space.
         * 				For example you can use this method if you want to find what is the longitude unscaled from 0 width of the map.
         *
         * @param targetName Either xAxis or yAxis to notify.
         * @param scaledValue The value in map space to translate into axis space.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.unscaleValue = function (targetName, scaledValue) { return; };
        /**
         * Manually starts a tiled zoom if one isn't already running.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.startTiledZoomingIfNecessary = function () { return; };
        /**
         * Manually ends a tiled zoom if one is running.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.endTiledZoomingIfRunning = function () { return; };
        /**
         * Clears the tile zoom tile cache so that new tiles will be generated. Only applies if the viewer is using a tile based zoom..
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.clearTileZoomCache = function () { return; };
        /**
         * Forces any pending deferred work to render on the map before continuing
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.flush = function () { return; };
        /**
         * Exports visual data from the map to aid in unit testing
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.exportVisualData = function () { return; };
        /**
         * Gets the actual minimum value of the target xAxis or yAxis
         *
         * @param targetName target name
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.getActualMinimumValue = function (targetName) { return; };
        /**
         * Gets the actual maximum value of the target xAxis or yAxis
         *
         * @param targetName target name
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.getActualMaximumValue = function (targetName) { return; };
        /**
         * Notifies the map that the container was resized
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.notifyContainerResized = function () { return; };
        /**
         * Zoom in to the geographic region specified, when possible (may need to wait fior map to be initialized).
         *
         * @param rect The geographic area rectangle.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.zoomToGeographic = function (rect) { return; };
        /**
         * Given the current plot area of the control and a geographic region, get the WindowRect that would encompass that geographic region.
         *
         * @param rect The geographic area rectangle.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.getGeographicFromZoom = function (rect) { return; };
        /**
         * Given the current plot area of the control and a geographic region, get the WindowRect that would encompass that geographic region.
         *
         * @param rect The geographic area rectangle.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.getZoomFromGeographic = function (rect) { return; };
        /**
         * Creates a print preview page with the map, hiding all other elements on the page.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.print = function () { return; };
        /**
         * Indicates that a series should render, even though no option has been modified that would normally cause it to refresh.
         *
         * @param targetName     The name of the series to render.
         * @param animate     Whether the change should be animated, if possible.
         */
        /* istanbul ignore next */
        IgMapComponent.prototype.renderSeries = function (targetName, animate) { return; };
        return IgMapComponent;
    }(IgControlBase));
    IgMapComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-map',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'dataSource', 'dataSourceUrl', 'dataSourceType', 'responseDataKey', 'autoMarginWidth', 'autoMarginHeight', 'crosshairVisibility', 'crosshairPoint', 'plotAreaBackground', 'defaultInteraction', 'dragModifier', 'panModifier', 'previewRect', 'windowRect', 'zoomable', 'windowScale', 'windowResponse', 'windowRectMinWidth', 'windowPositionHorizontal', 'windowPositionVertical', 'circleMarkerTemplate', 'triangleMarkerTemplate', 'pyramidMarkerTemplate', 'squareMarkerTemplate', 'diamondMarkerTemplate', 'pentagonMarkerTemplate', 'hexagonMarkerTemplate', 'tetragramMarkerTemplate', 'pentagramMarkerTemplate', 'hexagramMarkerTemplate', 'overviewPlusDetailPaneBackgroundImageUri', 'useTiledZooming', 'preferHigherResolutionTiles', 'zoomTileCacheSize', 'backgroundContent', 'series', 'theme'],
                    outputs: ['tooltipShowing', 'tooltipShown', 'tooltipHiding', 'tooltipHidden', 'browserNotSupported', 'seriesCursorMouseMove', 'seriesMouseLeftButtonDown', 'seriesMouseLeftButtonUp', 'seriesMouseMove', 'seriesMouseEnter', 'seriesMouseLeave', 'windowRectChanged', 'gridAreaRectChanged', 'refreshCompleted', 'triangulationStatusChanged']
                },] }
    ];
    IgMapComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgMapComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgSparklineComponent = /** @class */ (function (_super) {
        __extends(IgSparklineComponent, _super);
        function IgSparklineComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        Object.defineProperty(IgSparklineComponent.prototype, "dataSource", {
            set: function (value) {
                this._dataSource = value;
                var widget = jQuery(this._el).data(this._widgetName);
                if (widget) {
                    jQuery(this._el)[this._widgetName]('option', 'dataSource', this._dataSource);
                }
            },
            enumerable: false,
            configurable: true
        });
        IgSparklineComponent.prototype.ngOnInit = function () {
            if (this._dataSource === null || this._dataSource === undefined) {
                this._dataSource = this.options.dataSource;
            }
            if (!this.options.dataSource && this._dataSource) {
                this.options.dataSource = this._dataSource;
            }
            _super.prototype.ngOnInit.call(this);
        };
        /* istanbul ignore next */
        IgSparklineComponent.prototype.destroy = function () { return; };
        return IgSparklineComponent;
    }(IgControlBase));
    IgSparklineComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-sparkline',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'tooltipTemplate', 'maxRecCount', 'dataSource', 'dataSourceType', 'dataSourceUrl', 'responseTotalRecCountKey', 'responseDataKey', 'brush', 'negativeBrush', 'markerBrush', 'negativeMarkerBrush', 'firstMarkerBrush', 'lastMarkerBrush', 'highMarkerBrush', 'lowMarkerBrush', 'trendLineBrush', 'horizontalAxisBrush', 'verticalAxisBrush', 'normalRangeFill', 'horizontalAxisVisibility', 'verticalAxisVisibility', 'markerVisibility', 'negativeMarkerVisibility', 'firstMarkerVisibility', 'lastMarkerVisibility', 'lowMarkerVisibility', 'highMarkerVisibility', 'normalRangeVisibility', 'displayNormalRangeInFront', 'markerSize', 'firstMarkerSize', 'lastMarkerSize', 'highMarkerSize', 'lowMarkerSize', 'negativeMarkerSize', 'lineThickness', 'valueMemberPath', 'labelMemberPath', 'trendLineType', 'trendLinePeriod', 'trendLineThickness', 'normalRangeMinimum', 'normalRangeMaximum', 'displayType', 'unknownValuePlotting', 'verticalAxisLabel', 'horizontalAxisLabel', 'formatLabel', 'pixelScalingRatio'],
                    outputs: ['dataBinding', 'dataBound', 'updateTooltip', 'hideTooltip']
                },] }
    ];
    IgSparklineComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };
    IgSparklineComponent.propDecorators = {
        dataSource: [{ type: core.Input }]
    };

    var IgBulletGraphComponent = /** @class */ (function (_super) {
        __extends(IgBulletGraphComponent, _super);
        function IgBulletGraphComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns a string containing the names of all the ranges delimited with a \n symbol.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.getRangeNames = function () { return; };
        /**
         * Adds a new range to the bullet graph.
         *
         * @param value     The range object to be added.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.addRange = function (value) { return; };
        /**
         * Removes a range from the bullet graph.
         *
         * @param value     A JS object with properties set as follows: name: nameOfTheRangeToRemove, remove: true
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.removeRange = function (value) { return; };
        /**
         * Updates the specified range of the bullet graph.
         *
         * @param value     The range object to be updated.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.updateRange = function (value) { return; };
        /**
         * Returns information about how the bullet graph is rendered.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.exportVisualData = function () { return; };
        /**
         * Causes all pending changes of the bullet graph e.g. by changed property values to be rendered immediately.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.flush = function () { return; };
        /**
         * Destroys widget.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.destroy = function () { return; };
        /**
         * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
         */
        /* istanbul ignore next */
        IgBulletGraphComponent.prototype.styleUpdated = function () { return; };
        return IgBulletGraphComponent;
    }(IgControlBase));
    IgBulletGraphComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-bullet-graph',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'ranges', 'rangeToolTipTemplate', 'valueToolTipTemplate', 'targetValueToolTipTemplate', 'orientation', 'rangeBrushes', 'rangeOutlines', 'minimumValue', 'maximumValue', 'targetValue', 'targetValueName', 'value', 'valueName', 'rangeInnerExtent', 'rangeOuterExtent', 'valueInnerExtent', 'valueOuterExtent', 'interval', 'ticksPostInitial', 'ticksPreTerminal', 'labelInterval', 'labelExtent', 'labelsPostInitial', 'labelsPreTerminal', 'minorTickCount', 'tickStartExtent', 'tickEndExtent', 'tickStrokeThickness', 'tickBrush', 'fontBrush', 'valueBrush', 'valueOutline', 'valueStrokeThickness', 'minorTickStartExtent', 'minorTickEndExtent', 'minorTickStrokeThickness', 'minorTickBrush', 'isScaleInverted', 'backingBrush', 'backingOutline', 'backingStrokeThickness', 'backingInnerExtent', 'backingOuterExtent', 'scaleStartExtent', 'scaleEndExtent', 'targetValueBrush', 'targetValueBreadth', 'targetValueInnerExtent', 'targetValueOuterExtent', 'targetValueOutline', 'targetValueStrokeThickness', 'transitionDuration', 'showToolTipTimeout', 'showToolTip', 'font', 'pixelScalingRatio'],
                    outputs: ['formatLabel', 'alignLabel']
                },] }
    ];
    IgBulletGraphComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgLinearGaugeComponent = /** @class */ (function (_super) {
        __extends(IgLinearGaugeComponent, _super);
        function IgLinearGaugeComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns a string containing the names of all the ranges delimited with a \n symbol.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.getRangeNames = function () { return; };
        /**
         * Adds a new range to the linear gauge.
         *
         * @param value     The range object to be added.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.addRange = function (value) { return; };
        /**
         * Removes a range from the linear gauge.
         *
         * @param value     A JS object with properties set as follows: name: nameOfTheRangeToRemove, remove: true
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.removeRange = function (value) { return; };
        /**
         * Updates the specified range of the linear gauge.
         *
         * @param value     The range object to be updated.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.updateRange = function (value) { return; };
        /**
         * Gets the value for the main scale of the gauge for a given point within the bounds of the gauge.
         *
         * @param x x-coordinate
         * @param y y-coordiante
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.getValueForPoint = function (x, y) { return; };
        /**
         * Returns true if the main gauge needle bounding box contains the point provided, otherwise false.
         *
         * @param x The x coordinate of the point.
         * @param y The y coordinate of the point.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.needleContainsPoint = function (x, y) { return; };
        /**
         * Returns information about how the linear gauge is rendered.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.exportVisualData = function () { return; };
        /**
         * Causes all pending changes of the linear gauge e.g. by changed property values to be rendered immediately.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.flush = function () { return; };
        /**
         * Destroys widget.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.destroy = function () { return; };
        /**
         * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
         */
        /* istanbul ignore next */
        IgLinearGaugeComponent.prototype.styleUpdated = function () { return; };
        return IgLinearGaugeComponent;
    }(IgControlBase));
    IgLinearGaugeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-linear-gauge',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'ranges', 'rangeToolTipTemplate', 'needleToolTipTemplate', 'orientation', 'rangeBrushes', 'rangeOutlines', 'minimumValue', 'maximumValue', 'value', 'needleShape', 'needleName', 'rangeInnerExtent', 'scaleInnerExtent', 'rangeOuterExtent', 'scaleOuterExtent', 'needleInnerExtent', 'needleOuterExtent', 'needleInnerBaseWidth', 'needleOuterBaseWidth', 'needleInnerPointWidth', 'needleOuterPointWidth', 'needleInnerPointExtent', 'needleOuterPointExtent', 'interval', 'ticksPostInitial', 'ticksPreTerminal', 'labelInterval', 'labelExtent', 'labelsPostInitial', 'labelsPreTerminal', 'minorTickCount', 'tickStartExtent', 'tickEndExtent', 'tickStrokeThickness', 'tickBrush', 'fontBrush', 'needleBreadth', 'needleBrush', 'needleOutline', 'needleStrokeThickness', 'minorTickStartExtent', 'minorTickEndExtent', 'minorTickStrokeThickness', 'minorTickBrush', 'isScaleInverted', 'backingBrush', 'backingOutline', 'backingStrokeThickness', 'backingInnerExtent', 'backingOuterExtent', 'scaleStartExtent', 'scaleEndExtent', 'scaleBrush', 'scaleOutline', 'scaleStrokeThickness', 'isNeedleDraggingEnabled', 'transitionDuration', 'showToolTipTimeout', 'showToolTip', 'font', 'pixelScalingRatio'],
                    outputs: ['formatLabel', 'alignLabel', 'valueChanged']
                },] }
    ];
    IgLinearGaugeComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgQRCodeBarcodeComponent = /** @class */ (function (_super) {
        __extends(IgQRCodeBarcodeComponent, _super);
        function IgQRCodeBarcodeComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgQRCodeBarcodeComponent.prototype.option = function () { return; };
        /**
         * Returns information about how the barcode is rendered.
         */
        /* istanbul ignore next */
        IgQRCodeBarcodeComponent.prototype.exportVisualData = function () { return; };
        /**
         * Causes all pending changes of the barcode e.g. by changed property values to be rendered immediately.
         */
        /* istanbul ignore next */
        IgQRCodeBarcodeComponent.prototype.flush = function () { return; };
        /**
         * Destroys widget.
         */
        /* istanbul ignore next */
        IgQRCodeBarcodeComponent.prototype.destroy = function () { return; };
        /**
         * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
         */
        /* istanbul ignore next */
        IgQRCodeBarcodeComponent.prototype.styleUpdated = function () { return; };
        return IgQRCodeBarcodeComponent;
    }(IgControlBase));
    IgQRCodeBarcodeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-q-r-code-barcode',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'backingBrush', 'backingOutline', 'backingStrokeThickness', 'barBrush', 'fontBrush', 'font', 'data', 'errorMessageText', 'stretch', 'barsFillMode', 'widthToHeightRatio', 'xDimension', 'errorCorrectionLevel', 'sizeVersion', 'encodingMode', 'eciNumber', 'eciHeaderDisplayMode', 'fnc1Mode', 'applicationIndicator'],
                    outputs: ['errorMessageDisplaying', 'dataChanged']
                },] }
    ];
    IgQRCodeBarcodeComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgUploadComponent = /** @class */ (function (_super) {
        __extends(IgUploadComponent, _super);
        function IgUploadComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Return jquery object of fileupload container - html DOM element
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.container = function () { return; };
        /**
         * Returns the current widget element
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.widget = function () { return; };
        /**
         * Hide finished files
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.clearAll = function () { return; };
        /**
         * Append additional data field to formData(before submitting it to the server).
         * Usually this function is used in the handler of the event onFormDataSubmit.
         * If the browser supports HTML5 file API formData is instance of FormData,
         * otherwise(like IE10 and older) formData is jQuery representation of the <form> that should be submitted to the server
         *
         * @param formData    If the browser supports HTML5 file API formData is instance of FormData,
         * otherwise(like IE10 and older) formData is jQuery representation of the <form> that should be submitted to the server
         * @param field    Data field that should be appended to the formData. The object has 2 properties - value and name.
         * If the browser supports HTML5 the data field is appended to the formData object.
         * Otherwise it is appended as input hidden field to the <form>
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.addDataField = function (formData, field) { return; };
        /**
         * Append additional data fields to formData(before submitting it to the server).
         * Usually this function is used in the handler of the event onFormDataSubmit.
         * If the browser supports HTML5 file API formData is instance of FormData,
         * otherwise(like IE10 and older) formData is jQuery representation of the <form> that should be submitted to the server
         *
         * @param formData    If the browser supports HTML5 file API formData is instance of FormData,
         * otherwise(like IE10 and older) formData is jQuery representation of the <form> that should be submitted to the server
         * @param fields    Array of data fields that should be appended to the formData.
         * Each data field is object with 2 properties - value and name.
         * If the browser supports HTML5 these data fields are added to the formData.
         * Otherwise each of these data field is appended as input hidden field to the <form>
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.addDataFields = function (formData, fields) { return; };
        /**
         * Start uploading file as submitting form with the specified formNumber.
         *
         * @param formNumber    id of the upload form
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.startUpload = function (formNumber) { return; };
        /**
         * Cancel upload for the specified file id
         * 			 formNumber - id of the file to be canceled
         *
         * @param formNumber    id of the form which should be cancelled
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.cancelUpload = function (formNumber) { return; };
        /**
         * Destroy the widget
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.destroy = function () { return; };
        /**
         * Returns the information about uploading files - all files uploaded/uploading/pending
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.getFileInfoData = function () { return; };
        /**
         * Cancel all uploading and pending files
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.cancelAll = function () { return; };
        /**
         * Returns the information about the file by specified file identifier.
         * It could be file which is uploading/uploaded or uploading is not started. If there isn"t file with the specified file id returns null
         *
         * @param fileIndex    unique identifier of the file
         */
        /* istanbul ignore next */
        IgUploadComponent.prototype.getFileInfo = function (fileIndex) { return; };
        return IgUploadComponent;
    }(IgControlBase));
    IgUploadComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-upload',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'autostartupload', 'labelUploadButton', 'labelAddButton', 'labelClearAllButton', 'labelSummaryTemplate', 'labelSummaryProgressBarTemplate', 'labelShowDetails', 'labelHideDetails', 'labelSummaryProgressButtonCancel', 'labelSummaryProgressButtonContinue', 'labelSummaryProgressButtonDone', 'labelProgressBarFileNameContinue', 'errorMessageMaxFileSizeExceeded', 'errorMessageGetFileStatus', 'errorMessageCancelUpload', 'errorMessageNoSuchFile', 'errorMessageOther', 'errorMessageValidatingFileExtension', 'errorMessageAJAXRequestFileSize', 'errorMessageTryToRemoveNonExistingFile', 'errorMessageTryToStartNonExistingFile', 'errorMessageMaxUploadedFiles', 'errorMessageMaxSimultaneousFiles', 'errorMessageDropMultipleFilesWhenSingleModel', 'uploadUrl', 'progressUrl', 'allowedExtensions', 'showFileExtensionIcon', 'css', 'fileExtensionIcons', 'mode', 'multipleFiles', 'maxUploadedFiles', 'maxSimultaneousFilesUploads', 'fileSizeMetric', 'controlId', 'fileSizeDecimalDisplay', 'maxFileSize'],
                    outputs: ['fileSelecting', 'fileSelected', 'fileUploading', 'fileUploaded', 'fileUploadAborted', 'cancelAllClicked', 'onError', 'fileExtensionsValidating', 'onXHRLoad', 'onFormDataSubmit']
                },] }
    ];
    IgUploadComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgPopoverComponent = /** @class */ (function (_super) {
        __extends(IgPopoverComponent, _super);
        function IgPopoverComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgPopoverComponent.prototype.option = function () { return; };
        IgPopoverComponent.prototype.ngOnInit = function () {
            var _this = this;
            var elem = jQuery(document).find('#' + this.widgetId);
            if (elem.length === 1) {
                this._el = elem;
                this._events = new Map();
                // events binding
                var evtName = void 0;
                for (var propt in jQuery.ui[this._widgetName].prototype.events) {
                    if (jQuery.ui[this._widgetName].prototype.events.hasOwnProperty(propt)) {
                        evtName = this._widgetName.toLowerCase() + propt.toLowerCase();
                        this._events[evtName] = propt;
                        jQuery(this._el).on(evtName, function (evt, ui) {
                            _this[_this._events[evt.type]].emit({ event: evt, ui: ui });
                        });
                    }
                }
                jQuery(this._el)[this._widgetName](this.options);
            }
            else {
                _super.prototype.ngOnInit.call(this);
            }
        };
        /**
         * Destroys the popover widget.
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.destroy = function () { return; };
        /**
         * Returns the ID of the element the popover is attached to
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.id = function () { return; };
        /**
         * Returns the container for the popover contents
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.container = function () { return; };
        /**
         * Shows the popover for the specified target
         *
         * @param trg     The element to show popover for.
         * @param content     The string to set for the popover to show.
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.show = function (trg, content) { return; };
        /**
         * Hides the popover for the specified target
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.hide = function () { return; };
        /**
         * Gets the currently set content for the popover container
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.getContent = function () { return; };
        /**
         * Sets the content for the popover container
         *
         * @param newCnt     The popover content to set.
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.setContent = function (newCnt) { return; };
        /**
         * Gets the popover current target
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.target = function () { return; };
        /**
         * Gets the current coordinates of the popover
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.getCoordinates = function () { return; };
        /**
         * Sets the popover to specific coordinates.
         *
         * @param pos     The popover coordinates in pixels.
         */
        /* istanbul ignore next */
        IgPopoverComponent.prototype.setCoordinates = function (pos) { return; };
        return IgPopoverComponent;
    }(IgControlBase));
    IgPopoverComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-popover',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'closeOnBlur', 'direction', 'position', 'width', 'height', 'minWidth', 'maxWidth', 'maxHeight', 'animationDuration', 'contentTemplate', 'selectors', 'headerTemplate', 'showOn', 'containment', 'appendTo'],
                    outputs: ['showing', 'shown', 'hiding', 'hidden']
                },] }
    ];
    IgPopoverComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    // TODO: change the model from any to IgNotifier when added to igniteui typescript definitions
    var IgNotifierComponent = /** @class */ (function (_super) {
        __extends(IgNotifierComponent, _super);
        function IgNotifierComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        IgNotifierComponent.prototype.option = function () { return; };
        IgNotifierComponent.prototype.ngOnInit = function () {
            var _this = this;
            var elem = jQuery(document).find('#' + this.widgetId);
            if (elem.length === 1) {
                this._el = elem;
                this._events = new Map();
                // events binding
                var evtName = void 0;
                for (var propt in jQuery.ui[this._widgetName].prototype.events) {
                    if (jQuery.ui[this._widgetName].prototype.events.hasOwnProperty(propt)) {
                        evtName = this._widgetName.toLowerCase() + propt.toLowerCase();
                        this._events[evtName] = propt;
                        jQuery(this._el).on(evtName, function (evt, ui) {
                            _this[_this._events[evt.type]].emit({ event: evt, ui: ui });
                        });
                    }
                }
                jQuery(this._el)[this._widgetName](this.options);
            }
            else {
                _super.prototype.ngOnInit.call(this);
            }
        };
        /**
         * Triggers a notification with a certain state and optional message.
         * The [notifyLevel](ui.ignotifier#options:notifyLevel) option determines if the notification will be displayed.
         *
         * @param state    The state to show notification for.
         * @param message    Optional message to show, overrides defaults.
         */
        /* istanbul ignore next */
        IgNotifierComponent.prototype.notify = function (state, message) { return; };
        /**
         * Returns true if the notification is currently visible
         */
        /* istanbul ignore next */
        IgNotifierComponent.prototype.isVisible = function () { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgNotifierComponent.prototype.destroy = function () { return; };
        return IgNotifierComponent;
    }(IgControlBase));
    IgNotifierComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-notifier',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'closeOnBlur', 'direction', 'position', 'width', 'height', 'minWidth', 'maxWidth', 'maxHeight', 'animationDuration', 'contentTemplate', 'selectors', 'headerTemplate', 'showOn', 'containment', 'appendTo', 'state', 'notifyLevel', 'mode', 'allowCSSOnTarget', 'messages', 'showIcon', 'animationSlideDistance'],
                    outputs: ['showing', 'shown', 'hiding', 'hidden']
                },] }
    ];
    IgNotifierComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgRatingComponent = /** @class */ (function (_super) {
        __extends(IgRatingComponent, _super);
        function IgRatingComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Gets reference to [igValidator](ui.igvalidator) used by igRating.
         *
         * @param destroy     Request to destroy validator.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.validator = function (destroy) { return; };
        /**
         * Triggers validation.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.validate = function () { return; };
        /**
         * Gets/Sets (selected) value.
         *
         * @param val     New value which is rendered with selected css.
         * @return number|object     If parameter is not 'number', then exact value rendered with selected css is returned.
         * Otherwise, reference to igRating is returned.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.value = function (val) { return; };
        /**
         * Gets/Sets hover value.
         *
         * @param val     New value which will be rendered with hover css when rating gets mouse.
         * @return number|object     If parameter is not "number", then last value which was rendered with hover css is returned.
         * Otherwise, reference to igRating is returned.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.valueHover = function (val) { return; };
        /**
         * Checks if igRating has focus.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.hasFocus = function () { return; };
        /**
         * Sets focus to igRating. That has effect only when options.focusable is enabled.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.focus = function () { return; };
        /**
         * Destroys igRating widget.
         */
        /* istanbul ignore next */
        IgRatingComponent.prototype.destroy = function () { return; };
        return IgRatingComponent;
    }(IgControlBase));
    IgRatingComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-rating',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'vertical', 'value', 'valueHover', 'voteCount', 'voteWidth', 'voteHeight', 'swapDirection', 'valueAsPercent', 'focusable', 'precision', 'precisionZeroVote', 'roundedDecimalPlaces', 'theme', 'validatorOptions', 'cssVotes'],
                    outputs: ['hoverChange', 'valueChange']
                },] }
    ];
    IgRatingComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgVideoPlayerComponent = /** @class */ (function (_super) {
        __extends(IgVideoPlayerComponent, _super);
        function IgVideoPlayerComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns the element on which the widget was instantiated
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.widget = function () { return; };
        /**
         * Hide the add message if shown.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.hideAdMessage = function () { return; };
        /**
         * Play a linked commercial for this video.
         *
         * @param commercial     Specify the linked commercial to play.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.playCommercial = function (commercial) { return; };
        /**
         * Shows the ad banner, if there is such.
         *
         * @param index    Specify the index of the banner from the banners array.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.showBanner = function (index) { return; };
        /**
         * Hide the ad banner, if there is such.
         *
         * @param index    Specify the index of the banner from the banners array.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.hideBanner = function (index) { return; };
        /**
         * Resets the commercials, to be shown again.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.resetCommercialsShow = function () { return; };
        /**
         * Toggle control play state. If video is playing it will pause, if video is paused it will play.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.togglePlay = function () { return; };
        /**
         * Start playing current loaded video if any.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.play = function () { return; };
        /**
         * Pause the currently playing video if any.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.pause = function () { return; };
        /**
         * Gets/Sets the current time of the playing video.
         *
         * @param val     Specify the playback position in seconds to navigate to.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.currentTime = function (val) { return; };
        /**
         * Get a screenshot of the current video frame.
         * It returns a canvas object that you can position and show on the page. This depends on the browser support for canvas.
         *
         * @param scaleFactor    Specify scale factor between 0 and 1.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.screenshot = function (scaleFactor) { return; };
        /**
         * Get whether the current browser supports video tag.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.supportsVideo = function () { return; };
        /**
         * Get whether the current browser supports H.264 codec.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.supportsH264BaselineVideo = function () { return; };
        /**
         * Get whether the current browser supports Theora codec.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.supportsOggTheoraVideo = function () { return; };
        /**
         * Get whether the current browser supports WEBM codec.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.supportsWebmVideo = function () { return; };
        /**
         * Returns whether the currently played video is paused.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.paused = function () { return; };
        /**
         * Get whether the current played video has ended.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.ended = function () { return; };
        /**
         * Get the current duration of the played video. It may be NaN if duration is still not loaded or the video is a live stream.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.duration = function () { return; };
        /**
         * Get whether the player is seeking to find the new playback position specified.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.seeking = function () { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgVideoPlayerComponent.prototype.destroy = function () { return; };
        return IgVideoPlayerComponent;
    }(IgControlBase));
    IgVideoPlayerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-video-player',
                    template: '<ng-content></ng-content>',
                    inputs: [
                        'widgetId',
                        'options',
                        'changeDetectionInterval',
                        'disabled',
                        'create',
                        'sources',
                        'width',
                        'height',
                        'posterUrl',
                        'preload',
                        'autoplay',
                        'autohide',
                        'volumeAutohideDelay',
                        'centerButtonHideDelay',
                        'loop',
                        'browserControls',
                        'fullscreen',
                        'volume',
                        'muted',
                        'title',
                        'showSeekTime',
                        'progressLabelFormat',
                        'bookmarks',
                        'relatedVideos',
                        'banners',
                        'commercials'
                    ],
                    outputs: [
                        'ended',
                        'playing',
                        'paused',
                        'buffering',
                        'progress',
                        'waiting',
                        'bookmarkHit',
                        'bookmarkClick',
                        'enterFullScreen',
                        'exitFullScreen',
                        'relatedVideoClick',
                        'bannerVisible',
                        'bannerHidden',
                        'bannerClick',
                        'browserNotSupported'
                    ]
                },] }
    ];
    IgVideoPlayerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgRadialMenuComponent = /** @class */ (function (_super) {
        __extends(IgRadialMenuComponent, _super);
        function IgRadialMenuComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /* istanbul ignore next */
        IgRadialMenuComponent.prototype.itemOption = function (itemKey, key, value) { return; };
        /* istanbul ignore next */
        IgRadialMenuComponent.prototype.exportVisualData = function () { return; };
        /* istanbul ignore next */
        IgRadialMenuComponent.prototype.flush = function () { return; };
        /* istanbul ignore next */
        IgRadialMenuComponent.prototype.destroy = function () { return; };
        /* istanbul ignore next */
        IgRadialMenuComponent.prototype.styleUpdated = function () { return; };
        return IgRadialMenuComponent;
    }(IgControlBase));
    IgRadialMenuComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-radial-menu',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'items', 'currentOpenMenuItemName', 'centerButtonContentWidth', 'centerButtonContentHeight', 'centerButtonClosedFill', 'centerButtonClosedStroke', 'centerButtonFill', 'centerButtonHotTrackFill', 'centerButtonHotTrackStroke', 'centerButtonStroke', 'centerButtonStrokeThickness', 'font', 'isOpen', 'menuBackground', 'menuItemOpenCloseAnimationDuration', 'menuItemOpenCloseAnimationEasingFunction', 'menuOpenCloseAnimationDuration', 'menuOpenCloseAnimationEasingFunction', 'minWedgeCount', 'outerRingFill', 'outerRingThickness', 'outerRingStroke', 'outerRingStrokeThickness', 'rotationInDegrees', 'rotationAsPercentageOfWedge', 'wedgePaddingInDegrees', 'pixelScalingRatio'],
                    outputs: ['formatLabel', 'alignLabel', 'valueChanged']
                },] }
    ];
    IgRadialMenuComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgSplitButtonComponent = /** @class */ (function (_super) {
        __extends(IgSplitButtonComponent, _super);
        function IgSplitButtonComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Switch to given igToolbar button.
         *
         * @param button . The button jQuery element.
         */
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.switchToButton = function (button) { return; };
        /**
         * Toggle widget state between collapsed and expanded.
         *
         * @param e The igSplitButton to be expanded/collapsed.
         */
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.toggle = function (e) { return; };
        /**
         * Collapse the widget.
         *
         * @param e Indicates the browser event which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.collapse = function (e) { return; };
        /**
         * Expands the widget.
         *
         * @param e Indicates the browser event which triggered this action (not API).
         */
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.expand = function (e) { return; };
        /**
         * Destroy the widget.
         */
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.destroy = function () { return; };
        /* istanbul ignore next */
        IgSplitButtonComponent.prototype.widget = function () { return; };
        return IgSplitButtonComponent;
    }(IgControlBase));
    IgSplitButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-split-button',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'items', 'defaultItemName', 'swapDefaultEnabled'],
                    outputs: ['click', 'expanded', 'expanding', 'collapsed', 'collapsing']
                },] }
    ];
    IgSplitButtonComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgSpreadsheetComponent = /** @class */ (function (_super) {
        __extends(IgSpreadsheetComponent, _super);
        function IgSpreadsheetComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Returns an object that represents the pane with the focus.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.getActivePane = function () { return; };
        /**
         * Returns an object that represents the current selection of the active pane.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.getActiveSelection = function () { return; };
        /*
         * Returns an object used to get the formatting of the activeCell and where modifications are applied to the entire active selection.
         * Any changes made to this object will affect all the objects in the selection. So for example, the
         * Font.Name may return "Arial" because the active cell has that as its resolved font name even though the other
         * cells are using a different font but if you set the Font.Name of this object to "Arial" then all the objects
         * affected by the selection will have their Font.Name updated to that value.
        */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.getActiveSelectionCellRangeFormat = function () { return; };
        /**
         * Returns a boolean indicating if the user is currently editing the name of the active worksheet.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.getIsRenamingWorksheet = function () { return; };
        /*
         * Returns an array of the panes for the activeWorksheet.
         *
         *				 returnType="ig.spreadsheet.SpreadsheetPane[]"
        */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.getPanes = function () { return; };
        /**
         * Executes the action associated with the specified id.
         *
         * @param action An [enumeration](ig.spreadsheet.SpreadsheetAction) or string that identifies the action to execute.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.executeAction = function (action) { return; };
        /**
         * Forces any pending deferred work to render on the spreadsheet before continuing
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.flush = function () { return; };
        /**
         * Destroys the widget.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.destroy = function () { return; };
        /**
         * Notify the spreadsheet that style information used for rendering the spreadsheet may have been updated.
         */
        /* istanbul ignore next */
        IgSpreadsheetComponent.prototype.styleUpdated = function () { return; };
        return IgSpreadsheetComponent;
    }(IgControlBase));
    IgSpreadsheetComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-spreadsheet',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'width', 'height', 'activeCell', 'isScrollLocked', 'activeWorksheet', 'allowAddWorksheet', 'allowDeleteWorksheet', 'areGridlinesVisible', 'areHeadersVisible', 'enterKeyNavigationDirection', 'isEnterKeyNavigationEnabled', 'isFormulaBarVisible', 'isInEndMode', 'isUndoEnabled', 'nameBoxWidth', 'selectionMode', 'selectedWorksheets', 'validationInputMessagePosition', 'workbook', 'zoomLevel'],
                    outputs: ['actionExecuted', 'actionExecuting', 'activeCellChanged', 'activePaneChanged', 'activeWorksheetChanged', 'editRangePasswordNeeded', 'hyperlinkExecuting', 'selectionChanged', 'userPromptDisplaying', 'workbookDirtied']
                },] }
    ];
    IgSpreadsheetComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgSchedulerComponent = /** @class */ (function (_super) {
        __extends(IgSchedulerComponent, _super);
        function IgSchedulerComponent(el, renderer, differs, kvalDiffers, cdr) {
            return _super.call(this, el, renderer, differs, kvalDiffers, cdr) || this;
        }
        /**
         * Gets reference to appointment by id
         *
         * @param id id
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.getAppointmentById = function (id) { return; };
        /**
         * Creates a new appointment and renders it to the scheduler
         *
         * @param appointment appointment
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.createAppointment = function (appointment) { return; };
        /**
         * Deletes appointment from the appointment collection
         *
         * @param appointment	appointment
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.deleteAppointment = function (appointment) { return; };
        /**
         * Deletes appointment from the appointment collection
         *
         * @param appointment	appointment
         * @param updateAppoinment	updateAppoinment
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.editAppointment = function (appointment, updateAppoinment) { return; };
        /**
         * Destroys the widget
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.destroy = function () { return; };
        /**
         * Gets reference to the today UI button.
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.todayButton = function () { return; };
        /**
         * Gets reference to the previous UI button.
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.previousButton = function () { return; };
        /**
         * Gets reference to the date range UI button.
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.dateRangeButton = function () { return; };
        /**
         * Gets reference to the next UI button.
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.nextButton = function () { return; };
        /**
         * Gets reference to the jQuery calendar UI control.
         */
        /* istanbul ignore next */
        IgSchedulerComponent.prototype.getCalendar = function () { return; };
        return IgSchedulerComponent;
    }(IgControlBase));
    IgSchedulerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'ig-scheduler',
                    template: '<ng-content></ng-content>',
                    inputs: ['widgetId', 'options', 'changeDetectionInterval', 'disabled', 'create', 'views', 'viewMode', 'selectedDate', 'enableTodayButton', 'width', 'height', 'agendaViewSettings', 'monthViewSettings', 'appointmentDialogSuppress'],
                    outputs: ['agendaRangeChanging', 'agendaRangeChanged', 'daySelected', 'monthChanging', 'monthChanged', 'rendering', 'rendered', 'viewChanging', 'viewChanged', 'appointmentDialogOpening', 'appointmentDialogOpened', 'appointmentDialogClosing', 'appointmentDialogClosed', 'appointmentCreating', 'appointmentCreated', 'appointmentDeleting', 'appointmentDeleted', 'appointmentEditing', 'appointmentEdited']
                },] }
    ];
    IgSchedulerComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 },
        { type: core.IterableDiffers },
        { type: core.KeyValueDiffers },
        { type: core.ChangeDetectorRef }
    ]; };

    var IgniteUIModule = /** @class */ (function () {
        function IgniteUIModule() {
        }
        return IgniteUIModule;
    }());
    IgniteUIModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [Column, IgGridMultiColumnHeadersFeature, IgGridSortingFeature, IgGridFilteringFeature, IgGridPagingFeature,
                        IgGridUpdatingFeature, IgGridGroupByFeature, IgGridColumnMovingFeature, IgGridHidingFeature,
                        IgGridCellMergingFeature, IgGridResponsiveFeature, IgGridResizingFeature, IgGridSelectionFeature,
                        IgGridRowSelectorsFeature, IgGridSummariesFeature, IgGridColumnFixingFeature, IgGridTooltipsFeature,
                        IgGridAppendRowsOnDemandFeature, Features, IgGridComponent, IgTreeGridComponent, IgHierarchicalGridComponent,
                        IgComboComponent, IgCheckboxEditorComponent, IgCurrencyEditorComponent, IgDateEditorComponent, IgDatePickerComponent,
                        IgDatePickerComponent, IgTimePickerComponent, IgMaskEditorComponent, IgNumericEditorComponent, IgPercentEditorComponent,
                        IgTextEditorComponent, IgTreeComponent, IgDialogComponent, IgSplitterComponent, IgLayoutManagerComponent,
                        IgTileManagerComponent, IgHtmlEditorComponent, IgValidatorComponent, IgPivotDataSelectorComponent, IgPivotGridComponent,
                        IgDataChartComponent, IgPieChartComponent, IgDoughnutChartComponent, IgFunnelChartComponent, IgRadialGaugeComponent,
                        IgZoombarComponent, IgMapComponent, IgSparklineComponent, IgBulletGraphComponent, IgLinearGaugeComponent,
                        IgQRCodeBarcodeComponent, IgUploadComponent, IgPopoverComponent, IgNotifierComponent, IgRatingComponent,
                        IgVideoPlayerComponent, IgRadialMenuComponent, IgSplitButtonComponent, IgSpreadsheetComponent, IgSchedulerComponent],
                    exports: [Column, IgGridMultiColumnHeadersFeature, IgGridSortingFeature, IgGridFilteringFeature, IgGridPagingFeature,
                        IgGridUpdatingFeature, IgGridGroupByFeature, IgGridColumnMovingFeature, IgGridHidingFeature, IgGridCellMergingFeature,
                        IgGridResponsiveFeature, IgGridResizingFeature, IgGridSelectionFeature, IgGridRowSelectorsFeature, IgGridSummariesFeature,
                        IgGridColumnFixingFeature, IgGridTooltipsFeature, IgGridAppendRowsOnDemandFeature, Features, IgGridComponent, IgTreeGridComponent,
                        IgHierarchicalGridComponent, IgComboComponent, IgCheckboxEditorComponent, IgCurrencyEditorComponent, IgDateEditorComponent,
                        IgDatePickerComponent, IgDatePickerComponent, IgTimePickerComponent, IgMaskEditorComponent, IgNumericEditorComponent,
                        IgPercentEditorComponent, IgTextEditorComponent, IgTreeComponent, IgDialogComponent, IgSplitterComponent, IgLayoutManagerComponent,
                        IgTileManagerComponent, IgHtmlEditorComponent, IgValidatorComponent, IgPivotDataSelectorComponent, IgPivotGridComponent,
                        IgDataChartComponent, IgPieChartComponent, IgDoughnutChartComponent, IgFunnelChartComponent, IgRadialGaugeComponent,
                        IgZoombarComponent, IgMapComponent, IgSparklineComponent, IgBulletGraphComponent, IgLinearGaugeComponent, IgQRCodeBarcodeComponent,
                        IgUploadComponent, IgPopoverComponent, IgNotifierComponent, IgRatingComponent, IgVideoPlayerComponent, IgRadialMenuComponent,
                        IgSplitButtonComponent, IgSpreadsheetComponent, IgSchedulerComponent]
                },] }
    ];

    /*
     * Public API Surface of igniteui-angular-wrappers
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.Column = Column;
    exports.Features = Features;
    exports.IgBulletGraphComponent = IgBulletGraphComponent;
    exports.IgCheckboxEditorComponent = IgCheckboxEditorComponent;
    exports.IgComboComponent = IgComboComponent;
    exports.IgCurrencyEditorComponent = IgCurrencyEditorComponent;
    exports.IgDataChartComponent = IgDataChartComponent;
    exports.IgDateEditorComponent = IgDateEditorComponent;
    exports.IgDatePickerComponent = IgDatePickerComponent;
    exports.IgDialogComponent = IgDialogComponent;
    exports.IgDoughnutChartComponent = IgDoughnutChartComponent;
    exports.IgFunnelChartComponent = IgFunnelChartComponent;
    exports.IgGridAppendRowsOnDemandFeature = IgGridAppendRowsOnDemandFeature;
    exports.IgGridCellMergingFeature = IgGridCellMergingFeature;
    exports.IgGridColumnFixingFeature = IgGridColumnFixingFeature;
    exports.IgGridColumnMovingFeature = IgGridColumnMovingFeature;
    exports.IgGridComponent = IgGridComponent;
    exports.IgGridFilteringFeature = IgGridFilteringFeature;
    exports.IgGridGroupByFeature = IgGridGroupByFeature;
    exports.IgGridHidingFeature = IgGridHidingFeature;
    exports.IgGridMultiColumnHeadersFeature = IgGridMultiColumnHeadersFeature;
    exports.IgGridPagingFeature = IgGridPagingFeature;
    exports.IgGridResizingFeature = IgGridResizingFeature;
    exports.IgGridResponsiveFeature = IgGridResponsiveFeature;
    exports.IgGridRowSelectorsFeature = IgGridRowSelectorsFeature;
    exports.IgGridSelectionFeature = IgGridSelectionFeature;
    exports.IgGridSortingFeature = IgGridSortingFeature;
    exports.IgGridSummariesFeature = IgGridSummariesFeature;
    exports.IgGridTooltipsFeature = IgGridTooltipsFeature;
    exports.IgGridUpdatingFeature = IgGridUpdatingFeature;
    exports.IgHierarchicalGridComponent = IgHierarchicalGridComponent;
    exports.IgHtmlEditorComponent = IgHtmlEditorComponent;
    exports.IgLayoutManagerComponent = IgLayoutManagerComponent;
    exports.IgLinearGaugeComponent = IgLinearGaugeComponent;
    exports.IgMapComponent = IgMapComponent;
    exports.IgMaskEditorComponent = IgMaskEditorComponent;
    exports.IgNotifierComponent = IgNotifierComponent;
    exports.IgNumericEditorComponent = IgNumericEditorComponent;
    exports.IgPercentEditorComponent = IgPercentEditorComponent;
    exports.IgPieChartComponent = IgPieChartComponent;
    exports.IgPivotDataSelectorComponent = IgPivotDataSelectorComponent;
    exports.IgPivotGridComponent = IgPivotGridComponent;
    exports.IgPopoverComponent = IgPopoverComponent;
    exports.IgQRCodeBarcodeComponent = IgQRCodeBarcodeComponent;
    exports.IgRadialGaugeComponent = IgRadialGaugeComponent;
    exports.IgRadialMenuComponent = IgRadialMenuComponent;
    exports.IgRatingComponent = IgRatingComponent;
    exports.IgSchedulerComponent = IgSchedulerComponent;
    exports.IgSparklineComponent = IgSparklineComponent;
    exports.IgSplitButtonComponent = IgSplitButtonComponent;
    exports.IgSplitterComponent = IgSplitterComponent;
    exports.IgSpreadsheetComponent = IgSpreadsheetComponent;
    exports.IgTextEditorComponent = IgTextEditorComponent;
    exports.IgTileManagerComponent = IgTileManagerComponent;
    exports.IgTimePickerComponent = IgTimePickerComponent;
    exports.IgTreeComponent = IgTreeComponent;
    exports.IgTreeGridComponent = IgTreeGridComponent;
    exports.IgUploadComponent = IgUploadComponent;
    exports.IgValidatorComponent = IgValidatorComponent;
    exports.IgVideoPlayerComponent = IgVideoPlayerComponent;
    exports.IgZoombarComponent = IgZoombarComponent;
    exports.IgniteUIModule = IgniteUIModule;
    exports.ɵa = Feature;
    exports.ɵb = IgGridBase;
    exports.ɵc = IgControlBase;
    exports.ɵd = IgEditorBase;
    exports.ɵe = IgContentControlBase;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=igniteui-angular-wrappers.umd.js.map
